<?php
if(isset($_POST['isrelative'])){
	
$memberId=isset($_GET['memberId']) ? $_GET['memberId'] : die('ERROR: Member ID not found.');
$relativeId=isset($_GET['relativeId']) ? $_GET['relativeId'] : die('ERROR: Relative ID not found.');
    // include database connection
include 'database/config2.php';
 
    try{
		
		
        $query = "INSERT INTO familyrelatives SET memberId=:memberId, relativeId=:relativeId, relation=:relation";
 
        // prepare query for execution
        $stmt = $conn->prepare($query);
 
        // posted values
        $relation=htmlspecialchars(strip_tags($_POST['relation']));

        $stmt->bindParam(':memberId', $memberId);
        $stmt->bindParam(':relativeId', $relativeId);
        $stmt->bindParam(':relation', $relation);

        if($stmt->execute()){
			header("Location: seememberinfo.php?id=$memberId");
        }else{
            echo "<div class='alert alert-danger'>Unable to save record.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>