<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";

if(isset($_GET['id'])){
	$depMemId = $_GET['id'];
}else{
	$depMemId = 0;
}
	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Church Departments
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<section>
<?php
	include 'database/config2.php';
		
	$query5 = "SELECT * FROM departments ORDER BY id DESC";
	$stmt5 = $conn->prepare($query5);
	$stmt5->execute();
		
	// this is how to get number of rows returned
	$num5 = $stmt5->rowCount();
	
	
	
?>
	<div class="container-fluid">

		<div class="row">
			<div class="col-md-5">
				<div class="card carding">
					<div class="card-body">
						<div class="table-responsive project-list">
						
						<?php
							 
							
							 
							if($num5>0){
							 
								//start table
								echo "<table id='example' class='table project-table table-centered table-nowrap'>";
								 
									//creating our table heading
									echo "
									<thead>
									<tr>
										<th scope='col'>#</th>
										<th scope='col'>Name</th>
										<th scope='col'>Created on</th>
										<th scope='col'>Action</th>
									</tr>
								 	</thead>
									<tbody id='myDepts'>";

									while ($row5 = $stmt5->fetch(PDO::FETCH_ASSOC)){
										
										extract($row5);
										
										$leaderPhotoquery = "SELECT * FROM members WHERE depId = $id AND position = 'Leader'";
										$assleaderPhotoquery = "SELECT * FROM members WHERE depId = $id AND position = 'Ass. Leader'";
										$finsecPhotoquery = "SELECT * FROM members WHERE depId = $id AND position = 'Financial Secretary'";
										$secretaryPhotoquery = "SELECT * FROM members WHERE depId = $id AND position = 'Secretary'";
										
										$leaderstmt = $conn->prepare($leaderPhotoquery);
										$leaderstmt->execute();
										$leadernum = $leaderstmt->rowCount();
										$leaderrow = $leaderstmt->fetch(PDO::FETCH_ASSOC);
										
										$assleaderstmt = $conn->prepare($assleaderPhotoquery);
										$assleaderstmt->execute();
										$assleadernum = $assleaderstmt->rowCount();
										$assleaderrow = $assleaderstmt->fetch(PDO::FETCH_ASSOC);

										$finsecstmt = $conn->prepare($finsecPhotoquery);
										$finsecstmt->execute();
										$finsecnum = $finsecstmt->rowCount();
										$finsecrow = $finsecstmt->fetch(PDO::FETCH_ASSOC);

										$secretarystmt = $conn->prepare($secretaryPhotoquery);
										$secretarystmt->execute();
										$secretarynum = $secretarystmt->rowCount();
										$secretaryrow = $secretarystmt->fetch(PDO::FETCH_ASSOC);
										
										echo "
										<tr>
											<th scope='row'>{$id}</th>
											<td>{$name}</td>
											<td>" .date('l d M Y', strtotime($date_of_creation)). "</td>
											
											<td>
											    <a href='attendance.php?id={$id}' style='margin-right:15px' title='View'><i class='far fa-eye h5 m-0'></i></a>
										    "?>
											<?php echo "
											</td>
										</tr>";
									}
								echo "</tbody>
								</table>";
							 
							}
							 
							else{
								echo "<div class='alert alert-danger'>No records found.</div>";
							}
						?>
						
						</div>
						<!-- end project-list -->

						<div class="pt-3">
							<!--ul class="pagination justify-content-end mb-0">
								<li class="page-item disabled">
									<a class="page-link" href="#" tabindex="-1" aria-disabled="true">Previous</a>
								</li>
								<li class="page-item"><a class="page-link" href="#">1</a></li>
								<li class="page-item active"><a class="page-link" href="#">2</a></li>
								<li class="page-item"><a class="page-link" href="#">3</a></li>
								<li class="page-item">
									<a class="page-link" href="#">Next</a>
								</li>
							</ul -->
						</div>
					</div>
				</div>
			</div>
					<?php
							if($depMemId == 0){
								
								$randomquery = "SELECT * FROM departments ORDER BY RAND() LIMIT 1";
								$randomstmt=$conn->prepare($randomquery);
								$randomstmt->execute();
								$randomrow=$randomstmt->fetch(PDO::FETCH_ASSOC);
								$randomId = $randomrow['id'];
								$wowquery = "SELECT * FROM departments WHERE id = $randomId";

								?>
								

								
								<?php
								
								$query4 = "SELECT * FROM memberattendance WHERE departmentId=$randomId ORDER BY id DESC";								
							}else{
								$wowquery = "SELECT * FROM departments WHERE id = $depMemId";
								$query4 = "SELECT * FROM memberattendance WHERE departmentId=$depMemId ORDER BY id DESC";								
							}
							
							$stmt4 = $conn->prepare($query4);
							$stmt4->execute();
								$wowstmt = $conn->prepare($wowquery);
								$wowstmt->execute();
								$wowrow = $wowstmt->fetch(PDO::FETCH_ASSOC);	 
							
					?>
		<div class="col col-md-7">
            <h1><?php echo $wowrow['name']; ?> Attendance</h1>
                <div id="attendance">
                    <div class="card" style="float: left">
                        <form>
                            <div class="form-group mb-0">
                                <div class="input-group mb-0">
                                    <input type="text" class="form-control" onkeyup="myFunction()" id="lookDpt" placeholder="Search date..." aria-describedby="project-search-addon"/>
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div id="toolbar" class="select" style="display: none">
                        <select class="form-control">
                            <option value="">Export Basic</option>
                            <option value="all">Export All</option>
                            <option value="selected">Export Selected</option>
                        </select>
                    </div>
					
                    <table id="table" class="table table-striped table-dark"
                        data-show-export="true"
                        data-show-print="true"
                        data-pagination="true"
                        data-toggle="table"
                        data-height="1000"
                        data-side-pagination="server"
                        data-click-to-select="true"
                        data-toolbar="#toolbar"
                        data-show-toggle="true"
                        data-show-columns="true"
                    >
                            <thead>
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Date</th>
                                <th scope="col">Name</th>
                                <th scope="col">image</th>
                                <th scope="col">Status</th>
                                <th scope="col">Comment</th>
                            </tr>
                        </thead>    
                        <tbody id="myDepts">
						<?php
							while($attrow4 = $stmt4->fetch(PDO::FETCH_ASSOC)){
								$someOthers = "SELECT * FROM members WHERE id=$attrow4[memberId]";
								$someStmt=$conn->prepare($someOthers);
								$someStmt->execute();
								$somerow = $someStmt->fetch(PDO::FETCH_ASSOC);
								echo "
								
								<tr>
									<th scope='row'{$attrow4['id']}</th>
									<td>". date('l d M Y', strtotime($attrow4['markedDate']))."</td>
									<td>{$somerow['name']}</td>
									<td>
										<a href='javascript: void(0);' class='team-member' data-toggle='tooltip' data-placement='top' title='' data-original-title='Neil Wing'>";
										echo $somerow['image'] ? "<img src='members-images/{$somerow['image']}' class='rounded-circle avatar-xs' alt='' />" : "<img src='https://bootdey.com/img/Content/avatar/avatar4.png' class='rounded-circle avatar-xs' alt='' />";
											
										echo "
										</a>
									</td>
									<td>"; 
									
										if($attrow4['attendance'] == 'Present'){
											?>
											<span class='badge bg-success'>Present</span>
											<?php
										} else if($attrow4['attendance'] == 'Absent'){
											?>
											<span class='badge bg-danger'>Absent</span>
											<?php
										} else if($attrow4['attendance'] == 'Permission'){
											?>
											<span class='badge bg-warning'>Permission</span>
											<?php
										}
									
									echo "</td>
									<td>{$attrow4['service_tag']}</td>
								</tr>
								
								";
							}
						?>
                            
                            
                        </tbody>
                    </table>
                    <iframe name="print_attendance" width="0" height="0" frameborder="0" src="about:blank"></iframe>
                </div>
            </div>
		</div>
		<!-- end row -->
	</div>
</section>

<script>
$(document).ready(function(){
  $("#lookDpt").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myDepts tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script> 

<script>
  var $table = $('#table')

  $(function() {
    $('#toolbar').find('select').change(function () {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: $(this).val(),
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        columns: [
          {
            field: 'state',
            checkbox: true,
            visible: $(this).val() === 'selected'
          },
          {
            field: 'id',
            title: 'Date'
          }, {
            field: 'name',
            title: 'Name'
          }, {
            field: 'price',
            title: 'Image'
          }
        ]
      })
    }).trigger('change')
  })
</script>


<?php
include "includes/footer.php" ;
?>