<?php 
	include '../database/config.php';

    session_start();

    if (!isset($_SESSION['depId'])) {
        header("Location: login.php");
    }

	$departmentalId = $_SESSION['depId'];
	$query = "SELECT * from departments WHERE id='$departmentalId' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$name = $row['name'];
    include "includes/header.php";
    include "includes/sidebar.php";
	
?>


<section>
    <div class="container-fluid">
        <div class="homeCard">
            <div class="card-body">
                <div class="row">
                    <div class="col col-sm-6"></div>
                    <div class="col col-sm-6">
                        <form class="container">
                            <div class="form-group mb-0">
                                <div class="input-group mb-0">
                                    <input type="text" class="form-control" onkeyup="myFunction()" id="myInput" placeholder="Search..." aria-describedby="project-search-addon" style="font-size: 35px" />
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12" style="font-size: 35px"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="newRow"></div>
                
					<?php
					// include database connection
					include '../database/config2.php';
					 
					$squery = "SELECT * FROM members WHERE depId = $departmentalId ORDER BY id DESC";
					$sstmt = $conn->prepare($squery);
					$sstmt->execute();
					 
					$snum = $sstmt->rowCount();
					 					 
					if($snum>0){
					 
					 //start table
						echo "<table class='table' id='myTable' cellspacing='0' width='100%'>";
						 
							//creating our table heading
							echo "	<thead>
										<tr>
											<th scope='col' class='text-center'>Image</th>
											<th scope='col' class='text-center'>Name</th>
											<th scope='col' class='text-center'>Action</th>
										</tr>
									</thead>
									<tbody>";
									while ($srow = $sstmt->fetch(PDO::FETCH_ASSOC)){
										echo "<tr>
												<th scope='row' class='text-center'><a href='#'>"; echo $srow['image'] ? "<img src='../members-images/{$srow['image']}' class='userAvatar' alt='profile-image' >" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' class='userAvatar' alt='profile-image' >"; echo "</a></th>
												<td><a href='seeMember.php' style='color:#0a58ca'>{$srow['name']}</a></td>
												<td class='text-center'> "; ?>
													<a href='addConduct.php?id=<?php echo $srow['id']?>' class='btn btn-success' style='font-size: 30px'> 
													<?php echo "
														Add Conduct
													</a>
												</td>
											</tr>";
									}
											echo "</tbody>";									
						 
						echo "</table>";
					 
					}
					 
					else{
						echo "<div class='alert alert-danger'>No records found.</div>";
					}
				?>

					
					
                </form>
            </div>
        </div>
    </div>
</section>



<script>
    function myFunction() {
    var input, filter, table, tr, td, i, txtValue;
    input = document.getElementById("myInput");
    filter = input.value.toUpperCase();
    table = document.getElementById("myTable");
    tr = table.getElementsByTagName("tr");
    for (i = 0; i < tr.length; i++) {
        td = tr[i].getElementsByTagName("td")[0];
        if (td) {
        txtValue = td.textContent || td.innerText;
        if (txtValue.toUpperCase().indexOf(filter) > -1) {
            tr[i].style.display = "";
        } else {
            tr[i].style.display = "none";
        }
        }       
    }
    }
</script>


<?php 
    include "includes/footer.php";
?>