<?php 
	include '../database/config.php';

    session_start();

    if (!isset($_SESSION['depId'])) {
        header("Location: login.php");
    }

	$departmentalId = $_SESSION['depId'];
	$query = "SELECT * from departments WHERE id='$departmentalId' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$name = $row['name'];
    include "includes/header.php";
    include "includes/sidebar.php";
	
?>


<section>
    <div class="container-fluid">
        <div class="homeCard">
            <div class="card-body">
                <div class="row">
                    <div class="col col-sm-6"></div>
                    <div class="col col-sm-6">
                        <form class="">
                            <div class="form-group mb-0">
                                <div class="input-group mb-0">
                                    <input type="text" class="form-control" onkeyup="myFunction()" id="myInput" placeholder="Search..." aria-describedby="project-search-addon" style="font-size: 35px" />
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12" style="font-size: 35px"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="newRow"></div>
				<?php
					// include database connection
					include '../database/config2.php';
					 
					$squery = "SELECT * FROM members WHERE depId = $departmentalId ORDER BY id DESC";
					$sstmt = $conn->prepare($squery);
					$sstmt->execute();
					 
					$snum = $sstmt->rowCount();
					 					 
					if($snum>0){
					 
					 //start table
						echo "<table class='table' id='myTable' cellspacing='0' width='100%'>";
						 
							//creating our table heading
							echo "	<thead class='thead-light'>
										<tr>
											<th scope='col' class='text-center'>Image</th>
											<th scope='col' class='text-center'>Name</th>
											<th scope='col' class='text-center'>Last Payment / Motive</th>
											<th scope='col' class='text-center'>Action</th>
										</tr>
									</thead>
									<tbody>";
									while ($srow = $sstmt->fetch(PDO::FETCH_ASSOC)){
									$dateQuery = "SELECT * FROM contributions WHERE memberId=:memberId ORDER BY id DESC LIMIT 1";
									$datestmt = $conn->prepare($dateQuery);
									$datestmt->bindParam(':memberId', $srow['id']);
									$datestmt->execute();
									$daterow = $datestmt->fetch(PDO::FETCH_ASSOC);
										echo "
										<tr>
											<th scope='row' class='text-center'>"; echo $srow['image'] ? "<img src='../members-images/{$srow['image']}' alt='Avatar' class='userAvatar'>" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' alt='Avatar' class='userAvatar'>"; echo "</th>
											<td class='text-center'><a href='seeMember.php?id={$srow['id']}' style='color:#0a58ca'>";

												$string = strip_tags($srow['name']);
																		if (strlen($string) > 10) {

																			// truncate string
																			$stringCut = substr($string, 0, 10);
																			$endPoint = strrpos($stringCut, ' ');

																			//if the string doesn't contain any space then it will cut without word basis.
																			$string = $endPoint? substr($stringCut, 0, $endPoint) : substr($stringCut, 0);
																			//$string .= '...';
																		}
																		echo $string;
													
											echo "</a></td>
											<td class='text-center'>";
											if($daterow['paymentDate'] == ''){
												echo "";
											} else {
												echo date('d M Y', strtotime($daterow['paymentDate']));
											}
											echo "<span class='badge bg-info'>{$daterow['motive']}</span></td>
											<td class='text-center'>
												<a href='addpayments.php?id={$srow['id']}' class='btn btn-success' style='font-size: 30px'> 
													Deposit
												</a>
											</td>
										</tr>";
									}
							echo "</tbody>";									
						 
						echo "</table>";
					 
					}
					 
					else{
						echo "<div class='alert alert-danger'>No records found.</div>";
					}
				?>
                    </tbody>
                </form>
            </div>
        </div>
    </div>
</section>



<script>
    function myFunction() {
    var input, filter, table, tr, td, i, txtValue;
    input = document.getElementById("myInput");
    filter = input.value.toUpperCase();
    table = document.getElementById("myTable");
    tr = table.getElementsByTagName("tr");
    for (i = 0; i < tr.length; i++) {
        td = tr[i].getElementsByTagName("td")[0];
        if (td) {
        txtValue = td.textContent || td.innerText;
        if (txtValue.toUpperCase().indexOf(filter) > -1) {
            tr[i].style.display = "";
        } else {
            tr[i].style.display = "none";
        }
        }       
    }
    }
</script>


<?php 
    include "includes/footer.php";
?>