<?php 
	include '../database/config.php';

    session_start();

    if (!isset($_SESSION['depId'])) {
        header("Location: login.php");
    }

	$departmentalId = $_SESSION['depId'];
	$query = "SELECT * from departments WHERE id='$departmentalId' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$name = $row['name'];
    include "includes/header.php";
    include "includes/sidebar.php";
		
		include '../database/config2.php';

?>
<section>
    <div class="text-center" style="width: 50%; margin:auto">
        <img src="prayerlineclosed.png" alt="Page Closed">
        <p style="font-size: 150px; font-weight: lighter;">404 </p> 
        <p style="font-size: 60px; font-weight: lighter; color:red">Registration Closed</p>
        <p style="font-size: 30px; font-weight: lighter;">Don't cry, Try again Next time!! <br>
            Please make sure to register for prayer line on time
        </p>
    </div>
</section>

<section>
    <div class="container-fluid">
        <div class="homeCard">
            <div class="card-content">
                <div class="card-header"><h1>Prayer-Line Registration Form</h1></div>
                <div class="card-body">
                    <form action="#" method="POST">
                        <div class="row">
                            <div class="col col-sm-12">
                                <label for="name">Name <span style="color: red">*</span></label>
                                <input type="text" name="name" class="form-control" placeholder="Full name" required style="font-size: 35px">
                            </div>
                                <div class="spacedown"></div>
                            <div class="col col-sm-12">
                                <label for="phone">Telephone <span style="color: red">*</span></label>
                                <input type="number" min="0" name="phone" class="form-control" placeholder="Contact" style="font-size: 35px" required>
                            </div>
                                <div class="spacedown"></div>
                            <div class="col col-sm-12">
                                <label for="date">Registration Date <span style="color: red">*</span></label>
                                <input type="text" min="0" name="date" class="form-control" value="<?php echo date("d M Y");?>" placeholder="<?php echo date("d M Y");?>" readonly style="font-size: 35px">
                            </div>
                                <div class="spacedown"></div>   
                            <div class="col col-sm-12">
                                <label for="gender">Gender <span style="color: red">*</span></label>
                                <select type="text" name="gender" class="form-control" placeholder="Gender" required style="font-size: 35px; height: 68px" required>
                                    <option value="Male" >Male</option>
                                    <option value="Female" >Female</option>
                                </select>
                            </div>
                             <div class="spacedown"></div>   
                            <div class="col col-sm-12">
                                <label for="age">Age <span style="color: red">*</span></label>
                                <input type="number" min="0" name="age" class="form-control" placeholder="Age" required style="font-size: 35px">
                            </div>
                             <div class="spacedown"></div>   
                            <div class="col col-sm-12">
                                <label for="country">Country <span style="color: red">*</span></label>
                                <select type="text" name="country" class="form-control" required style="font-size: 35px; height: 68px">
                                    <?php include "includes/countryList.php"; ?>
                                </select>
                            </div>
                                <div class="spacedown"></div>
                            <div class="col col-sm-12">
                                <label for="duration">Duration <span style="color: red">*</span></label>
                                <input type="text" min="0" name="duration" class="form-control" placeholder="Duration" style="font-size: 35px" required>
                            </div>
                             <div class="spacedown"></div>   
                            <div class="col col-sm-12">
                                <label for="case">Case <span style="color: red">*</span></label>
                                <textarea name="case" id="" cols="30" rows="2" placeholder="Case, be as breif as possible " class="form-control" required style="font-size: 35px"></textarea>
                            </div>
                                <div class="spacedown"></div>
                            <div class="col col-sm-12">
                                <label for="address">Home Address <span style="color: red">*</span></label>
                                <input type="text" name="address" class="form-control" placeholder="Address" required style="font-size: 35px">
                            </div>  
                                <div class="spacedown"></div>
                            <div class="col col-sm-12">
                                <label for="report">Report</label>
                                <input type="file" class="form-control" name="report" multiple style="font-size: 35px">
                            </div>
                               <div class="spacedown"></div> 
                            <div class="main text-center">
                                <button name="create_department" type="submit" class="btn btn-success" style="font-size: 35px">Register</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>














<?php 
    include "includes/footer.php";
?>