<?php 
	include '../database/config.php';

    session_start();

    if (!isset($_SESSION['depId'])) {
        header("Location: login.php");
    }

	$departmentalId = $_SESSION['depId'];
	$query = "SELECT * from departments WHERE id='$departmentalId' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$name = $row['name'];
    include "includes/header.php";
    include "includes/sidebar.php";
	
	$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: ID not found.');
	$senderId=isset($_GET['senderId']) ? $_GET['senderId'] : die('ERROR: Sender ID not found.');
	include '../database/config2.php';
	
	$query2 = "SELECT * FROM notifications WHERE id=:id";
	$stmt2=$conn->prepare($query2);
	$stmt2->bindParam(':id', $id);
	$stmt2->execute();
	$row2=$stmt2->fetch(PDO::FETCH_ASSOC);
	
	$query3 = "SELECT * FROM members WHERE id=:id";
	$stmt3=$conn->prepare($query3);
	$stmt3->bindParam(':id', $senderId);
	$stmt3->execute();
	$row3=$stmt3->fetch(PDO::FETCH_ASSOC);
	
	$query4= "UPDATE notifications SET hasRead=1 WHERE id=:id";
	$stmt4=$conn->prepare($query4);
	$stmt4->bindParam(':id', $id);
	$stmt4->execute();
?>

<section class="">
<div class="container-fluid bootstrap snippets bootdey">
    <div class="row">
        <!-- selected chat -->
    	<div class="col-sm-12 bg-white ">
            <div class="chat-message">
                <ul class="chat">
                    <li class="left clearfix">
                    	<span class="chat-img pull-left">
						<?php
						echo $row3['image'] ? "<img src='../members-images/{$row3['image']}' alt='User Avatar'>" : "<img src='https://bootdey.com/img/Content/user_3.jpg' alt='User Avatar'>"; 
						
					$hour = date('l d M Y h:i A', strtotime($row2['date']));  
						
?>
                    		
                    	</span>
                    	<div class="chat-body clearfix">
                    		<div class="header">
                    			<strong class="primary-font"><?php echo $row3['name']?></strong>
                    			<small class="pull-right text-muted"><?php echo $hour ?></small>
                    		</div>
                    		<p>
                    			<?php echo $row2['notification'] ?>
                    		</p>
                    	</div>
                    </li>
                </ul>
            </div>           
		</div>        
	</div>
</div>
</section>


<?php 
    include "includes/footer.php";
?>