<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
	include "database/config2.php";
	
	$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Equipment not found.');	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Edit Camera
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<?php
	$equipEdit = "SELECT * FROM inventoryequipments WHERE id=$id";
	$equipEditstmt = $conn->prepare($equipEdit);
	$equipEditstmt->execute();
	$equipEditrow = $equipEditstmt->fetch(PDO::FETCH_ASSOC);
?>
<section>
    <div class="container">
        <div class="homeCard">
            <div class="card-header"><h3>Editing <?php echo htmlspecialchars($equipEditrow['name'], ENT_QUOTES); ?></h3></div>
            <div class="card-body">
			
			
			<?php
				if(isset($_POST['edit_equipment'])){
					
							if (!empty($_FILES["itemImage"]["name"])){
								$theQuery = "UPDATE inventoryequipments SET name=:name, brandId=:brandId, categoryId=:categoryId, image=:image, quantity=:quantity, description=:description, cost=:cost, warranty=:warranty WHERE id=:id";						
							
												$name = htmlspecialchars(strip_tags($_POST['itemName']));
												$brandId = htmlspecialchars(strip_tags($_POST['itembrand']));
												$categoryId = htmlspecialchars(strip_tags($_POST['itemCategory']));
												$quantity = htmlspecialchars(strip_tags($_POST['itemQuantity']));
												$description = htmlspecialchars(strip_tags($_POST['naration']));
												$cost = htmlspecialchars(strip_tags($_POST['cost']));
												$warranty = htmlspecialchars(strip_tags($_POST['Warranti']));
														$itemImage=!empty($_FILES["itemImage"]["name"])
														? sha1_file($_FILES['itemImage']['tmp_name']) . "-" . basename($_FILES["itemImage"]["name"])
														: "";
												$itemImage=htmlspecialchars(strip_tags($itemImage));
																						
												$theQuerystmt = $conn->prepare($theQuery);
												
												$theQuerystmt->bindParam(':name', $name);
												$theQuerystmt->bindParam(':brandId', $brandId);
												$theQuerystmt->bindParam(':categoryId', $categoryId);
												$theQuerystmt->bindParam(':image', $itemImage);
												$theQuerystmt->bindParam(':quantity', $quantity);
												$theQuerystmt->bindParam(':description', $description);
												$theQuerystmt->bindParam(':cost', $cost);
												$theQuerystmt->bindParam(':warranty', $warranty);
												$theQuerystmt->bindParam(':id', $id);
												
												
												if($itemImage){
													 
														// sha1_file() function is used to make a unique file name
														$target_directory = "inventoryequipments/";
														$target_file = $target_directory . $itemImage;
														$file_type = pathinfo($target_file, PATHINFO_EXTENSION);
													 
														// error message is empty
														$file_upload_error_messages="";
														// make sure that file is a real image
														$check = getimagesize($_FILES["itemImage"]["tmp_name"]);
														if($check!==false){
															// submitted file is an image
														}else{
															$file_upload_error_messages.="<div>Submitted file is not an image.</div>";
														}
														// make sure certain file types are allowed
														$allowed_file_types=array("jpg", "jpeg", "png", "gif");
														if(!in_array($file_type, $allowed_file_types)){
															$file_upload_error_messages.="<div>Only JPG, JPEG, PNG, GIF files are allowed.</div>";
														}
														// make sure submitted file is not too large, can't be larger than 1 MB
														if($_FILES['itemImage']['size'] > (5120000)){
															$file_upload_error_messages.="<div>Image must be less than 5 MB in size.</div>";
														}
														// make sure the 'uploads' folder exists
														// if not, create it
														if(!is_dir($target_directory)){
															mkdir($target_directory, 0777, true);
														}
														// if $file_upload_error_messages is still empty
														if(empty($file_upload_error_messages)){
															// it means there are no errors, so try to upload the file
															if(move_uploaded_file($_FILES["itemImage"]["tmp_name"], $target_file)){
																// it means photo was uploaded
															}else{
																echo "<div class='alert alert-danger'>
																	<div>Unable to upload photo.</div>
																	<div>Update the record to upload photo.</div>
																</div>";
															}
														}
														 
														// if $file_upload_error_messages is NOT empty
														else{
															// it means there are some errors, so show them to user
															echo "<div class='alert alert-danger'>
																<div>{$file_upload_error_messages}</div>
																<div>Update the record to upload photo.</div>
															</div>";
														}
													}
												
							
							} else if (empty($_FILES["image"]["name"])){
								$theQuery = "UPDATE inventoryequipments SET name=:name, brandId=:brandId, categoryId=:categoryId, quantity=:quantity, description=:description, cost=:cost, warranty=:warranty WHERE id=:id";
							
							
												$name = htmlspecialchars(strip_tags($_POST['itemName']));
												$brandId = htmlspecialchars(strip_tags($_POST['itembrand']));
												$categoryId = htmlspecialchars(strip_tags($_POST['itemCategory']));
												$quantity = htmlspecialchars(strip_tags($_POST['itemQuantity']));
												$description = htmlspecialchars(strip_tags($_POST['naration']));
												$cost = htmlspecialchars(strip_tags($_POST['cost']));
												$warranty = htmlspecialchars(strip_tags($_POST['Warranti']));
							
												$theQuerystmt = $conn->prepare($theQuery);
												
												$theQuerystmt->bindParam(':name', $name);
												$theQuerystmt->bindParam(':brandId', $brandId);
												$theQuerystmt->bindParam(':categoryId', $categoryId);
												$theQuerystmt->bindParam(':quantity', $quantity);
												$theQuerystmt->bindParam(':description', $description);
												$theQuerystmt->bindParam(':cost', $cost);
												$theQuerystmt->bindParam(':warranty', $warranty);
												$theQuerystmt->bindParam(':id', $id);
							}
							if (!empty($_POST['purchaseDate'])){
								$pur_date = htmlspecialchars(strip_tags($_POST['purchaseDate']));
								$theQuery2 = "UPDATE inventoryequipments SET pur_date=:pur_date WHERE id=:id";
								$theQuerystmt2 = $conn->prepare($theQuery2);
								$theQuerystmt2->bindParam(':pur_date', $pur_date);
								$theQuerystmt2->bindParam(':id', $id);
								$theQuerystmt2->execute();
							}

					

					if($theQuerystmt->execute()){
							echo "<div class='alert alert-sucess'>Sucessful update</div>";													
					} else {
							echo "<div class='alert alert-danger'>Error Occured</div>";													
					}
				}
			?>
			
				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post" enctype="multipart/form-data">
                    <div class="row">
                        <div class="col col-md-4">
                            <label for="purchaseDate">Purchase Date <span class="reqired">*</span></label>
                            <input type="date" name="purchaseDate" class="form-control" >
                        </div>
                        <div class="col col-md-4">
                            <label for="itemName">Item Name <span class="reqired">*</span></label>
                            <input type="text" name="itemName" placeholder="Name of equipment" value="<?php echo htmlspecialchars($equipEditrow['name'], ENT_QUOTES)?>" class="form-control" required>
                        </div>
                        <div class="col col-md-2">
                            <label for="itembrand">Item Brand <span class="reqired">*</span></label>
                            <select type="date" name="itembrand" class="form-control" required>															
								<?php
									$brandEdit = "SELECT * FROM itemsbrand WHERE id=:id";
									$brandEditstmt = $conn->prepare($brandEdit);
									$brandEditstmt->bindParam(':id', $equipEditrow['brandId']);
									$brandEditstmt->execute();
									$brandEditrow = $brandEditstmt->fetch(PDO::FETCH_ASSOC);								
									echo "<option value='{$brandEditrow['id']}'>{$brandEditrow['name']}</option>";
                                
									$brandEdit2 = "SELECT * FROM itemsbrand WHERE id!=:id";
									$brandEditstmt2 = $conn->prepare($brandEdit2);
									$brandEditstmt2->bindParam(':id', $equipEditrow['brandId']);
									$brandEditstmt2->execute();
									while($brandEditrow2 = $brandEditstmt2->fetch(PDO::FETCH_ASSOC)){
										echo "<option value='{$brandEditrow2['id']}'>{$brandEditrow2['name']}</option>";
									}
								?>
								
                            </select>
                        </div>
                        <div class="col col-md-2">
                            <label for="itembrand">Category <span class="reqired">*</span></label>
                            <select type="date" name="itemCategory" class="form-control" required>
								<?php
									$categoryEdit = "SELECT * FROM itemscategory WHERE id=:id";
									$categoryEditstmt = $conn->prepare($categoryEdit);
									$categoryEditstmt->bindParam(':id', $equipEditrow['categoryId']);
									$categoryEditstmt->execute();
									$categoryEditrow = $categoryEditstmt->fetch(PDO::FETCH_ASSOC);								
									echo "<option value='{$categoryEditrow['id']}'>{$categoryEditrow['name']}</option>";
                                
									$categoryEdit2 = "SELECT * FROM itemscategory WHERE id!=:id";
									$categoryEditstmt2 = $conn->prepare($categoryEdit2);
									$categoryEditstmt2->bindParam(':id', $equipEditrow['categoryId']);
									$categoryEditstmt2->execute();
									while($categoryEditrow2 = $categoryEditstmt2->fetch(PDO::FETCH_ASSOC)){
										echo "<option value='{$categoryEditrow2['id']}'>{$categoryEditrow2['name']}</option>";
									}
								?>
								
                            </select>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col col-md-2">
                            <label for="itemImage">Image</label>
                            <input type="file" name="itemImage" class="form-control" >
                        </div>
                        <div class="col col-md-1">
                            <label for="itemImage">Quantity <span class="reqired">*</span></label>
                            <input type="number" name="itemQuantity" value="<?php echo htmlspecialchars($equipEditrow['quantity'], ENT_QUOTES)?>" class="form-control" required>
                        </div>
                        <div class="col col-md-5">
                            <label for="naration">Describe this item</label>
                            <textarea cols="30" rows="3" name="naration" class="form-control"><?php echo htmlspecialchars($equipEditrow['description'], ENT_QUOTES)?></textarea>
                        </div>
                        <div class="col col-md-2">
                            <label for="cost">Original Cost <span class="reqired">*</span></label>
                            <input type="number" name="cost" class="form-control" value="<?php echo htmlspecialchars($equipEditrow['cost'], ENT_QUOTES)?>" required>
                        </div>
                        <div class="col col-md-2">
                            <label for="Warranti">Warranti (yrs)<span class="reqired">*</span></label>
                            <input type="number" name="Warranti" class="form-control" value="<?php echo htmlspecialchars($equipEditrow['warranty'], ENT_QUOTES)?>" required>
                        </div>
                    </div>
                    <br>
                    <div class="main text-center">
                        <button name="edit_equipment" type="submit" class="button">Update</button>
                    </div>
                </form>                
            </div>
        </div>
    </div>
</section>



<?php
include "includes/footer.php" ;
?>