<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Edit Ports of Entry
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>



<section class="container">
    <div class="row">
        <div class="col col-md-5">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h5><i class="fas fa-list"></i> Edit Gates</h5></div>
                    <div class="card-body">
                        <form action="#0" method="POST">
                            <div class="row">
                                <div class="col col-sm-6">
                                    <input type="text" name="brandName" placeholder="Gate Name" required class="form-control">
                                </div>
                                <div class="col col-sm-6">
                                    <textarea name="" id="" cols="30" placeholder="Short Description" rows="3" class="form-control"></textarea>
                                </div>
                            </div>
                            <br>
                            <div class="main text-center">
                                <button name="create_department" type="submit" class="button">Update</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="col col-md-7">
            
        </div>
    </div>
</section>






<?php
include "includes/footer.php" ;
?>