<?php 

	include 'database/config.php';

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }
	    include "includes/header.php";
	$username = $_SESSION['username'];
	$query = "SELECT * from members WHERE username = '$username' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);

	
	$full_name = $row['name'];
	$senderId = $row['id'];
	include "includes/sidebar.php";

?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Other Notifications
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<section>
<?php



	$fpath = "leadersapp/files";
 
	if($numsidebar2>0){
	 
			 while ($rowsidebar2 = $stmtsidebar2->fetch(PDO::FETCH_ASSOC)){
			$realfile = $fpath . "/" . $rowsidebar2['file'];
			
			$abcquery = "SELECT * FROM departments WHERE id=:id";
			$abcstmt = $conn->prepare($abcquery);
			$abcstmt->bindParam(':id', $rowsidebar2['departmentId']);
			$abcstmt->execute();
			$abcrow = $abcstmt->fetch(PDO::FETCH_ASSOC);
			
			echo "<div class='alert alert-warning' role='alert'>"; ?>
					<form action="replyNotifications.php?id=<?php echo $rowsidebar2['id'] ?>&type=<?php echo $rowsidebar2['type'] ?>&departmentId=<?php echo $rowsidebar2['departmentId'] ?>&senderId=<?php echo $senderId ?>" method="post">
				<?php	echo "
						<table class='table'>
							<thead class=''>
								<tr>
									<th>Date Sent</th>
									<th>Department</th>
									<th>Type</th>
									<th>Details</th>
									<th>Reply</th>
									<th>Action</th>
								</tr>
							</thead>
							
							<tbody>
								<tr>
									<td>".date('d M Y', strtotime($rowsidebar2['date']))."</td>
									<td>{$abcrow['name']}</td>";
									if($rowsidebar2['type'] == 'activities'){
										echo "<td>Activity</td>
										<td>{$rowsidebar2['details']}</td>";
									} else if($rowsidebar2['type'] == 'conduct'){
										echo "<td>About Member</td>
										<td>{$rowsidebar2['details']}</td>";
									} else if($rowsidebar2['type'] == 'report'){
										echo "<td>Departmetal Report</td>
										<td><a href='$realfile' style='color: black; font-weight:700' download>{$rowsidebar2['title']}</a></td>";
									}									
									echo "
									
									<td><textarea name='response' id='' cols='30' rows='5' class='form-control'></textarea></td>
									<td>
										<div class='main d-flex'>
										    <input type='submit' value='Reply' class='btn btn-success' name='sub' />
										    <a href='ignoreNotification.php?id={$rowsidebar2['id']} type='submit' class='btn btn-danger'>Ignore</a>
										</div>
									</td>
								</tr>
							</tbody>
						</table>
					</form>
				</div>";
		}
	 
	}

?>

</section>

<section>
    <div class="container-fluid">
        <div class="homeCard">
            <div class="card-content">
			
			<div class="card-body">
				<?php				 
				 
				$querys = "SELECT * FROM notification_computer WHERE hasRead=1 ORDER BY id DESC";
				$stmts = $conn->prepare($querys);
				$stmts->execute();
				$nums = $stmts->rowCount();
				
				if($nums>0){
					echo "<table id='table_1' class='table table-striped'
							data-show-export='true'
							data-show-print='true'
							data-pagination='true'
							data-toggle='table'
							data-side-pagination='server'
							data-click-to-select='true'
							data-toolbar='#toolbar'
							data-show-toggle='true'
							data-show-columns='true'
						
						>";	
						echo "<thead class='thead-dark'>
									<tr>
										<th>Date Sent</th>
										<th>Department</th>
										<th>Details</th>
										<th>Reply</th>
									</tr>
								</thead>
								<tbody>";						
					while ($rows = $stmts->fetch(PDO::FETCH_ASSOC)){
						$realfile = $fpath . "/" . $rows['file'];
						
						$queryt = "SELECT * FROM departments WHERE id=:id";
						$querytstmt=$conn->prepare($queryt);
						$querytstmt->bindParam(':id', $rows['departmentId']);
						$querytstmt->execute();
						$querytrow=$querytstmt->fetch(PDO::FETCH_ASSOC);
						
								echo "
								
										<tr>
											<td>".date('d M Y', strtotime($rows['date']))."</td>
											<td>{$querytrow['name']}</td>";
											if($rows['type'] == 'report'){
												echo "
												<td><a href='$realfile' style='color: black; font-weight:700' download>{$rows['title']}</a></td>";
											}	else {	
													
											echo "<td>{$rows['details']}</td>";
											}
											echo "
											<td>{$rows['reply']}</td>
											
										</tr>";							
					}	
					echo "</tbody>
					</table>";
				 
				}
				 
				else{
					echo "<div class='alert alert-danger'>No records found.</div>";
				}
				?>
                </div>
			
            </div>
        </div>
    </div>
</section>
            
<script>
    $(function() {
 var table = $("#table_1").DataTable();

 // Date range vars
 minDateFilter = "";
 maxDateFilter = "";

 $("#daterange").daterangepicker();
 $("#daterange").on("apply.daterangepicker", function(ev, picker) {
  minDateFilter = Date.parse(picker.startDate);
  maxDateFilter = Date.parse(picker.endDate);
  
  $.fn.dataTable.ext.search.push(function(settings, data, dataIndex) {
  var date = Date.parse(data[1]);

  if (
   (isNaN(minDateFilter) && isNaN(maxDateFilter)) ||
   (isNaN(minDateFilter) && date <= maxDateFilter) ||
   (minDateFilter <= date && isNaN(maxDateFilter)) ||
   (minDateFilter <= date && date <= maxDateFilter)
  ) {
   return true;
  }
  return false;
 });
 table.draw();
}); 
  

});

</script>





<?php
    include "includes/footer.php" ;
?>