<?php 

session_start();

if (!isset($_SESSION['username'])) {
    header("Location: auth-login.php");
}

include "includes/header.php";
include "includes/sidebar.php";	

$seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
shuffle($seed); // probably optional since array_is randomized; this may be redundant
$rand = '';
foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
include 'database/config2.php';

?>

<section>
<div class="page-heading">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Selection Badge
                </h3>
                
                <p class="text-subtitle text-muted">Create more church departments 
                    <a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
                        data-content="">
                        1 Chronicles 29:1-9
                    </a>
                </p>
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
                        <li class="breadcrumb-item active" aria-current="page">add department</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>
</section>


<section>
<div class="container">
    <div class="row">
        <div class="col col-md-2"></div>
        <div class="col col-md-8">
            <div class="">
                <div class="card-content">
                    <h3>Select Batch to Print Transcript <span class="reqired">*</span></h3>
                    <div class="card-body">
                        <form action="transcriptintermediary.php" method="POST">
                            <div class="row">
                                <div class="col col-12">
                                    <select class="form-control" type="text" id="" placeholder="submission" name="badge" required>
										<option disable hidden></option>
									<?php
										$transcriptquery = "SELECT * FROM academic_badge ORDER BY id DESC";
										$transcriptstmt = $conn->prepare($transcriptquery);
										$transcriptstmt->execute();
										while($transcriptrow = $transcriptstmt->fetch(PDO::FETCH_ASSOC)){
											echo "
											<option value='{$transcriptrow['id']}'>{$transcriptrow['name']}</option>
											";
										}
									?>                                        
                                    </select>
                                </div>
                            </div>
                            <br>
                            <br>
                            <div class="main text-center">
                                <button name="transcriptselection" type="submit" class="button"><i class="fas fa-check"></i> Select</button>
                            </div>
                            <br>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="col col-md-2"></div>
    </div>
</div>
</section>

<?php
include "includes/footer.php" ;
?>