<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Prayer Line ICC
                        <div class="main">
                            <a href="manageprayerline.php" name="create_department" type="submit" class="button"><i class="fas fa-long-arrow-alt-left"></i> Back</a>
                        </div>
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<input type="button" class="btn btn-success" onclick="codespeedy()" value="print a div!" />
<a href="#" onclick="printAttendance()"  style="float: right"><i class="fas fa-print" style="color: #646464"> Print</i></a>
<section id="printableArea">
    <page size="A4" layout="landscape">
        <div class="container">
            <div class="text-center">
                <img src="assets/images/ltmlogo.png" alt="LTM Logo" style="width: 10%;">
                <h1 style="font-weight: 700">IDENTIFICATION CASE CARD (I.C.C)</h1>
            </div>
            <ul class="iccdetails">
                <li><h5>Name: <span style="font-size: 25px; font-weight: 700">Sama Yanick</span></h5></li>
                <li><h5>Age: <span style="font-size: 25px; font-weight: 700">28 years</span></h5></li>
                <li><h5>Residence: <span style="font-size: 25px; font-weight: 700">Mile 4, Limbe</span></h5></li>
                <li><h5>Duration: <span style="font-size: 25px; font-weight: 700">2 Months</span></h5></li>
                <li><h5>Case:</h5></li>
            </ul>
            <textarea name="" id="" cols="35" class="form-control text-center" rows="5.5" style="color: red; font-size: 60px; font-weight: 700; text-transform: uppercase; border:none">Financial Open doors</textarea>
        </div>
    </page>
    <iframe name="print_attendance" width="0" height="0" frameborder="0" src="about:blank"></iframe>
</section>


<script>
    function printAttendance() {
    window.frames["print_attendance"].document.body.innerHTML = document.getElementById("attendance").innerHTML;
    window.frames["print_attendance"].window.focus();
    window.frames["print_attendance"].window.print();
}
</script>
<?php
include "includes/footer.php" ;
?>