<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	


  
if(isset($_GET['payId'])){
    $ppayId = $_GET['payId'];

    $payquery = "SELECT * FROM pledging_info WHERE id=$ppayId LIMIT 1";
    $payidstmts = $conn->prepare($payquery);
    $payidstmts->execute();
    
    $payidrows = $payidstmts->fetch(PDO::FETCH_ASSOC);
    
    extract($payidrows);

	$payquery2 = "SELECT * FROM fund_campaigns WHERE id=:campaign_id";
    $payidstmts2 = $conn->prepare($payquery2);
	$payidstmts2->bindParam(':campaign_id', $campaign_id);
    $payidstmts2->execute();
    $payidrows2 = $payidstmts2->fetch(PDO::FETCH_ASSOC);
	
				
}

?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Redeem <?php echo $fname?>'s Pledge
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>



<section class="container-fluid">
    <div class="homeCard">
        <div class="card-content" style="box-shadow: -8px 12px 18px 0 rgb(83 124 199 / 81%); background-color: transparent;
        border: 2px solid none; ">
            <!--Tabs for payment or edit payment -->
        <div class="tab">
            <button class="paylinks" onclick="openPay(event, 'pay')" id="defaultOpenPay"><i class="fab fa-cc-amazon-pay"></i> Pay</button>
            <button class="paylinks" onclick="openPay(event, 'editpay')"><i class="far fa-edit"></i> Correct Error</button>
        </div>
        <div class="card-body" style="background-color: white;">
            <div class="card paycontent"  id="pay">
                <div class="card-body">
                    <div class="row">
                        <div class="col col-6">
                            <i class="fab fa-cc-visa" style="font-size: 16em;"></i>
                        </div>
                        <div class="col col-6">
                            <h4><?php echo $campaign_name?> Campaign</h4>
                            <p>Campaign Status: 
                            <?php 
                                if($payidrows2['status'] == 'active'){
                            ?>
                            <span class="badge bg-success">Active</span></p>						
                            <?php						
                                }else{
                                    ?>
                            <span class="badge bg-danger">Inactive</span></p>							
                                    <?php
                                }
                                
                            ?>
                            
                            <p>Pledged on: <?php echo date('l d M Y', strtotime($pledged_date))?></p>
                            <p>Pledged amount: XAF <?php echo number_format($amount_pledged)?></p>
                            <p>Todays date: <?php echo date("l d M Y"); ?></p>
                            <?php
                            
                            
                            
            if (isset($_POST['submitPayment'])) {
            
                // include database connection
                    include 'database/config2.php';
                
                    try{
                
                        // insert query
                        $query = "UPDATE pledging_info SET amount_paid=:paidAmount, redeemed_date=:redDate WHERE id = :someId";
                
                        // prepare query for execution
                        $stmt = $conn->prepare($query);
                
                        // posted values
                        $paidAmount=htmlspecialchars(strip_tags($_POST['payMoney']));
                        $someMoney = $amount_paid + $paidAmount;
                        $redDate = date("Y-m-d");
                        
                        $stmt->bindParam(':paidAmount', $someMoney);
                        $stmt->bindParam(':someId', $id);
                        $stmt->bindParam(':redDate', $redDate);
                        
                        if($stmt->execute()){						
                            echo "<div class='alert alert-success'>Money was submitted.</div>";
                        }else{
                            echo "<div class='alert alert-danger'>Unable to submit. Please try again.</div>";
                        }
                    }
                
                    // show error
                    catch(PDOException $exception){
                        die('ERROR: ' . $exception->getMessage());
                    }
                    
            
            }
            ?>
                            
                            
                            <form method="POST" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?payId={$id}");?>">
                                <div class="form-group has-icon-left">
                                    <div class="position-relative">
                                        <input type="number" class="form-control"
                                            placeholder="" id="first-name-icon" name="payMoney">
                                        <div class="form-control-icon">
                                        <i class="far fa-money-bill-alt fa-2x"></i>
                                        </div>
                                    </div>
                                </div>
                                <button type="submit" name="submitPayment" class="btn btn-primary"><i class="fab fa-amazon-pay" style="color: white;"></i></button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <div class="card paycontent"  id="editpay">
                <div class="card-body">
                    <div class="row">
                        <div class="col col-6">
                        <i class="far fa-credit-card" style="font-size: 16em;"></i>
                        </div>
                        <div class="col col-6">
                            <h2>Reverse Error</h2>
                                <div class="col col-12">
                                    <label for="name">Error Type</label>
                                    <select type="text" class="form-control" name="campaign" id="camp1" required>
                                        <option selected disabled>Select error type</option>
                                        <option value="campNameError">Wrong Campaign Name</option>
                                        <option value="wrong amount">Wrong amount</option>
                                    </select>
                                </div> 
                                <br>
                                <?php
                                
                                // select all data
                                        $individual_campaigns_query = "SELECT * FROM pledging_info WHERE pledger_id = :pledger_id ORDER BY id DESC";
                                        
                                        $individual_campaigns_stmt = $conn->prepare($individual_campaigns_query);
                                        $individual_campaigns_stmt->bindParam(':pledger_id', $pledger_id);
                                        $individual_campaigns_stmt->execute();
                                        
                                        
                                        
                                        // this is how to get number of rows returned
                                        $individual_campaigns_num = $individual_campaigns_stmt->rowCount();
                                    


                                        if (isset($_POST['errorPay'])) {
            
                                        // include database connection
                                            include 'database/config2.php';
                                        
                                            try{
                                        
                                                // insert query
                                                $query = "UPDATE pledging_info SET amount_paid=:paidAmount, redeemed_date=:redDate WHERE id = :someId";
                                        
                                                // prepare query for execution
                                                $stmt = $conn->prepare($query);
                                        
                                                // posted values
                                                $paidAmount=htmlspecialchars(strip_tags($_POST['payMoney']));
                                                $someMoney = $amount_paid + $paidAmount;
                                                $redDate = date("Y-m-d");
                                                
                                                $stmt->bindParam(':paidAmount', $someMoney);
                                                $stmt->bindParam(':someId', $id);
                                                $stmt->bindParam(':redDate', $redDate);
                                                
                                                if($stmt->execute()){						
                                                    echo "<div class='alert alert-success'>Money was submitted.</div>";
                                                }else{
                                                    echo "<div class='alert alert-danger'>Unable to submit. Please try again.</div>";
                                                }
                                            }
                                        
                                            // show error
                                            catch(PDOException $exception){
                                                die('ERROR: ' . $exception->getMessage());
                                            }
                                            
                                    
                                    }
                                    
                                ?>  
                            <form method="POST" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?payId={$id}");?>">
                                <div class="col col-12" id="compaignDiv1">
                                    <label for="name">Select correct campaign</label>
                                    <div class="form-group " id="campEnd1">
                                        <div class="position-relative">
                                            <select name="choose_campaign" id="" class="form-control">
                                                <option></option>
                                                <?php
                                                while ($individual_campaigns_row = $individual_campaigns_stmt->fetch(PDO::FETCH_ASSOC)){
                                                        ?><option><?php echo $individual_campaigns_row['campaign_name'] ?></option><?php
                                                    }
                                                    ?>											
                                                
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            <br>
                            <div class="form-group has-icon-left">
                                <div class="position-relative">
                                    <input type="number" class="form-control"
                                        placeholder="" id="first-name-icon" name="errorPay">
                                    <div class="form-control-icon">
                                    <i class="far fa-money-bill-alt fa-2x"></i>
                                    </div>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-primary"><i class="fab fa-amazon-pay" style="color: white;"></i></button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </div>
    </div>
</section>




<script>
jQuery(function(){
   jQuery('#defaultOpenPay').click();
});
</script>
<?php
include "includes/footer.php" ;
?>