<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
	
	$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');
	include 'database/config2.php';
	$myquery = "SELECT * FROM members WHERE id=$id";
	$mystmt = $conn->prepare($myquery);
	$mystmt->execute();
	$myrow = $mystmt->fetch(PDO::FETCH_ASSOC);
	$depGiving = 0;
?>

<section>
    <iframe 
        src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2111.2409521891677!2d9.231682880897973!3d4.058381891091858!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x1061357da3383d23%3A0xa65dc6bf67c1f839!2s<?php echo $myrow['address'] ?>!5e1!3m2!1sen!2scm!4v1634977386759!5m2!1sen!2scm" 
        width="100%" 
        height="350" 
        class="map"
        style="border:0;" 
        allowfullscreen="" 
        loading="lazy">
    </iframe>
</section>

<section>
    <div class="container-fluid" style="marging-top: 20px">
        <div class="row">
            <div class="col col-md-3">
                <div class="d-flex homeCard">
                    <div class="image_outer_container" style="margin-top: -150px; z-index:100; margin-left: 25px;">
                        <div class="image_inner_container">
						<?php
							echo $myrow['image'] ? "<img src='members-images/{$myrow['image']}' width='300' height='300' />" : "<img src='https://i.pinimg.com/originals/43/96/61/439661dcc0d410d476d6d421b1812540.jpg'>";															
						?>
                            
                        </div>
                        <div class="cantainer" style="text-align: center; margin-top: 15px; margin-bottom: 15px">
                            <h2><?php echo htmlspecialchars($myrow['name'], ENT_QUOTES); ?> 
							<?php
								if($myrow['position'] == 'Leader'){
									?>
									<sup><i class="fas fa-certificate leader"></i></sup>
									<?php
								} 
							?>
							
							
							</h2>
                            <i class="" style="padding-right: 25px; color:#1877f2"></i>
                           <div class="d-flex text-center">
                                <a href="<?php echo $myrow['facebook']?>" target="_blank"><i class="fab fa-facebook" style="padding-right: 25px; color:#1877f2"></i></a>
                                <a href="<?php echo $myrow['youtube']?>" target="_blank"><i class="fab fa-youtube" style="padding-right: 25px; color:#FF0000"></i></a>
                                <a href="<?php echo $myrow['instagram']?>" target="_blank"><i class="fab fa-instagram" style="padding-right: 25px; color:#fccc63"></i></a>
                                <a href="<?php echo $myrow['twitter']?>" target="_blank"><i class="fab fa-twitter" style="padding-right: 25px; color:#00acee"></i></a> <br>
                           </div>
							<?php if($myrow['action'] == 'Suspended'){
								?>
								<span class='badge bg-danger'>Suspended</span>
								<?php
							} else {
								?>
							<span class='badge bg-success'>Active</span>
							<?php
							} ?>
                            
                            <span class='badge bg-primary'><?php echo $myrow['gender']?></span>
                        </div>
                        <h6>Quick Actions</h6>
                        <div class="row text-center">
                            <div class="col col-sm-3"></div>
                            <div class="col col-sm-3"><a href="changedept.php?id=<?php echo $id ?>" class="btn btn-warning"><i class="fas fa-sign-out-alt"></i></a></div>
                            <div class="col col-sm-3"><a href="userEdit.php?id=<?php echo $id ?>" class="btn btn-primary"><i class="fas fa-user-cog"></i></a></div>
                            <div class="col col-sm-3"></div>
                        </div>
                        <br>
                    </div>
                </div>
            </div>
            <div class="col col-md-9">
                <div class="homeCard">
                    <div class="image_outer_container" style="">
                        <div class="card-content">
                            <div class="card-header">
                                <h2>Member's Information</h2>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col col-md-4">
                                        <div class="col">
                                            <div class="homeCard l-bg-blue-dark">
                                                <div class="card-statistic-3 p-4">
                                                <h3 style="color: white">Personal Details</h3>
                                                    <div class="card-icon card-icon-large"><i class="fas fa-male"></i></div>
                                                    <div class="row align-items-center mb-2 d-flex">
                                                        <div class="col-8">
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><i class="fas fa-phone"></i> <span  style="font-weight:700; margin-left:5px;"> <span class='badge bg-info+6'><?php echo $myrow['telephone']?></span></span></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><i class="fas fa-briefcase"></i><span  style="font-weight:700; margin-left:5px;"> <span class='badge bg-info+6'><?php echo $myrow['occupation']?></span></span></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><i class="fas fa-ring" style="color: gold"></i><span  style="font-weight:700; margin-left:5px;"> <span class='badge bg-info+6'><?php echo $myrow['status']?></span></span></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><i class="fas fa-globe-africa"></i><span  style="font-weight:700; margin-left:5px;"> <span class='badge bg-info+6'><?php echo $myrow['country']?></span></span></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><i class="fas fa-birthday-cake"></i><span  style="font-weight:700; margin-left:5px;"> <span class='badge bg-info+6'><?php echo date('d M Y', strtotime($myrow['dob'])) ?></span></span></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><i class="fas fa-graduation-cap"></i><span  style="font-weight:700; margin-left:5px;"> <span class='badge bg-info+6'><?php echo $myrow['hschool']?></span></span></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><i class="fas fa-map-marker-alt"></i><span  style="font-weight:700; margin-left:5px;"> <span class='badge bg-info+6'><?php echo $myrow['address']?></span></span></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><i class="fas fa-language"></i><span  style="font-weight:700; margin-left:5px;"> <span class='badge bg-info+6'><?php echo $myrow['language']?></span></span></p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col col-md-4">
                                        <div class="col ">
                                            <div class="homeCard l-bg-red-dark">
                                                <div class="card-statistic-3 p-4">
                                                    <h3 style="color: white">Spiritual Details</h3>
                                                    <div class="card-icon card-icon-large"><i class="fas fa-church"></i></i></div>
                                                    <div class="row align-items-center mb-2 d-flex">
                                                        <div class="col-8">
														
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><i class="fas fa-cross"></i><span  style="font-weight:700; margin-left:5px;"> <span class='badge bg-info+6'><?php echo $myrow['baptism']?></span></span></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><i class="fas fa-pray"></i></i><span  style="font-weight:700; margin-left:5px;"> <span class='badge bg-info+6'><?php echo $myrow['cell_position']?></span></span></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><i class="fas fa-users"></i><span  style="font-weight:700; margin-left:5px;"> <span class='badge bg-info+6'>
															<?php 
															
																	$sql = "SELECT * FROM members WHERE id=:id OR duplicated_id=:id";
																	$sqlstmt = $conn->prepare($sql);
																	$sqlstmt->bindParam(':id', $id);
																	$sqlstmt->execute();
																	while($sqlrow = $sqlstmt->fetch(PDO::FETCH_ASSOC)){
																		$sql2="SELECT * FROM departments WHERE id=:id";
																		$sqlstmt2=$conn->prepare($sql2);
																		$sqlstmt2->bindParam(':id', $sqlrow['depId']);
																		$sqlstmt2->execute();
																		while($sqlrow2=$sqlstmt2->fetch(PDO::FETCH_ASSOC)){
																			echo $sqlrow2['name']."<br>";
																		}
																	}
																						$identify2 = "SELECT * FROM members WHERE id=:id";
																						$identifystmt2 = $conn->prepare($identify2);
																						$identifystmt2->bindParam(':id', $id);
																						$identifystmt2->execute();
																						$identifyrow2=$identifystmt2->fetch(PDO::FETCH_ASSOC);
																						
																						$soulquery2 = "SELECT * FROM members WHERE evangelist=:evangelist AND duplicated_id=0";
																						$soulstmt2 = $conn->prepare($soulquery2);
																						$soulstmt2->bindParam(':evangelist', $identifyrow2['name']);
																						$soulstmt2->execute();
																						$soulnum2 = $soulstmt2->rowCount();
															
															?></span></span></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><i class="far fa-calendar-alt"></i><span  style="font-weight:700; margin-left:5px;"> <span class='badge bg-info+6'><?php echo date('d M Y', strtotime($myrow['first_visit'])) ?></span></span></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><i class="fas fa-user-graduate"></i><span  style="font-weight:700; margin-left:5px;"> <span class='badge bg-info+6' style="text-align: left !important;"><?php echo $myrow['filts']?> <br> <?php echo $myrow['atbifl']?> <br> <?php echo $myrow['atbipc']?> <br> <?php echo $myrow['atbimc']?></span></span></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><i class="fas fa-user-plus"></i><span  style="font-weight:700; margin-left:5px;"> <span class='badge bg-info+6'>
															<?php
																if($soulnum2 > 0){
																	?>
																	Yes I'm a soul winner
																	<?php
																} else {
																	?>
																	Sorry, I'm not a soul winner yet
																	<?php
																}
															?>
															</span></span></p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col col-md-4">
                                        <div class="col ">
                                            <div class="homeCard l-bg-orange-dark">
                                                <div class="card-statistic-3 p-4">
                                                    <h3 style="color: white">General Information</h3>
                                                    <div class="card-icon card-icon-large"><i class="fas fa-globe"></i></div>
                                                    <div class="row align-items-center mb-2 d-flex">
                                                        <div class="col-8">
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:15px !important;"><i class="fas fa-assistive-listening-systems"></i><span  style="font-weight:700; margin-left:5px;"> <span class='badge bg-info+6'><?php 
															
															
															if($myrow['first_heard'] == 'Evangelist'){
																echo "Evangelist > ".$myrow['evangelist'];
															} else {
																echo $myrow['first_heard'];
															}
															?>
															</span></span></p>
                                                            <p class="d-flex " style="color: white !important; margin-bottom:0px !important;"><i class="fas fa-comment-dots"></i><span  style="margin-left:5px;"><?php echo $myrow['information']?></span></p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>


<section class="design-process-section" id="process-tab">
  <div class="container-fluid">
    <div class="row">
      <div class="col-xs-12"> 
        <!-- design process steps--> 
        <!-- Nav tabs -->
        <ul class="nav nav-tabs process-model more-icon-preocess" role="tablist">
            <li role="presentation" class="">
                <a href="#family" aria-controls="family" role="tab" data-toggle="tab"><i class="fas fa-users" aria-hidden="true"></i>
                    <p>Family</p>
                </a>
            </li>
            <li role="presentation"><a href="#conduct" aria-controls="conduct" role="tab" data-toggle="tab"><i class="fa fa-flag" aria-hidden="true"></i>
                <p>Conduct</p>
                </a>
            </li>
            <li role="presentation"><a href="#awards" aria-controls="awards" role="tab" data-toggle="tab"><i class="fa fa-trophy" aria-hidden="true"></i>
                <p>Awards</p>
                </a>
            </li>
            <li role="presentation"><a href="#hospitality" aria-controls="hospitality" role="tab" data-toggle="tab"><i class="fas fa-heart" aria-hidden="true"></i>
                <p>Hospitality</p>
                </a>
            </li>
            <li role="presentation"><a href="#attendance" aria-controls="attendance" role="tab" data-toggle="tab"><i class="fa fa-hand-paper" aria-hidden="true"></i>
                <p>Attendace</p>
                </a>
            </li>
            <li role="presentation"><a href="#giving" aria-controls="giving" role="tab" data-toggle="tab"><i class="fas fa-hand-holding-usd" aria-hidden="true"></i>
                <p>Givings</p>
                </a>
            </li>
            <li role="presentation">
                <a href="#souls" aria-controls="souls" role="tab" data-toggle="tab">
                    <i class="fas fa-user-plus" aria-hidden="true"></i>
                    <p>Soul Winining</p>
                </a>
            </li>
        </ul>
        <!-- end design process steps--> 


        <!-- Family Tab panes -->
        <div class="homeCard">
            <div class="tab-content">

                 <!-- Soul Winning Tab panes ENDS-->
                 <div role="tabpanel" class="tab-pane" id="souls">
                    <div class="container">
                        <h3>Soul Wining</h3>
						<?php
							$identify = "SELECT * FROM members WHERE id=:id";
							$identifystmt = $conn->prepare($identify);
							$identifystmt->bindParam(':id', $id);
							$identifystmt->execute();
							$identifyrow=$identifystmt->fetch(PDO::FETCH_ASSOC);
						
						function soulWinning($sampleName){
								include 'database/config2.php';

							$soulquery = "SELECT * FROM members WHERE evangelist=:evangelist AND duplicated_id=0";
							$soulstmt = $conn->prepare($soulquery);
							$soulstmt->bindParam(':evangelist', $sampleName);
							$soulstmt->execute();
							echo "<ul>";
									while($soulrow=$soulstmt->fetch(PDO::FETCH_ASSOC)){
										echo "
												<li>
                                                    <a href='seememberinfo.php?id={$soulrow['id']}'>{$soulrow['name']}</a>";
                                                    soulWinning($soulrow['name']);
													echo "
                                                </li>
										";
									}
							echo "</ul>";
						}
						

							
							
							
							
						?>
                        <div class="card-body">
                            <div class="row">
                                <div class="tree">
								<ul>
									<li>
										<a href="#">Me</a>									
								<?php
										soulWinning($identifyrow['name']);
								?>
										
									</li>
								</ul>
								
                                </div>
                            </div>
                        </div>
                    </div>
                 </div>
                <!-- Soul Wining Tab panes ENDS-->

                <div role="tabpanel" class="tab-pane active" id="family">
                    <div class="container">
					<?php 
					
								$identifyperson1 = "SELECT * FROM members WHERE id=:id AND gender != '' ";
								$identifyperson1stmt = $conn->prepare($identifyperson1);
								$identifyperson1stmt->bindParam(':id', $id);
								$identifyperson1stmt->execute();
								$identifyperson1row=$identifyperson1stmt->fetch(PDO::FETCH_ASSOC);
								$targetGender1 = $identifyperson1row['gender'];
					
					myFunction($id);
					myFunction2($id, $targetGender1);
					
					function myFunction($personId){
														include 'database/config2.php';

						$defaultFam = "SELECT * FROM familyrelatives WHERE relativeId=:relativeId";
						$defaultFamstmt=$conn->prepare($defaultFam);
						$defaultFamstmt->bindParam(':relativeId', $personId);
						$defaultFamstmt->execute();
						$defaultFamnum = $defaultFamstmt->rowCount();
						if($defaultFamnum > 0){
							while($defaultFamrow=$defaultFamstmt->fetch(PDO::FETCH_ASSOC)){
								
								$avoidduplicate = "SELECT * FROM familyrelatives WHERE memberId=:memberId AND relativeId=:relativeId";
								$avoidduplicatestmt = $conn->prepare($avoidduplicate);
								$avoidduplicatestmt->bindParam(':memberId', $defaultFamrow['relativeId']);
								$avoidduplicatestmt->bindParam(':relativeId', $defaultFamrow['memberId']);
								$avoidduplicatestmt->execute();
								$avoidduplicatenum = $avoidduplicatestmt->rowCount();
								
								$insertdefaultFam="INSERT INTO familyrelatives SET memberId=:memberId, relativeId=:relativeId, relation=:relation";
								$insertdefaultstmt=$conn->prepare($insertdefaultFam);
								$insertdefaultstmt->bindParam(':memberId', $defaultFamrow['relativeId']);
								$insertdefaultstmt->bindParam(':relativeId', $defaultFamrow['memberId']);
								
								$identifyperson = "SELECT * FROM members WHERE id=:id AND gender != ''";
								$identifypersonstmt=$conn->prepare($identifyperson);
								$identifypersonstmt->bindParam(':id', $defaultFamrow['memberId']);
								$identifypersonstmt->execute();
								$identifypersonrow=$identifypersonstmt->fetch(PDO::FETCH_ASSOC);
								$targetGender = $identifypersonrow['gender'];
								
								
								if(($defaultFamrow['relation'] == 'Father') || ($defaultFamrow['relation'] == 'Mother')){
									if($targetGender == 'Male'){
										$relationx = 'Son';
									} else if($targetGender == 'Female'){
										$relationx = 'Daughter';
									}
								} else if(($defaultFamrow['relation'] == 'Brother') || ($defaultFamrow['relation'] == 'Sister')){
									if($targetGender == 'Male'){
										$relationx = 'Brother';
									} else if($targetGender == 'Female'){
										$relationx = 'Sister';
									}
								} else if(($defaultFamrow['relation'] == 'Son') || ($defaultFamrow['relation'] == 'Daughter')){
									if($targetGender == 'Male'){
										$relationx = 'Father';
									} else if($targetGender == 'Female'){
										$relationx = 'Mother';
									}
								} else if($defaultFamrow['relation'] == 'External'){
									$relationx = 'External';
								}
								$insertdefaultstmt->bindParam(':relation', $relationx);
								
								
								if($avoidduplicatenum == 0){
										$insertdefaultstmt->execute();
								}
								//familyLink($defaultFamrow['memberId'], $defaultFamrow['relativeId']);
							}
						}
						
					}
					
					function myFunction2($firstId, $gender){
														include 'database/config2.php';
						$anotherQuery = "SELECT * FROM familyrelatives WHERE memberId=:memberId";
						$anotherstmt = $conn->prepare($anotherQuery);
						$anotherstmt->bindParam(':memberId', $firstId);
						$anotherstmt->execute();
						while($anotherrow = $anotherstmt->fetch(PDO::FETCH_ASSOC)){
							$anotherQuery2 = "SELECT * FROM familyrelatives WHERE memberId=:memberId";
							$anotherstmt2 = $conn->prepare($anotherQuery2);
							$anotherstmt2->bindParam(':memberId', $anotherrow['relativeId']);
							$anotherstmt2->execute();
							while($anotherrow2 = $anotherstmt2->fetch(PDO::FETCH_ASSOC)){
								if($anotherrow2['relativeId'] != $firstId){
									
										if(($anotherrow['relation'] == 'Father') || ($anotherrow['relation'] == 'Mother')){
										if($anotherrow2['relation'] == 'Father'){
											$related1a3 = 'External';
										} else if($anotherrow2['relation'] == 'Mother'){
											$related1a3 = 'External';
										} else if($anotherrow2['relation'] == 'Sister'){
											$related1a3 = 'External';
										} else if($anotherrow2['relation'] == 'Brother'){
											$related1a3 = 'External';
										} else if($anotherrow2['relation'] == 'Son'){
											$related1a3 = 'Brother';
										} else if($anotherrow2['relation'] == 'Daughter'){
											$related1a3 = 'Sister';
										}
										else{
											$related1a3='External';
										}
									} else if(($anotherrow['relation'] == 'Sister')||($anotherrow['relation'] == 'Brother')){
										if($anotherrow2['relation'] == 'Father'){
											$related1a3 = 'Father';
										} else if($anotherrow2['relation'] == 'Mother'){
											$related1a3 = 'Mother';
										} else if($anotherrow2['relation'] == 'Sister'){
											$related1a3 = 'Sister';
										} else if($anotherrow2['relation'] == 'Brother'){
											$related1a3 = 'Brother';
										} else if($anotherrow2['relation'] == 'Son'){
											$related1a3 = 'External';
										} else if($anotherrow2['relation'] == 'Daughter'){
											$related1a3 = 'External';
										}
										else{
											$related1a3='External';
										}
									} else if(($anotherrow['relation'] == 'Son')||($anotherrow['relation'] == 'Daughter')){
										if($gender == 'Female'){
											if($anotherrow2['relation'] == 'Father'){
												$related1a3 = 'External';
											} 
										}
										if($gender == 'Male'){
											if($anotherrow2['relation'] == 'Mother'){
												$related1a3 = 'External';
											}
										}
										else if($anotherrow2['relation'] == 'Sister'){
											$related1a3 = 'Daughter';
										} else if($anotherrow2['relation'] == 'Brother'){
											$related1a3 = 'Son';
										} else if($anotherrow2['relation'] == 'Son'){
											$related1a3 = 'External';
										} else if($anotherrow2['relation'] == 'Daughter'){
											$related1a3 = 'External';
										}
									}
									else {
										$related1a3 = 'External';
									}
									
									
								$fittingQuery = "INSERT INTO familyrelatives SET memberId=:memberId, relativeId=:relativeId, relation=:relation";
								$fittingstmt = $conn->prepare($fittingQuery);
								$fittingstmt->bindParam(':memberId', $firstId);
								$fittingstmt->bindParam(':relativeId', $anotherrow2['relativeId']);
								$fittingstmt->bindParam(':relation', $related1a3);
								
								$stillcheck = "SELECT * FROM familyrelatives WHERE memberId=:memberId AND relativeId=:relativeId";
								$stillcheckstmt=$conn->prepare($stillcheck);
								$stillcheckstmt->bindParam(':memberId', $firstId);
								$stillcheckstmt->bindParam(':relativeId', $anotherrow2['relativeId']);
								$stillcheckstmt->execute();
								$stillchecknum = $stillcheckstmt->rowCount();
								
								if($stillchecknum == 0){
									$fittingstmt->execute();
								}
									
								}
							}
						}
						
						myFunction($firstId);
					}
						
						
						
						$similarquery = "SELECT * FROM members WHERE id != $id AND duplicated_id = 0";
						$similarstmt = $conn->prepare($similarquery);
						$similarstmt->execute();
						
						$familyquery = "SELECT * FROM members WHERE id != $id AND duplicated_id = 0";
						$familystmt = $conn->prepare($familyquery);
						$familystmt->execute();
						$familynum = $familystmt->rowCount();
						
						
								$alreadyFather = "SELECT * FROM familyrelatives WHERE memberId=:memberId AND relation='Father' ";
								$alreadyFatherstmt=$conn->prepare($alreadyFather);
								$alreadyFatherstmt->bindParam(':memberId', $id);
								$alreadyFatherstmt->execute();
								$alreadyFathernum=$alreadyFatherstmt->rowCount();
								
								$alreadyMother = "SELECT * FROM familyrelatives WHERE memberId=:memberId AND relation='Mother' ";
								$alreadyMotherstmt=$conn->prepare($alreadyMother);
								$alreadyMotherstmt->bindParam(':memberId', $id);
								$alreadyMotherstmt->execute();
								$alreadyMothernum=$alreadyMotherstmt->rowCount();
					?>
                        <h3 class="semi-bold">Family Members</h3>
                        <br>
						<?php
							if(isset($_POST['add_relation'])){
								$checkfamQuery = "SELECT * FROM members WHERE name=:name AND duplicated_id=0 LIMIT 1";
								$checkfamstmt=$conn->prepare($checkfamQuery);
								$name=htmlspecialchars(strip_tags($_POST['relationName']));
								$relationship=htmlspecialchars(strip_tags($_POST['relationship']));
								$checkfamstmt->bindParam(':name', $name);
								$checkfamstmt->execute();
								$checkfamrow=$checkfamstmt->fetch(PDO::FETCH_ASSOC);
								
								
														$alreadySibling2 = "SELECT * FROM familyrelatives WHERE memberId=:memberId AND relativeId=:relativeId";
														$alreadySiblingstmt2 = $conn->prepare($alreadySibling2);
														$alreadySiblingstmt2->bindParam(':memberId', $id);
														$alreadySiblingstmt2->bindParam(':relativeId', $checkfamrow['id']);
														$alreadySiblingstmt2->execute();
														$alreadySiblingnum2=$alreadySiblingstmt2->rowCount();
								
														$relativeGender = $checkfamrow['gender'];
								
								$relationQuery = "INSERT INTO familyrelatives SET memberId=:memberId, relativeId=:relativeId, relation=:relation";
								$relationstmt = $conn->prepare($relationQuery);
								$relationstmt->bindParam(':memberId', $id);
								$relationstmt->bindParam(':relativeId', $checkfamrow['id']);
								$relationstmt->bindParam(':relation', $relationship);
								
								if($alreadySiblingnum2 > 0){
											echo "<div class='alert alert-danger'>Sorry you already added that relative!!!</div>";
								} else {
									if((($relativeGender == 'Male') && ($relationship == 'Mother')) || (($relativeGender == 'Male') && ($relationship == 'Sister')) || (($relativeGender == 'Male') && ($relationship == 'Daughter'))){
										echo "<div class='alert alert-danger'>Sorry, a male cannot be a ".$relationship."</div>";
									} else if((($relativeGender == 'Female') && ($relationship == 'Father')) || (($relativeGender == 'Female') && ($relationship == 'Brother')) || (($relativeGender == 'Female') && ($relationship == 'Son'))){
										echo "<div class='alert alert-danger'>Sorry, a female cannot be a ".$relationship."</div>";
									} else {
										if($relationstmt->execute()){
											echo "<div class='alert alert-success'>Family relative added successfully!</div>";
										} else {
											echo "<div class='alert alert-danger'>Error occured!!!</div>";
										}
									}
										
								}
								
								
							}
						?>
							<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post">
                                <div class="row">
                                        <div class="col col-sm-6 ">
                                            <input type="text" name="relationName" class="form-control" placeholder="Search family member" list="Fname" required>
                                            <datalist id="Fname">
											<?php 
												if($familynum > 0){
													while($familyrow = $familystmt->fetch(PDO::FETCH_ASSOC)){
														$alreadySibling = "SELECT * FROM familyrelatives WHERE memberId=:memberId AND relativeId=:relativeId";
														$alreadySiblingstmt = $conn->prepare($alreadySibling);
														$alreadySiblingstmt->bindParam(':memberId', $id);
														$alreadySiblingstmt->bindParam(':relativeId', $familyrow['id']);
														$alreadySiblingstmt->execute();
														$alreadySiblingnum=$alreadySiblingstmt->rowCount();
														if($alreadySiblingnum == 0){
														?>
														<option value="<?php echo htmlspecialchars($familyrow['name'], ENT_QUOTES) ?>">
														<?php
														}
													}
												}
											?>
                                                
                                            </datalist>
                                        </div>
                                        <div class="col col-sm-5 ">
                                            <select name="relationship" class="form-control" id="" required>
                                                <option value="">Select relation</option>
												<?php
													if($alreadyFathernum == 0){
														?>
														<option value="Father">Father</option>
														<?php
													}
													if($alreadyMothernum == 0){
												?>
														<option value="Mother">Mother</option>
														<?php
													}
												?>
                                                <option value="Sister">Sister</option>
                                                <option value="Brother">Brother</option>
                                                <option value="Son">Son</option>
                                                <option value="Daughter">Daughter</option>
                                                <option value="External">External</option>
                                            </select>
                                        </div>
                                        <div class="col col-sm-1">
                                            <div class="main">
                                                <button name="add_relation" type="submit" class="button">Add</button>
                                            </div>
                                        </div>
                                </div>
                            </form> <br>
                        <hr> <br><br>
                        <div class="row">
						
						<?php
						
						
							$verifiedfamQuery = "SELECT DISTINCT memberId, relativeId, relation FROM familyrelatives  WHERE memberId = :memberId";
							$verifiedfamstmt=$conn->prepare($verifiedfamQuery);
							$verifiedfamstmt->bindParam(':memberId', $id);
							$verifiedfamstmt->execute();
							$verifiedfamnum=$verifiedfamstmt->rowCount();
							if($verifiedfamnum > 0){
								while($verifiedfamrow=$verifiedfamstmt->fetch(PDO::FETCH_ASSOC))
								{
									$retrieveRelativeQuery = "SELECT * FROM members WHERE id=:id";
									$retrieveRelativestmt=$conn->prepare($retrieveRelativeQuery);
									$retrieveRelativestmt->bindParam(':id', $verifiedfamrow['relativeId']);
									$retrieveRelativestmt->execute();
									$retrieveRelativerow=$retrieveRelativestmt->fetch(PDO::FETCH_ASSOC);
								echo "
										<div class='col col-sm-3'>
											<div class='homeCard m-b-30'>
												<div class='ribbon ribbon-top-right'><span class='verified'>Verified</span></div>
												<form action='' method=''>
													<div class='card-body'>
														<div class='col-12 text-center'>
															";
																echo $retrieveRelativerow['image'] ? "<img src='members-images/{$retrieveRelativerow['image']}' alt='profile' class='img-fluid rounded-circle w-60' />" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' alt='profile' class='img-fluid rounded-circle w-60'>";															
														echo "
														</div>
														<div class='col-12 card-title text-center'>
															<h5></h5>
															<p class='m-0'>
																<a href='seememberinfo.php?id={$retrieveRelativerow['id']}'>{$retrieveRelativerow['name']}</a> <br>
																<span class='badge bg-success'>{$verifiedfamrow['relation']}</span>
															</p>
														</div>
														<ul class='list-group list-group-flush text-center'>
															<li class='list-group-item' style='background-color: transparent !important;'><i class='fa fa-street-view'></i> Address : {$retrieveRelativerow['address']}</li>
															<li class='list-group-item' style='background-color: transparent !important;'><i class='fa fa-phone'></i> Phone : {$retrieveRelativerow['telephone']} </li>
														</ul>
														<div class='card-body text-center'> 
															<ul class='social-links list-inline mb-0'>
																<li class='list-inline-item'><a title='' data-placement='top' data-toggle='tooltip' class='tooltips' href='{$retrieveRelativerow['facebook']}' target='_blank' data-original-title='Facebook'><i class='fa fa-facebook-f'></i></a></li>
																<li class='list-inline-item'><a title='' data-placement='top' data-toggle='tooltip' class='tooltips' href='{$retrieveRelativerow['twitter']}' target='_blank' data-original-title='Twitter'><i class='fa fa-twitter'></i></a></li>
																<li class='list-inline-item'><a title='' data-placement='top' data-toggle='tooltip' class='tooltips' href='{$retrieveRelativerow['instagram']}' target='_blank' data-original-title='instagram'><i class='fa fa-instagram'></i></a></li>
																<li class='list-inline-item'><a title='' data-placement='top' data-toggle='tooltip' class='tooltips' href='{$retrieveRelativerow['youtube']}' target='_blank' data-original-title='youtube'><i class='fa fa-youtube'></i></a></li>    
															</ul>
														</div>
														<div class='text-center'>

															<br>
															<a href='removeRelation.php?memberId={$id}&relativeId={$retrieveRelativerow['id']}' class='btn btn-secondary tooltips' data-placement='top' data-toggle='tooltip' data-original-title='Delete'><i class='fa fa-times'></i></a>
														</div>
													</div>
												</form>
											</div>
										</div>

									";
								}
							}
							
							
							
							
							while($similarrow = $similarstmt->fetch(PDO::FETCH_ASSOC)){
								
														$alreadySibling4 = "SELECT * FROM familyrelatives WHERE memberId=:memberId AND relativeId=:relativeId";
														$alreadySiblingstmt4 = $conn->prepare($alreadySibling4);
														$alreadySiblingstmt4->bindParam(':memberId', $id);
														$alreadySiblingstmt4->bindParam(':relativeId', $similarrow['id']);
														$alreadySiblingstmt4->execute();
														$alreadySiblingnum4=$alreadySiblingstmt4->rowCount();
								
								
								if($alreadySiblingnum4 == 0)
								{
								//similar_text($myrow['name'], $similarrow['name'], $percent);
								$person = explode(" ", $myrow['name']);
								$others = explode(" ", $similarrow['name']);
								$similarity = 0;
								foreach ($person as $personName){
									foreach ($others as $otherName){
										if($personName == $otherName){
											$similarity++;
										}
									}
								}
								$notsuggested = "SELECT * FROM neversuggest WHERE memberId=:memberId AND victimId=:victimId";
								$notsuggestedstmt=$conn->prepare($notsuggested);
								$notsuggestedstmt->bindParam(':memberId', $id);
								$notsuggestedstmt->bindParam(':victimId', $similarrow['id']);
								$notsuggestedstmt->execute();
								$notsuggestednum=$notsuggestedstmt->rowCount();
								
								if($notsuggestednum == 0)
								{
								if($similarity > 0) 
								{
									echo "
										<div class='col col-sm-3'>
											<div class='homeCard m-b-30'>
												<div class='ribbon ribbon-top-right'><span>Suggested</span></div>"; 
									
												
												?>
												
												<form action='addRelation.php?memberId=<?php echo $id ?>&relativeId=<?php echo $similarrow['id'] ?>' method='post'>
												<?php echo "
													<div class='card-body'>
														<div class='col-12 text-center'>
															";
																echo $similarrow['image'] ? "<img src='members-images/{$similarrow['image']}' alt='profile' class='img-fluid rounded-circle w-60' />" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' alt='profile' class='img-fluid rounded-circle w-60'>";															
														echo "
														</div>
														<div class='col-12 card-title text-center'>
															<h5></h5>
															<p class='m-0'>
																<a href='seememberinfo.php?id={$similarrow['id']}'>{$similarrow['name']}</a>
															</p>
														</div>
														<ul class='list-group list-group-flush text-center'>
															<li class='list-group-item' style='background-color: transparent !important;'><i class='fa fa-street-view'></i> Address : {$similarrow['address']}</li>
															<li class='list-group-item' style='background-color: transparent !important;'><i class='fa fa-phone'></i> Phone : {$similarrow['telephone']} </li>
														</ul>
														<div class='card-body text-center'> 
															<ul class='social-links list-inline mb-0'>
																<li class='list-inline-item'><a title='' data-placement='top' data-toggle='tooltip' class='tooltips' href='{$similarrow['facebook']}' target='_blank' data-original-title='Facebook'><i class='fa fa-facebook-f'></i></a></li>
																<li class='list-inline-item'><a title='' data-placement='top' data-toggle='tooltip' class='tooltips' href='{$similarrow['twitter']}' target='_blank' data-original-title='Twitter'><i class='fa fa-twitter'></i></a></li>
																<li class='list-inline-item'><a title='' data-placement='top' data-toggle='tooltip' class='tooltips' href='{$similarrow['instagram']}' target='_blank' data-original-title='instagram'><i class='fa fa-instagram'></i></a></li>
																<li class='list-inline-item'><a title='' data-placement='top' data-toggle='tooltip' class='tooltips' href='{$similarrow['youtube']}' target='_blank' data-original-title='youtube'><i class='fa fa-youtube'></i></a></li>    
															</ul>
														</div>
														<div class='text-center'>
															<select name='relation' class='form-control' id='' required>
																<option value=''>Select relation</option>";
																
																	if($alreadyFathernum == 0){
																		if($similarrow['gender'] == 'Male')
																		{
																		?>
																		<option value="Father">Father</option>
																		<?php
																		}
																	}
																	if($alreadyMothernum == 0){
																		if($similarrow['gender'] == 'Female')
																		{
																?>
																		<option value="Mother">Mother</option>
																		<?php
																		}
																	}
																	if($similarrow['gender'] == 'Female')
																		{
																?>
																		<option value='Sister'>Sister</option>
																		<option value='Daughter'>Daughter</option>
																		<option value='External'>External</option>
																		<?php
																		} else if($similarrow['gender'] == 'Male')
																		{
																?>
																		<option value='Brother'>Brother</option>
																		<option value='Son'>Son</option>
																		<option value='External'>External</option>
																		<?php
																		}
																
																echo "
																
															</select>
															<br>
															<button type='submit' name='isrelative' class='btn btn-primary tooltips' target='_blank'><i class='fas fa-check'></i></button>
															<a href='removeSuggestion.php?memberId={$id}&victimId={$similarrow['id']}' class='btn btn-secondary tooltips' data-placement='top' data-toggle='tooltip' data-original-title='Delete'><i class='fa fa-times'></i></a>
														</div>
													</div>
												</form>
											</div>
										</div>

									";
								}
								}
								}
							}
							
							
						?>
							
                        </div>

                     </div>
                </div>
                <!-- Family Tab panes Ends -->


                <!-- Conduct Tab panes -->
                <div role="tabpanel" class="tab-pane" id="conduct">
                    <div class="row">
                        <div class="col col-md-6">
                            <div class="homeCard">
                                <div class="card-content">
                                    <div class="card-body">
									 <div class="design-process-content">
                                            <h3 class="semi-bold text-center">Member's Head Quarters Conduct</h3>
                                                <ol class="activity-feed">
									<?php
										$conquery1 = "SELECT * FROM notification_computer WHERE type='conduct'";
										$constmt1 = $conn->prepare($conquery1);
										$constmt1->execute();
										
										while($conrow1=$constmt1->fetch(PDO::FETCH_ASSOC)){
											$conquery2 = "SELECT * FROM members WHERE duplicated_id=:id OR id=:id";
											$constmt2 = $conn->prepare($conquery2);
											$constmt2->bindParam(':id', $id);
											$constmt2->execute();
											while($conrow2=$constmt2->fetch(PDO::FETCH_ASSOC)){
												if($conrow2['id'] == $conrow1['memberId']){
													$conquery3 = "SELECT * FROM departments WHERE id=:id";
													$constmt3 = $conn->prepare($conquery3);
													$constmt3->bindParam(':id', $conrow1['departmentId']);
													$constmt3->execute();
													$conrow3 = $constmt3->fetch(PDO::FETCH_ASSOC);
													?>
														<li class="feed-item">
															<time class="date" datetime="<?php echo date('M d', strtotime($conrow1['date'])) ?>"><?php echo date('M d', strtotime($conrow1['date'])) ?> (<?php echo $conrow3['name'] ?>)</time>
															<span class="text"><?php echo $conrow1['details'] ?></span>
														</li>
													<?php
												}
											}
										}
										
									?>
                                                </ol>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col col-md-6">
                            <div class="homeCard">
                                <div class="card-content">
                                    <div class="card-body">
                                        <div class="design-process-content">
                                            <h3 class="semi-bold text-center">Member's Branch Conduct</h3>
                                                <ol class="activity-feed">
                                                    <li class="feed-item">
                                                        <time class="date" datetime="9-25">Sep 25</time>
                                                        <span class="text">Responded to need <a href="single-need.php">“Volunteer opportunity”</a></span>
                                                    </li>
                                                    <li class="feed-item">
                                                        <time class="date" datetime="9-24">Sep 24</time>
                                                        <span class="text">Added an interest “Volunteer Activities”</span>
                                                    </li>
                                                    <li class="feed-item">
                                                        <time class="date" datetime="9-23">Sep 23</time>
                                                        <span class="text">Joined the group <a href="single-group.php">“Boardsmanship Forum”</a></span>
                                                    </li>
                                                    <li class="feed-item">
                                                        <time class="date" datetime="9-21">Sep 21</time>
                                                        <span class="text">Responded to need <a href="single-need.php">“In-Kind Opportunity”</a></span>
                                                    </li>
                                                    <li class="feed-item">
                                                        <time class="date" datetime="9-18">Sep 18</time>
                                                        <span class="text">Created need <a href="single-need.php">“Volunteer Opportunity”</a></span>
                                                    </li>
                                                    <li class="feed-item">
                                                        <time class="date" datetime="9-17">Sep 17</time>
                                                        <span class="text">Attending the event <a href="single-event.php">“Some New Event”</a></span>
                                                    </li>
                                                </ol>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Conduct Tab panes ENDS-->


                <!-- Awards Tab panes-->
                <div role="tabpanel" class="tab-pane" id="awards">
                    <div class="container">
                        <h3 class="semi-bold">Awards</h3>
                        <div class="row">
                            <div class="col-xl-3 col-sm-6 col-12"> 
                                <div class="homeCard wrapper">
                                    <div class="card-content">
                                        <div class="card-body">
                                            <div class="media d-flex">
                                                <div class="media-body text-center">
                                                    <h1>1<sup>st</sup> </h1>
                                                    <span>Most punctual departmental member</span>
                                                    <span class="year">2020</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="1staward text-center">
                                            <img src="assets/images/winner.png" alt="winner" style="max-width: 200px; max-height: 200px;">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-3 col-sm-6 col-12"> 
                                <div class="homeCard wrapper">
                                    <div class="card-content">
                                        <div class="card-body">
                                            <div class="media d-flex">
                                                <div class="media-body text-center">
                                                    <h1>2<sup>nd</sup> </h1>
                                                    <span>Most punctual departmental member</span>
                                                    <span class="year">2019</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="1staward text-center">
                                            <img src="assets/images/2runnerup.png" alt="winner" style="max-width: 200px; max-height: 200px;">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-3 col-sm-6 col-12"> 
                                <div class="homeCard wrapper">
                                    <div class="card-content">
                                        <div class="card-body">
                                            <div class="media d-flex">
                                                <div class="media-body text-center">
                                                    <h1>3<sup>rd</sup> </h1>
                                                    <span>Most punctual departmental member</span>
                                                    <span class="year">2014</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="1staward text-center">
                                            <img src="assets/images/3runnerup.png" alt="winner" style="max-width: 200px; max-height: 200px;">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-3 col-sm-6 col-12"> 
                                <div class="homeCard wrapper">
                                    <div class="card-content">
                                        <div class="card-body">
                                            <div class="media d-flex">
                                                <div class="media-body text-center">
                                                    <h1>1<sup>st</sup> </h1>
                                                    <span>Most punctual departmental member</span>
                                                    <span class="year">2020</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="1staward text-center">
                                            <img src="assets/images/winner.png" alt="winner" style="max-width: 200px; max-height: 200px;">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Awards Tab panes ENDS-->


                <!-- hospitality Tab panes -->
                <div role="tabpanel" class="tab-pane" id="hospitality">
                    <div id="toolbar" class="select" style="display: none">
                        <select class="form-control">
                            <option value="">Export Basic</option>
                            <option value="all">Export All</option>
                            <option value="selected">Export Selected</option>
                        </select>
                    </div>
                    <div class="container">
                        <table id="table" class="table table-striped table-dark"
                            data-show-export="true"
                            data-show-print="true"
                            data-pagination="true"
                            data-toggle="table"
                            data-side-pagination="server"
                            data-click-to-select="true"
                            data-toolbar="#toolbar"
                            data-show-toggle="true"
                            data-show-columns="true"
                        >
                                <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Date</th>
                                    <th scope="col">Purpose</th>
                                    <th scope="col">Activties</th>
                                </tr>
                            </thead>    
                            <tbody id="myDepts">
                                <tr>
                                    <th scope="row">2</th>
                                    <td>Sunday 10 Oct 2021</td>
                                    <td>Wedding</td>
                                    <td>
                                        Lorem ipsum, dolor sit amet consectetur adipisicing elit. Dignissimos inventore ad fuga nemo natus 
                                        maxime necessitatibus deleniti aut quae, impedit dolorum ipsam cupiditate optio expedita alias soluta 
                                        facilis, illum eius!
                                    </td>
                                </tr>
                                <tr>
                                    <th scope="row">2</th>
                                    <td>Sunday 10 Oct 2021</td>
                                    <td>Wedding</td>
                                    <td>
                                        Lorem ipsum, dolor sit amet consectetur adipisicing elit. Dignissimos inventore ad fuga nemo natus 
                                        maxime necessitatibus deleniti aut quae, impedit dolorum ipsam cupiditate optio expedita alias soluta 
                                        facilis, illum eius!
                                    </td>
                                </tr>
                                <tr>
                                    <th scope="row">2</th>
                                    <td>Sunday 10 Oct 2021</td>
                                    <td>Wedding</td>
                                    <td>
                                        Lorem ipsum, dolor sit amet consectetur adipisicing elit. Dignissimos inventore ad fuga nemo natus 
                                        maxime necessitatibus deleniti aut quae, impedit dolorum ipsam cupiditate optio expedita alias soluta 
                                        facilis, illum eius!
                                    </td>
                                </tr>
                                <tr>
                                    <th scope="row">2</th>
                                    <td>Sunday 10 Oct 2021</td>
                                    <td>Wedding</td>
                                    <td>
                                        Lorem ipsum, dolor sit amet consectetur adipisicing elit. Dignissimos inventore ad fuga nemo natus 
                                        maxime necessitatibus deleniti aut quae, impedit dolorum ipsam cupiditate optio expedita alias soluta 
                                        facilis, illum eius!
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
                <!-- hospitality Tab panes ENDS-->
<?php
	$attquery = "SELECT * FROM memberattendance ORDER BY id DESC";
	$attstmt=$conn->prepare($attquery);
	$attstmt->execute();
?>

                <!-- attendance Tab panes ENDS-->
                <div role="tabpanel" class="tab-pane" id="attendance">
                    <div class="container">
                        <h3 class="semi-bold">Attendance</h3>  
                            <div class="card" style="float: left">
                                <form>
                                    <div class="form-group mb-0">
                                        <div class="input-group mb-0">
                                            <input type="text" class="form-control" onkeyup="myFunction()" id="lookDpt" placeholder="Search date..." aria-describedby="project-search-addon"/>
                                            <div class="input-group-append">
                                                <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12"></i></button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div id="toolbar" class="select" style="display: none">
                                <select class="form-control">
                                    <option value="">Export Basic</option>
                                    <option value="all">Export All</option>
                                    <option value="selected">Export Selected</option>
                                </select>
                            </div> 
							<table id="table" class="table table-striped table-dark"
                            data-show-export="true"
                            data-show-print="true"
                            data-pagination="true"
                            data-toggle="table"
                            data-height="1000"
                            data-side-pagination="server"
                            data-click-to-select="true"
                            data-toolbar="#toolbar"
                            data-show-toggle="true"
                            data-show-columns="true"
                        >
                                <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Date</th>
                                    <th scope="col">Status</th>
                                    <th scope="col">Comment</th>
                                    <th scope="col">Department</th>
                                </tr>
                            </thead>    
                            <tbody id="myDepts">
							<?php
								while($attrow=$attstmt->fetch(PDO::FETCH_ASSOC)){
									$attquery2="SELECT * FROM members WHERE id=:id OR duplicated_id=:id";
									$attstmt2=$conn->prepare($attquery2);
									$attstmt2->bindParam(':id', $id);
 									$attstmt2->execute();
									while($attrow2=$attstmt2->fetch(PDO::FETCH_ASSOC)){
										if($attrow['memberId'] == $attrow2['id']){
											$checkdept = "SELECT * FROM departments WHERE id=:id";
											$checkstmt=$conn->prepare($checkdept);
											$checkstmt->bindParam(':id', $attrow['departmentId']);
											$checkstmt->execute();
											$checkrow = $checkstmt->fetch(PDO::FETCH_ASSOC);
											echo"
											<tr>
												<th scope='row'>{$attrow['id']}</th>
												<td>".date('l d M Y', strtotime($attrow['markedDate']))."</td>
												
												<td>";
														if($attrow['attendance'] == 'Permission'){
															?>
															<span class='badge bg-warning'>Permission</span>
															<?php
														} else if($attrow['attendance'] == 'Present'){
															?>
															<span class='badge bg-success'>Present</span>
															<?php
														} else if($attrow['attendance'] == 'Absent'){
															?>
															<span class='badge bg-danger'>Absent</span>
															<?php
														}
												echo "</td>
												<td>{$attrow['service_tag']}</td>
												<td>{$checkrow['name']}</td>
											</tr>
											";
										}
									}
								}
							?>

                                
                                
                            </tbody>
                        </table>
                    </div>
                </div>
                <!-- attendance Tab panes ENDS-->


                <!-- giving Tab panes ENDS-->
                <div role="tabpanel" class="tab-pane" id="giving">
                    <div class="container">
                        <h3>Givings</h3>
                        <div class="row">
                            <div class="col col-sm-4">
                                <a id="one-tab" data-toggle="tab" href="#one" role="tab" aria-controls="One" aria-selected="true">
                                    <div class="homeCard">
                                        <div class="card-header">Departmental Givings</div>
                                        <i class="fab fa-cc-visa fa-3x" style="float:right; font-size: 6em;"></i>
                                        <div class="card-body">
										
										<?php
										$depGivingm = 0;
											$attquerycm = "SELECT * FROM contributions WHERE isBranch=0 ORDER BY id DESC";
											$attstmtcm=$conn->prepare($attquerycm);
											$attstmtcm->execute();
											while($attrowcm=$attstmtcm->fetch(PDO::FETCH_ASSOC))
											{
												$attquery2cm="SELECT * FROM members WHERE id=:id OR duplicated_id=:id";
												$attstmt2cm=$conn->prepare($attquery2cm);
												$attstmt2cm->bindParam(':id', $id);
												$attstmt2cm->execute();
												while($attrow2cm=$attstmt2cm->fetch(PDO::FETCH_ASSOC)){
													if($attrowcm['memberId'] == $attrow2cm['id']){
														$depGivingm = $depGivingm + $attrowcm['amount'];
													}
												}
											}
										?>
										
										
                                            <h1><?php echo number_format($depGivingm)?></h1>
                                        </div>
                                    </div>
                                </a>
                            </div>
                            <div class="col col-sm-4">
                                <a id="two-tab" data-toggle="tab" href="#two" role="tab" aria-controls="Two" aria-selected="false">
                                    <div class="homeCard">
                                        <div class="card-header">Total Pladges</div>
                                        <i class="fas fa-handshake fa-3x" style="float:right; font-size: 7em;"></i>
                                        <div class="card-body">
                                            <h1>25,000</h1>
                                        </div>
                                    </div>
                                </a>
                            </div>
                        </div>
<?php
	$attqueryc = "SELECT * FROM contributions WHERE isBranch=0 ORDER BY id DESC";
	$attstmtc=$conn->prepare($attqueryc);
	$attstmtc->execute();
?>
                        <div class="tab-content" id="myTabContent">
                            <div class="tab-pane fade show active p-3" id="one" role="tabpanel" aria-labelledby="one-tab">
                                <div class="container">
                                    <h3>Departmental Givings</h3>
                                    <table id="testTable" class="table table-striped table-dark">
                                        <thead>
                                            <tr>
                                                <th scope="col">#</th>
                                                <th scope="col">Date</th>
                                                <th scope="col">Transaction ID</th>
                                                <th scope="col">From</th>
                                                <th scope="col">Motive</th>
                                                <th scope="col">Amount</th>
                                                <th scope="col">Department</th>
                                            </tr>
                                        </thead>    
                                        <tbody>
										
										<?php
											while($attrowc=$attstmtc->fetch(PDO::FETCH_ASSOC))
											{
												$attquery2c="SELECT * FROM members WHERE id=:id OR duplicated_id=:id";
												$attstmt2c=$conn->prepare($attquery2c);
												$attstmt2c->bindParam(':id', $id);
												$attstmt2c->execute();
												while($attrow2c=$attstmt2c->fetch(PDO::FETCH_ASSOC)){
													if($attrowc['memberId'] == $attrow2c['id']){
														$checkdeptc = "SELECT * FROM departments WHERE id=:id";
														$checkstmtc=$conn->prepare($checkdeptc);
														$checkstmtc->bindParam(':id', $attrowc['departmentId']);
														$checkstmtc->execute();
														$checkrowc = $checkstmtc->fetch(PDO::FETCH_ASSOC);
														echo"
														<tr>
															<td scope='row'>{$attrowc['id']}</td>
															<td>".date('d/M/Y', strtotime($attrowc['paymentDate']))."</td>
															<td>{$attrowc['transactionId']}</td>
															<td><span class='badge bg-info'>";
															if($attrowc['isBranch'] == 0){
																echo "Head Quarters";
															} else if($attrowc['isBranch'] == 1){
																echo "Branch";
															}
															echo "</span></td>
															<td><span class='badge bg-success'>{$attrowc['motive']}</span></td>
															<td>{$attrowc['amount']}frs</td>
															<td>{$checkrowc['name']}</td>
														</tr>
														";
														}
												}
											}
										?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>

                            <div class="tab-pane fade p-3" id="two" role="tabpanel" aria-labelledby="two-tab">
                                <div class="container">
                                    <h3>Pledges</h3>
                                    <table class="table table-striped table-class" id= "table-id">
                                        <thead>
                                            <tr>
                                                <th>Campaign Name</th>
                                                <th>Date Pledged</th>
                                                <th>Date Redeemed</th>
                                                <th>Amount Pledged</th>
                                                <th>Amount Paid</th>
                                                <th>% Complete</th>
                                                <th>Status</th>
                                                <th>Method</th>
                                            
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>Buying Buss</td>
                                                <td>25 Nov 2021</td>
                                                <td>26 Nove 2021</td>
                                                <td>50000</td>
                                                <td>50000</td>
                                                <td>
                                                    <div class="progress progress-danger  mb-4">
                                                        <div class="progress-bar progress-bar-striped" role="progressbar" style="width:100%"
                                                            aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">100%
                                                        </div>
                                                    </div>
                                                </td>
                                                <td>
                                                    <span class="badge bg-success">On time</span>		
                                                </td>
                                                <td>Cash</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <!-- giving Tab panes ENDS-->
                
            </div>
        </div>
        

      </div>
    </div>
  </div>
</section>



<script>
    // script for tab steps
    $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {

    var href = $(e.target).attr('href');
    var $curr = $(".process-model  a[href='" + href + "']").parent();

    $('.process-model li').removeClass();

    $curr.addClass("active");
    $curr.prevAll().addClass("visited");
    });
    // end  script for tab steps
</script>

<script>
$(document).ready(function(){
  $("#lookDpt").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myDepts tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script> 

<script>
  var $table = $('#table')

  $(function() {
    $('#toolbar').find('select').change(function () {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: $(this).val(),
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        columns: [
          {
            field: 'state',
            checkbox: true,
            visible: $(this).val() === 'selected'
          },
          {
            field: 'id',
            title: 'Date'
          }, {
            field: 'name',
            title: 'Purpose'
          }, {
            field: 'price',
            title: 'Activities'
          }
        ]
      })
    }).trigger('change')
  })
</script>

<?php
include "includes/footer.php" ;
?>