<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	


	


if(isset($_GET['pid'])){
    $myId = $_GET['pid'];

    $myquery = "SELECT * FROM pledgers WHERE id=$myId LIMIT 1";
    $idstmts = $conn->prepare($myquery);
    $idstmts->execute();
    
    $idrows = $idstmts->fetch(PDO::FETCH_ASSOC);
    
    extract($idrows);
}

?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Viewing: <?php echo $fname?>'s pledging details
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>



<section class="container-fluid">
    <div class="homeCard" >
        <div class="card-content">
            <div class="card-header" style="background-color: white;">
                    <h2 class="card-title" id="myModalLabel17">Viewing: <?php echo $fname?>'s pledging details</h2>
                </div>
                <div class="card-body" style="background-color: #f2f2f2;">
                    <div class="row">
                        <div class="col col-9">
                            <div class="card">
                                <div class="card-header"></div>
                                <div class="card-body">

                                    <div class="row">
                                        <div class="col col-md col-3">
                                            <img src="invoice/images/profile.jpg" alt="user profile">
                                        </div>
                                        <?php
                                            // include database connection
                                            include 'database/config2.php';
                                            
                                            
                                            // select all data
                                            $latest_pledged_query = "SELECT pledger_id, campaign_name, amount_pledged, amount_paid FROM pledging_info WHERE pledger_name = :fname AND pledger_id = :pledger_id ORDER BY id DESC LIMIT 0, 1";
                                            
                                            $latest_pledged_stmt = $conn->prepare($latest_pledged_query);
                                            $latest_pledged_stmt->bindParam(':fname', $fname);
                                            $latest_pledged_stmt->bindParam(':pledger_id', $myId);
                                            $latest_pledged_stmt->execute();
                                            
                                            
                                            
                                            // this is how to get number of rows returned
                                            $latest_pledged_num = $latest_pledged_stmt->rowCount();
                                                                            
                                        //check if more than 0 record found
                                        if($latest_pledged_num>0){
                                            $latest_pledged_row = $latest_pledged_stmt->fetch(PDO::FETCH_ASSOC);
                                            extract($latest_pledged_row);
                                            
                                                            if($amount_pledged == 0){
                                                                $percentageCalc = 0;
                                                            }else{
                                                                $percentageCalc = ($amount_paid*100)/$amount_pledged;
                                                            }									
                                            
                                        ?>
                                        <div class="col col-md col-9">
                                            <h2 style="color: #a5a5a5">Most recent pledge: <?php echo $campaign_name?>
                                            </h2>
                                            <div class="progress" style="height: 68px;">
                                                <div class="progress-bar progress-bar-striped bg-danger active" role="progressbar" style="width: <?php echo $percentageCalc?>%" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"><?php echo number_format($percentageCalc);?>% complete</div>
                                            </div> 
                                            <br>
                                            <p style="float: left;">Pledged: XFA <?php echo number_format($amount_pledged)?></p>
                                            <p style="float: right;">Paid: XFA <?php echo number_format($amount_paid) ?></p>
                                        </div>
                                        <?php
                                        }else{
                                            ?>
                                        <div class="col col-md col-9">
                                            <h2 style="color: #a5a5a5">Most Recent pledge: None
                                            </h2>
                                            <div class="progress" style="height: 68px;">
                                                <div class="progress-bar progress-bar-striped bg-danger active" role="progressbar" style="width: 0%" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100">0% complete</div>
                                            </div> 
                                            <br>
                                            <p style="float: left;">Pledged: XFA 0</p>
                                            <p style="float: right;">Paid: XFA 0</p>
                                        </div>
                                            <?php
                                        }
                                        ?>

                                        <!--Quick Report of Pledges (Bar Chart) -->
                                        <canvas id="myChart" style="width:100%; max-width:780px"></canvas>
                                    </div>
                                        <br><br>

                                    <div class="container">
                                    <h5>Cumulative pledges
                                        <a  href="#" class="scripture" title="1 Chronicles 29:2 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
                                            data-content="With all my resources I have provided for the temple of my God—gold for the gold work, silver for the silver, 
                                            bronze for the bronze, iron for the iron and wood for the wood, as well as onyx for the settings, turquoise,[a] stones of 
                                            various colors, and all kinds of fine stone and marble—all of these in large quantities.">
                                            <small> 1 Chronicles 29:2</small>
                                        </a>
                                        <a href="addmorepledge.php?tid=10">
                                            <button class="btn btn-warning" data-toggle="" data-target="" class="btn btn-warning" style="margin-left:10px"> 
                                                Add new
                                                <i class="fas fa-plus"></i>
                                            </button>
                                        </a>
                                    </h5>
                                    <div >

                                    </div>
                                    <div class="form-group"> 
                                        <select class="display" name="state" id="maxRows">
                                            <option value="5000">Show ALL Rows</option>
                                            <option value="2">2</option>
                                            <option value="5">5</option>
                                            <option value="10">10</option>
                                            <option value="15">15</option>
                                            <option value="20">20</option>
                                            <option value="50">50</option>
                                            <option value="70">70</option>
                                            <option value="100">100</option>
                                        </select>
                                        <label for="entries">entries per page</label>
                                        <input type="text" id="myInput" onkeyup="myTableSearch()" placeholder="Search for names.." title="Type in a name">
                                    </div>
                                        <?php
                                                                        
                                            
                                            // select all data
                                            $pledging_info_query = "SELECT id, campaign_name, campaign_end, pledged_date, redeemed_date, amount_pledged, amount_paid FROM pledging_info WHERE pledger_name = :fname AND pledger_id = :pledger_id ORDER BY id DESC";
                                            
                                            $pledging_info_stmt = $conn->prepare($pledging_info_query);
                                            $pledging_info_stmt->bindParam(':fname', $fname);
                                            $pledging_info_stmt->bindParam(':pledger_id', $myId);
                                            $pledging_info_stmt->execute();
                                            
                                            
                                            
                                            // this is how to get number of rows returned
                                            $pledging_info_num = $pledging_info_stmt->rowCount();
                                                                            
                                        //check if more than 0 record found
                                        if($pledging_info_num>0){
                                            ?>
                                        <table class="table table-striped table-class" id= "table-id">
                                            
                                            <tr>
                                            
                                                <?php
                                                //start table
                                                
                                                    //creating our table heading
                                                    echo "<th>Campaign Name</th>
                                                        <th>Date Pledged</th>
                                                        <th>Date Redeemed</th>
                                                        <th>Amount Pledged</th>
                                                        <th>Amount Paid</th>
                                                        <th>% Complete</th>
                                                        <th>Status</th>
                                                        <th>Method</th>
                                                        <th>Action</th>
                                                    ";
                                                
                                                
                                                // end table
                                                    ?>
                                            
                                            </tr>
                                            <?php
                                                
                                                
                                                while ($pledging_info_row = $pledging_info_stmt->fetch(PDO::FETCH_ASSOC)){
                                                    
                                                extract($pledging_info_row);
                                                if($redeemed_date == '0000-00-00'){
                                                    $rdate = "Not yet";
                                                }else{
                                                    $rdate = date('l d M Y', strtotime($redeemed_date));
                                                }
                                                ?>
                                            <tr>
                                                
                                            <?php
                                                // creating new table row per record
                                                echo "
                                                    <td>{$campaign_name}</td>
                                                    <td>". date('l d M Y', strtotime($pledged_date)). "</td>
                                                    <td>".$rdate . "</td>
                                                    <td>". number_format($amount_pledged). "</td>
                                                    <td>". number_format($amount_paid). "</td>
                                                    <td>"?>
                                                    
                                                        <div class="progress progress-danger  mb-4">
                                                            <?php 
                                                            
                                                            if($amount_pledged == 0){
                                                                $percentageCalc = 0;
                                                            }else{
                                                                $percentageCalc = ($amount_paid*100)/$amount_pledged;
                                                            }
                                                            
                                                            ?>
                                                            <div class="progress-bar progress-bar-striped" role="progressbar" style="width:<?php echo $percentageCalc;?>%"
                                                                aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"><?php echo number_format($percentageCalc);?>%
                                                            </div>
                                                        </div>
                                                    <?php echo "
                                                    </td>
                                                    <td>";
                                                    
                                                    if($campaign_end == '0000-00-00'){ ?>
                                                        <span class="badge bg-success">On time</span>																								
                                                    <?php
                                                    }else
                                                    {
                                                        if($campaign_end > $redeemed_date){
                                                            ?>
                                                            <span class="badge bg-success">On time</span>												
                                                            <?php
                                                        }else{
                                                            ?>
                                                            <span class="badge bg-danger">Late</span>												
                                                            <?php
                                                        }
                                                    }
                                                    ?>
                                                    <?php echo "
                                                    </td>
                                                    <td>Cash</td>
                                                    <td>"?>
                                                        <a href="redeem_pledge.php?payId=1" data-toggle="" data-target=""><i class="fab fa-apple-pay fa-2x" style="color: #717171"></i></a>
                                                    <?php echo "
                                                    </td>
                                                    "
                                                    ?> 
                                                    
                                            </tr>
                                            <?php
                                                    }
                                            ?>
                                                
                                        </table>
                                        
                                                <?php
                                            }
                                            
                                            // if no records found
                                            else{
                                                echo "<div class='alert alert-danger'>No Information displayed yet</div>";
                                            }
                                            ?>

                                    </div> <!--End of Container -->
                                </div>
                                <div class="card-footer"></div>
                            </div>
                        </div>

                        <!--Campeign Overview -->
                        <div class="col col-3">
                            <div class="card">
                                <div class="card-header">
                                    <p>Update Sowers information 
                                        <a href="" class="scripture" title="Help" data-toggle="popover" data-placement="right" data-trigger="hover" data-content="Please note that this information will update on the entire database"><i style="color: #a5a5a5;" class="fas fa-info-circle"></i></a>
                                    </p><hr>
                                </div>
                                <?php
                                    

                                // check if form was submitted
                                if(isset($_POST['update_sowers'])){
                                
                                    try{
                                
                                        $update_sowers_query = "SELECT * FROM pledgers WHERE id = $pledger_id LIMIT 0,1";
                                        $update_sowers_stmt = $conn->prepare( $update_sowers_query );
                                    
                                        // execute our query
                                        $update_sowers_stmt->execute();
                                    
                                        // store retrieved row to a variable
                                        $update_sowers_row = $update_sowers_stmt->fetch(PDO::FETCH_ASSOC);
                                    
                                    
                                        $updating_sowers_query = "UPDATE pledgers
                                                    SET fname=:editName, phone=:editPhone, email=:editEmail, occupation=:editOccupation, country=:editCountry, level=:editLevel, address=:editAddress, department=:editDepartment
                                                    WHERE id = :id";
                                
                                        // prepare query for excecution
                                        $updating_sowers_stmt = $conn->prepare($updating_sowers_query);
                                
                                
                                        $updating_sowers_query2 = "UPDATE pledging_info
                                                    SET pledger_name=:editName
                                                    WHERE pledger_id = :id";
                                
                                        // prepare query for excecution
                                        $updating_sowers_stmt2 = $conn->prepare($updating_sowers_query2);
                                
                                        // posted values
                                        
                                        if (empty($_POST['editName'])){
                                            $editName = "";
                                        }
                                        else if (!empty($_POST['editName'])){
                                            $editName = htmlspecialchars(strip_tags($_POST['editName']));
                                        }
                                        if (empty($_POST['editPhone'])){
                                            $editPhone = "";
                                        }
                                        else if (!empty($_POST['editPhone'])){
                                            $editPhone=htmlspecialchars(strip_tags($_POST['editPhone']));
                                        }
                                        if (empty($_POST['editEmail'])){
                                            $editEmail = "";
                                        }
                                        else if (!empty($_POST['editEmail'])){
                                            $editEmail=htmlspecialchars(strip_tags($_POST['editEmail']));
                                        }
                                        if (empty($_POST['editCountry'])){
                                            $editCountry = "";
                                        }
                                        else if (!empty($_POST['editCountry'])){
                                            $editCountry=htmlspecialchars(strip_tags($_POST['editCountry']));
                                        }
                                        if (empty($_POST['editOccupation'])){
                                            $editOccupation = "";
                                        }
                                        else if (!empty($_POST['editOccupation'])){
                                            $editOccupation=htmlspecialchars(strip_tags($_POST['editOccupation']));
                                        }
                                        if (empty($_POST['editAddress'])){
                                            $editAddress = "";
                                        }
                                        else if (!empty($_POST['editAddress'])){
                                            $editAddress=htmlspecialchars(strip_tags($_POST['editAddress']));
                                        }
                                        if (empty($_POST['editLevel']) && empty($_POST['editDepartment'])){
                                            $editLevel = $update_sowers_row['level'];
                                            $editDepartment = $update_sowers_row['department'];
                                        }
                                        else if (!empty($_POST['editLevel']) && empty($_POST['editDepartment'])){
                                            $editLevel=htmlspecialchars(strip_tags($_POST['editLevel']));
                                            $editDepartment = "";
                                        }
                                        else if (!empty($_POST['editDepartment']) && empty($_POST['editLevel'])){
                                            $editLevel="member";
                                            $editDepartment = htmlspecialchars(strip_tags($_POST['editDepartment']));
                                        }
                                        else if (!empty($_POST['editDepartment']) && !empty($_POST['editLevel'])){
                                            $editDepartment=htmlspecialchars(strip_tags($_POST['editDepartment']));
                                            $editLevel=htmlspecialchars(strip_tags($_POST['editLevel']));
                                        }
                                        $id = $update_sowers_row['id'];
                                        
                                        // bind the parameters
                                        $updating_sowers_stmt->bindParam(':editName', $editName);
                                        $updating_sowers_stmt2->bindParam(':editName', $editName);
                                        $updating_sowers_stmt->bindParam(':editPhone', $editPhone);
                                        $updating_sowers_stmt->bindParam(':editEmail', $editEmail);
                                        $updating_sowers_stmt->bindParam(':editCountry', $editCountry);
                                        $updating_sowers_stmt->bindParam(':editOccupation', $editOccupation);
                                        $updating_sowers_stmt->bindParam(':editAddress', $editAddress);
                                        $updating_sowers_stmt->bindParam(':editLevel', $editLevel);
                                        $updating_sowers_stmt->bindParam(':editDepartment', $editDepartment);
                                        $updating_sowers_stmt2->bindParam(':id', $id);
                                        $updating_sowers_stmt->bindParam(':id', $id);
                                
                                        // Execute the query
                                        if($updating_sowers_stmt->execute() && $updating_sowers_stmt2->execute()){
                                            echo "<div class='alert alert-success'>Information updated successfully.</div>";
                                        }else{
                                            echo "<div class='alert alert-danger'>Unable to update the information properly. Please try again.</div>";
                                        }
                                
                                    }
                                
                                    // show errors
                                    catch(PDOException $exception){
                                        die('ERROR: ' . $exception->getMessage());
                                    }
                                }
                                ?>
                                <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?pid={$pledger_id}");?>" method="POST">
                                    <div class="card-body">
                                            <p style="float: ;"><b>Name:</b><input type="text" class="Editinput" name="editName" style="float: right;" value="<?php echo htmlspecialchars($fname, ENT_QUOTES);  ?>" ></p>
                                            <p style="float: ;"><b>Phone:</b><input type="text" class="Editinput" name="editPhone" style="float: right;" value="<?php echo htmlspecialchars($phone, ENT_QUOTES);  ?>" ></p>
                                            <p style="float: ;"><b>Email:</b><input type="text" class="Editinput" name="editEmail" style="float: right;" value="<?php echo htmlspecialchars($email, ENT_QUOTES);  ?>" ></p>
                                            <p style="float: ;"><b>Nationality:</b><input type="text" class="Editinput" name="editCountry" style="float: right;" value="<?php echo htmlspecialchars($country, ENT_QUOTES);  ?>"></p>
                                            <p style="float: ;"><b>Occupation:</b><input type="text" class="Editinput" name="editOccupation" style="float: right;" value="<?php echo htmlspecialchars($occupation, ENT_QUOTES);  ?>"></p>
                                            <p style="float: ;"><b>Home address:</b><input type="text" class="Editinput" name="editAddress" style="float: right;" value="<?php echo htmlspecialchars($address, ENT_QUOTES);  ?>"></p>
                                            <!--<p style="float: ;"><b>Member:</b><input type="text" class="Editinput" style="float: right;" value="<?php //echo htmlspecialchars($level, ENT_QUOTES);  ?>" readonly></p>-->
                                            <p style=""><b style="float: left;">Level:</b>
                                                <div class="form-group Editinput" id="" >
                                                    <select type="text" class="form-control Editinput" name="editLevel" style="float: right; width: 100%;">
                                                        <option selected disabled></option>
                                                        <option value="Member">member</option>
                                                        <option value="Partner">partner</option>
                                                        <option value="Well-wisher">well-wisher</option>
                                                    </select>
                                                </div>
                                            </p>
                                            <p style="float: ;"><b style="float: left;">Department:</b>
                                                <div class="form-group Editinput" id="" >
                                                    <select type="text" class="form-control Editinput" name="editDepartment" style="float: right; width: 100%;">
                                                        <option selected disabled></option>
                                                        <option value="Social Media">Social Media</option>
                                                        <option value="Communicators">Communicators</option>
                                                        <option value="Protocals">Protocals</option>
                                                        <option value="Sanctuary">Sanctuary</option>
                                                        <option value="Dance Crew">Dance Crew</option>
                                                        <option value="Videographers">Videographers</option>
                                                    </select>
                                                </div>
                                            </p>
                                    </div>
                                    
                                    <div class="card-footer">
                                        <input class="btnEditUser" type="submit" Value="Update" name="update_sowers" style="float: right;">
                                    </div>
                                </form>
                            </div>
                            <div class="card">
                                <div class="card-header">
                                    <p>Google Location</p><hr>
                                    <iframe
                                        width="100%"
                                        height="300"
                                        style="border:0"
                                        loading="lazy"
                                        allowfullscreen
                                        src="https://www.google.com/maps/embed/v1/place?key=AIzaSyC1ptWMykM2c7OXuBqajDZzYiGv2ZX25ng
                                        &q=<?php echo $address?>">
                                    </iframe>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
</section>



<script>
var xValues = ["Buy Car", "Generator", "Back 2 School", "Canaan Experience", "Water"];
var yValues = [55, 49, 44, 24, 100];
var barColors = ["red", "green","blue","orange","brown"];

new Chart("myChart", {
  type: "bar",
  data: {
    labels: xValues,
    datasets: [{
      backgroundColor: barColors,
      data: yValues
    }]
  },
  options: {
    legend: {display: false},
    title: {
      display: true,
      text: "Statistics of last 5 Pledges"
    }
  }
});
</script>
<?php
include "includes/footer.php" ;
?>