<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";
 
include 'database/config2.php';
 
// read current record's data
try {
    // prepare select query
    $query = "SELECT * FROM departments WHERE id = ? LIMIT 0,1";
    $stmt = $conn->prepare( $query );
 
    // this is the first question mark
    $stmt->bindParam(1, $id);
 
    // execute our query
    $stmt->execute();
 
    // store retrieved row to a variable
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
 
    // values to fill up our form
    $name = $row['name'];
    $task = $row['task'];
    $fb = $row['facebook'];
    $tw = $row['twitter'];
    $ins = $row['instagram'];
    $lin = $row['linkedin'];
    $sk = $row['skype'];
    $doc = $row['date_of_creation'];
    
	$query2 = "SELECT * FROM members WHERE depId = $id AND position = 'Leader'";
	$stmt2 = $conn->prepare( $query2 );
	$stmt2->execute();
	$num2 = $stmt2->rowCount();

    $row2 = $stmt2->fetch(PDO::FETCH_ASSOC);
	
	
	
					$queryz = "SELECT * FROM members WHERE depId = $id";
					
					$stmtz = $conn->prepare( $queryz );

				 
				 
					$query7 = "SELECT * FROM members WHERE depId = $id AND position='Ass. Leader'";
					$query8 = "SELECT * FROM members WHERE depId = $id AND position='Financial Secretary'";
					$query9 = "SELECT * FROM members WHERE depId = $id AND position='Secretary'";
				    
					$stmt7 = $conn->prepare( $query7 );
					$stmt8 = $conn->prepare( $query8 );
					$stmt9 = $conn->prepare( $query9 );
				
					// execute our query
					$stmtz->execute();
					
					$stmt7->execute();
					$num7 = $stmt7->rowCount();

					$stmt8->execute();
					$num8 = $stmt8->rowCount();

					$stmt9->execute();
					$num9 = $stmt9->rowCount();
				 
					
				 
					// store retrieved row to a variable
					$row7 = $stmt7->fetch(PDO::FETCH_ASSOC);
					$row8 = $stmt8->fetch(PDO::FETCH_ASSOC);
					$row9 = $stmt9->fetch(PDO::FETCH_ASSOC);
					
					$assleaderid = $row7['id'];
					$finsecid = $row8['id'];
					$secid = $row9['id'];
					
					if($num7 > 0){
						$query3 = "SELECT * FROM members WHERE depId = $id AND id != $assleaderid";
					} else {
						$query3 = "SELECT * FROM members WHERE depId = $id";
					}
					if($num8 > 0){
						$query4 = "SELECT * FROM members WHERE depId = $id AND id != $finsecid";
					} else {
						$query4 = "SELECT * FROM members WHERE depId = $id";
					}
					if($num9 > 0){
						$query5 = "SELECT * FROM members WHERE depId = $id AND id != $secid";
					} else {
						$query5 = "SELECT * FROM members WHERE depId = $id";
					}
					$stmt3 = $conn->prepare( $query3 );
					$stmt4 = $conn->prepare( $query4 );
					$stmt5 = $conn->prepare( $query5 );
					$stmt3->execute();
					$stmt4->execute();
					$stmt5->execute();

}
 
// show error
catch(PDOException $exception){
    die('ERROR: ' . $exception->getMessage());
}
?>
<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Viewing <?php echo htmlspecialchars($name, ENT_QUOTES);  ?> Branch
					</h3>
					
					<p class="text-subtitle text-muted">Spread Churches 
						<a  href="#" class="scripture" title="John 20:21 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							John 20:21
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">Branch View   </li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">
<div class="container-fluid">
    <div class="view-account">
        <section class="module">
            <div class="module-inner">
                <div class="side-bar">
                    
                    <nav class="side-menu nav">
                        <ul class="nav">
                            <li><a href="#" class="tabmenu" onclick="openCity(event, 'Home')" id="defaultOpen"><span class="fa fa-home"></span> Home</a></li>
                            <li><a href="#" class="tabmenu" onclick="openCity(event, 'Members')"><span class="fa fa-cog"></span> Leaders</a></li>
                            <li><a href="#" class="tabmenu" onclick="openCity(event, 'Messages')"><span class="fa fa-envelope"></span> Message</a></li>

                            <li><a href="#" class="tabmenu" onclick="openCity(event, 'Reports')"><span class="fa fa-th"></span> Reports</a></li>
                        </ul>
                    </nav>
                </div>

                <div class="content-panel">
                    <div class="content-header-wrapper">
                        <h2 class="title"><?php echo htmlspecialchars($name, ENT_QUOTES);  ?></h2>
                        <div class="actions">
                            <a href="addbranch.php" class="btn btn-success"><i class="fa fa-cogs"></i> Manage Branches</a>
                        </div>
                    </div>
                    <!--div class="content-utilities">
                        <div class="page-nav">
                            <span class="indicator">View:</span>
                            <div class="btn-group" role="group">
                                <button class="active btn btn-default" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Grid View" id="drive-grid-toggle"><i class="fa fa-th-large"></i></button>
                                <button class="btn btn-default" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="List View" id="drive-list-toggle"><i class="fa fa-list-ul"></i></button>
                            </div>
                        </div>
                        <div class="actions">
                            <div class="btn-group">
                                <button class="btn btn-default dropdown-toggle" data-toggle="dropdown" type="button" aria-expanded="false">All Items <span class="caret"></span></button>
                                <ul class="dropdown-menu">
                                    <li><a href="#"><i class="fa fa-file"></i> Documents</a></li>
                                    <li><a href="#"><i class="fa fa-file-image-o"></i> Images</a></li>
                                    <li><a href="#"><i class="fa fa-file-video-o"></i> Media Files</a></li>
                                    <li><a href="#"><i class="fa fa-folder"></i> Folders</a></li>
                                </ul>
                            </div>
                            <div class="btn-group">
                                <button class="btn btn-default dropdown-toggle" data-toggle="dropdown" type="button" aria-expanded="false"><i class="fa fa-filter"></i> Sorting <span class="caret"></span></button>
                                <ul class="dropdown-menu">
                                    <li><a href="#">Newest first</a></li>
                                    <li><a href="#">Oldest first</a></li>
                                </ul>
                            </div>
                            <div class="btn-group" role="group">
                                <button type="button" class="btn btn-default" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Refresh"><i class="fa fa-refresh"></i></button>
                                <button type="button" class="btn btn-default" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Archive"><i class="fa fa-archive"></i></button>

                                <button type="button" class="btn btn-default" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Report spam"><i class="fa fa-exclamation-triangle"></i></button>
                                <button type="button" class="btn btn-default" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Delete"><i class="fa fa-trash-o"></i></button>
                            </div>
                        </div>
                    </div-->

                    <!----------------- /////////////////Display clicked tabs here////////////////
                    //////////////////////////////////////////////////////////////////////////////
                    ////////////////////////////////////////////////////////////////////////////////
                    ////////////////////////////////////////////////////////////////////////////////
                    ////////////////////////////////////////////////////////------------------------>
                    <div id="Home" class="drive-wrapper drive-grid-view tabcontent">
                        <div class="container-fluid">
                            <div class="row">
                                <div class="container">
                                    <div class="row">
                                        <div class="col-lg-4 col-xl-4">
                                            <div class="card-box text-center">
											<?php
											
												if($num2 > 0) {

											echo $row2['image'] ? "<img src='members-images/{$row2['image']}' class='rounded-circle avatar-xl img-thumbnail' alt='profile-image'>" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' class='rounded-circle avatar-xl img-thumbnail' alt='profile-image' >"; ?>

                                                <h4 class="mb-0"><?php echo htmlspecialchars($row2['name'], ENT_QUOTES);  ?> <sup><i class="fas fa-certificate leader"></i></sup></h4>
												<p class="text-muted">Leader 
												<?php 
												
													if(($row2['action'] == "Suspended") || ($row2['depAction'] == "Suspended")){
														?>
													<span style="color: red; font-size: 13px;"><i>(Suspended)</i></span>	
														<?php
													}
												?>
												
												</p>
										<a <?php if(!(($row2['action'] == "Suspended") || ($row2['depAction'] == "Suspended"))){ ?>
													href="../techministries/changedept.php?id=<?php echo htmlspecialchars($row2['id'], ENT_QUOTES);  ?>" target="_blank"
													<?php	
													}
											?>  type="button" class="btn btn-success btn-xs waves-effect mb-2 waves-light">Transfer</a>
                                                <a href="../techministries/sendMessage.php?id=<?php echo htmlspecialchars($row2['id'], ENT_QUOTES);  ?>" target="_blank" type="button" class="btn btn-danger btn-xs waves-effect mb-2 waves-light">Message</a>

                                                <div class="text-left mt-3">
                                                    <h4 class="font-13 text-uppercase">About Leader :</h4>
                                                    <p class="text-muted font-13 mb-3">
                                                    My name is <?php echo htmlspecialchars($row2['name'], ENT_QUOTES);  ?> and I am a member of the <?php echo htmlspecialchars($name, ENT_QUOTES);  ?> Department. I live in <?php echo htmlspecialchars($row2['address'], ENT_QUOTES);  ?>. 
                                                    </p>
                                                    <p class="text-muted mb-2 font-13"><strong>Full Name :</strong> <span class="ml-2"><?php echo htmlspecialchars($row2['name'], ENT_QUOTES);  ?></span></p>

                                                    <p class="text-muted mb-2 font-13"><strong>Mobile :</strong><span class="ml-2"><?php echo htmlspecialchars($row2['telephone'], ENT_QUOTES);  ?></span></p>

                                                    <p class="text-muted mb-2 font-13"><strong>Email :</strong> <span class="ml-2 "><?php echo htmlspecialchars($row2['email'], ENT_QUOTES);  ?></span></p>

                                                    <p class="text-muted mb-1 font-13"><strong>Location :</strong> <span class="ml-2"><?php echo htmlspecialchars($row2['address'], ENT_QUOTES);  ?></span></p>
                                                </div>

                                                <ul class="social-list list-inline mt-3 mb-0 text-center">
                                                    <li class="list-inline-item">
                                                        <a href="<?php echo htmlspecialchars($row2['facebook'], ENT_QUOTES);  ?>" target="_blank" class="social-list-item border-purple text-purple"><i class="fab fa-facebook"></i></a>
                                                    </li>
                                                    <li class="list-inline-item">
                                                        <a href="<?php echo htmlspecialchars($row2['youtube'], ENT_QUOTES);  ?>" target="_blank" class="social-list-item border-danger text-danger"><i class="fab fa-google"></i></a>
                                                    </li>
                                                    <li class="list-inline-item">
                                                        <a href="<?php echo htmlspecialchars($row2['twitter'], ENT_QUOTES);  ?>" target="_blank" class="social-list-item border-info text-info"><i class="fab fa-twitter"></i></a>
                                                    </li>
                                                    <li class="list-inline-item">
                                                        <a href="<?php echo htmlspecialchars($row2['instagram'], ENT_QUOTES);  ?>" target="_blank" class="social-list-item border-secondary text-secondary"><i class="fab fa-instagram"></i></a>
                                                    </li>
                                                </ul>
												
												
												<?php
												}
												?>
												
												
                                            </div> <!-- end card-box -->

                                            <div class="card-box">
                                                <h4 class="header-title">About Branch</h4>
                                                <div class="pt-1">
                                                    <h6 class="text-uppercase mt-0">Info <span class="float-right"></span></h6>
                                                    <p>Country: Cameroon</p>
                                                    <p>Region: South West Region</p>
                                                    <p>Location: Limbe Mile 2 Opposite Bahai Junction towards Eden Radio</p>
                                                </div>

                                                <div class="mt-2 pt-1">
                                                    <h6 class="text-uppercase">Date of creation <span class="float-right"></span></h6>
                                                    <p><?php echo date('l d M Y', strtotime($doc)) ?></p>
                                                </div>

                                                <ul class="social-list list-inline mt-3 mb-0">
                                                    <li class="list-inline-item">
                                                        <a href="javascript: void(0);" class=" border-purple text-purple"><i class="fab fa-facebook"></i></a>
                                                    </li>
                                                    <li class="list-inline-item">
                                                        <a href="javascript: void(0);" class="border-danger text-danger"><i class="fab fa-google"></i></a>
                                                    </li>
                                                    <li class="list-inline-item">
                                                        <a href="javascript: void(0);" class="border-info text-info"><i class="fab fa-twitter"></i></a>
                                                    </li>
                                                    <li class="list-inline-item">
                                                        <a href="javascript: void(0);" class="border-secondary text-secondary"><i class="fab fa-instagram"></i></a>
                                                    </li>
                                                </ul>

                                            </div> <!-- end card-box-->

                                        </div> <!-- end col-->

                                        <div class="col-lg-8 col-xl-8">
                                            <div class="card-box">
                                                <ul class="nav nav-pills navtab-bg">
                                                    <li class="nav-item">
                                                        <a href="#about-me" data-toggle="tab" aria-expanded="true" class="nav-link ml-0 active">
                                                            <i class="mdi mdi-face-profile mr-1"></i>Activities
                                                        </a>
                                                    </li>
                                                    <li class="nav-item">
                                                        <a href="#settings" data-toggle="tab" aria-expanded="false" class="nav-link">
                                                            <i class="mdi mdi-settings-outline mr-1"></i>Update info
                                                        </a>
                                                    </li>
                                                </ul>

                                                <div class="tab-content">
                                                    
                                                    <div class="tab-pane show active" id="about-me">

                                                        <h5 class="mb-4 text-uppercase"><i class="mdi mdi-briefcase mr-1"></i>
                                                            Branch Activities</h5>

                                                        <ul class="list-unstyled timeline-sm">
                                                            <li class="timeline-sm-item">
                                                                <span class="timeline-sm-date">2015 - 19</span>
                                                                <h5 class="mt-0 mb-1">Lead designer / Developer</h5>
                                                                <p>websitename.com</p>
                                                                <p class="text-muted mt-2">Everyone realizes why a new common language
                                                                    would be desirable: one could refuse to pay expensive translators.
                                                                    To achieve this, it would be necessary to have uniform grammar,
                                                                    pronunciation and more common words.</p>

                                                            </li>
                                                            <li class="timeline-sm-item">
                                                                <span class="timeline-sm-date">2012 - 15</span>
                                                                <h5 class="mt-0 mb-1">Senior Graphic Designer</h5>
                                                                <p>Software Inc.</p>
                                                                <p class="text-muted mt-2">If several languages coalesce, the grammar
                                                                    of the resulting language is more simple and regular than that of
                                                                    the individual languages. The new common language will be more
                                                                    simple and regular than the existing European languages.</p>
                                                            </li>
                                                            <li class="timeline-sm-item">
                                                                <span class="timeline-sm-date">2010 - 12</span>
                                                                <h5 class="mt-0 mb-1">Graphic Designer</h5>
                                                                <p>Coderthemes LLP</p>
                                                                <p class="text-muted mt-2 mb-0">The European languages are members of
                                                                    the same family. Their separate existence is a myth. For science
                                                                    music sport etc, Europe uses the same vocabulary. The languages
                                                                    only differ in their grammar their pronunciation.</p>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                    <!-- end timeline content-->

                                                    <div class="tab-pane" id="settings">
													

													
													<form action="<?php echo "editingDept.php?id=$id"; ?>" method="post">
                                                            <h5 class="mb-3 text-uppercase bg-light p-2"><i class="mdi mdi-account-circle mr-1"></i> Edit Branch Info</h5>
                                                            
                                                            <div class="row">
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <input type="text" name="dptname" class="form-control" id="detname" placeholder="Enter branch name" value="<?php echo htmlspecialchars($name, ENT_QUOTES);  ?>">
                                                                    </div>
                                                                </div><!-- end col -->
                                                                <div class="col col-md-6">
                                                                    <select class="form-control" type="text" id="wizards" placeholder="Assistant Leader" name="assleader" list="wizards-list">
																		<option value="<?php echo htmlspecialchars($row7['id'], ENT_QUOTES);  ?>"><?php echo htmlspecialchars($row7['name'], ENT_QUOTES);  ?></option>    
																				<option value="0">None</option>
																	<?php
																		while ($row3 = $stmt3->fetch(PDO::FETCH_ASSOC)){
																	?>
																			<option value="<?php echo $row3['id']; ?>"><?php echo $row3['name']; ?></option>
																	<?php
																		}
																	?>
																	</select>
																	
                                                                </div><!-- end col -->
                                                            </div> <!-- end row -->
                                                           <div class="row">
																<div class="col col-md-6">
                                                                    <select class="form-control" type="text" id="wizards" placeholder="Financial Secretary" name="finsec" list="wizards-list">
																		<option value="<?php echo htmlspecialchars($row8['id'], ENT_QUOTES);  ?>"><?php echo htmlspecialchars($row8['name'], ENT_QUOTES);  ?></option>    
																				<option value="0">None</option>
																			
																	<?php
																		while ($row4 = $stmt4->fetch(PDO::FETCH_ASSOC)){
																	?>
																			<option value="<?php echo $row4['id']; ?>"><?php echo $row4['name']; ?></option>
																	<?php
																		}
																	?>
																	</select>
                                                                </div>
                                                                <div class="col col-md-6">
                                                                    <select class="form-control" type="text" id="wizards" placeholder="Secretary" name="secretary" list="wizards-list">
																		<option value="<?php echo htmlspecialchars($row9['id'], ENT_QUOTES);  ?>"><?php echo htmlspecialchars($row9['name'], ENT_QUOTES);  ?></option>        
																					<option value="0">None</option>
																				
																		<?php
																			while ($row5 = $stmt5->fetch(PDO::FETCH_ASSOC)){
																		?>
																				<option value="<?php echo $row5['id']; ?>"><?php echo $row5['name']; ?></option>
																		<?php
																			}
																		?>
																	</select>
                                                                </div>
                                                           </div>

                                                            <div class="row">
                                                                <div class="col-12">
                                                                    <div class="form-group">
                                                                        <label for="userbio">Detailed Location</label>
                                                                        <textarea class="form-control" name="task" id="userbio" rows="4" placeholder="Detailed Location..."><?php echo htmlspecialchars($task, ENT_QUOTES);  ?></textarea>
                                                                    </div>
                                                                </div> <!-- end col -->
                                                            </div> <!-- end row -->

                                                            <h5 class="mb-3 text-uppercase bg-light p-2"><i class="mdi mdi-earth mr-1"></i> Social Pages</h5>
                                                            <div class="row">
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label for="social-fb">Facebook</label>
                                                                        <div class="input-group">
                                                                            <div class="input-group-prepend">
                                                                                <span class="input-group-text"><i class="fab fa-facebook-square"></i></span>
                                                                            </div>
                                                                            <input type="text" name="fb" class="form-control" id="social-fb" value="<?php echo htmlspecialchars($fb, ENT_QUOTES);  ?>" placeholder="Url">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label for="social-tw">Twitter</label>
                                                                        <div class="input-group">
                                                                            <div class="input-group-prepend">
                                                                                <span class="input-group-text"><i class="fab fa-twitter"></i></span>
                                                                            </div>
                                                                            <input type="text" name="tw" class="form-control" id="social-tw" value="<?php echo htmlspecialchars($tw, ENT_QUOTES);  ?>" placeholder="Username">
                                                                        </div>
                                                                    </div>
                                                                </div> <!-- end col -->
                                                            </div> <!-- end row -->

                                                            <div class="row">
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label for="social-insta">Instagram</label>
                                                                        <div class="input-group">
                                                                            <div class="input-group-prepend">
                                                                                <span class="input-group-text"><i class="fab fa-instagram"></i></span>
                                                                            </div>
                                                                            <input type="text" name="ins" class="form-control" id="social-insta" value="<?php echo htmlspecialchars($ins, ENT_QUOTES);  ?>" placeholder="Url">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label for="social-lin">Linkedin</label>
                                                                        <div class="input-group">
                                                                            <div class="input-group-prepend">
                                                                                <span class="input-group-text"><i class="fab fa-linkedin"></i></span>
                                                                            </div>
                                                                            <input type="text" name="lin" class="form-control" id="social-lin" value="<?php echo htmlspecialchars($lin, ENT_QUOTES);  ?>" placeholder="Url">
                                                                        </div>
                                                                    </div>
                                                                </div> <!-- end col -->
                                                            </div> <!-- end row -->

                                                            <div class="row">
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label for="social-sky">Skype</label>
                                                                        <div class="input-group">
                                                                            <div class="input-group-prepend">
                                                                                <span class="input-group-text"><i class="fab fa-skype"></i></span>
                                                                            </div>
                                                                            <input type="text" name="sk" class="form-control" id="social-sky" value="<?php echo htmlspecialchars($sk, ENT_QUOTES);  ?>" placeholder="@username">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div> <!-- end row -->
                                                            
                                                            <div class="text-right">
                                                                <button type="submit" name="edit_department" class="btn btn-success waves-effect waves-light mt-2"><i class="mdi mdi-content-save"></i> Save</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                    <!-- end settings content-->

                                                </div> <!-- end tab-content -->
                                            </div> <!-- end card-box-->

                                        </div> <!-- end col -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!----------------- /////////////////Display clicked tabs ends here////////////////
                    //////////////////////////////////////////////////////////////////////////////
                    ////////////////////////////////////////////////////////////////////////////////
                    ////////////////////////////////////////////////////////////////////////////////
                    ////////////////////////////////////////////////////////------------------------>

                    <div id="Members" class="drive-wrapper drive-grid-view card tabcontent">
                        <div class="container">
                            <div class="row">
                                <div class="col-xl-3">
                                    <div class="card m-b-30">
									
										<?php if($num2 > 0) { ?>
                                        <div class="card-body row">
                                            <div class="col-12 text-center">
												<?php echo $row2['image'] ? "<img src='members-images/{$row2['image']}' alt='' class='img-fluid rounded-circle w-60'>" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' alt='' class='img-fluid rounded-circle w-60'>"; ?>
                                            </div>
                                            <div class="col-12 card-title text-center">
                                                <h5><?php echo htmlspecialchars($row2['name'], ENT_QUOTES);  ?></h5>
                                                <p class="m-0">Leader 
												<?php 
												
													if(($row2['action'] == "Suspended") || ($row2['depAction'] == "Suspended")){
														?>
													<span style="color: red; font-size: 13px;"><i>(Suspended)</i></span>	
														<?php
													}
												?>
												
												</p>
                                            </div>
                                        </div>
                                        <ul class="list-group list-group-flush text-center">
                                            <li class="list-group-item"><i class="fa fa-street-view"></i> Address : <?php echo htmlspecialchars($row2['address'], ENT_QUOTES);  ?></li>
                                            <li class="list-group-item"><i class="fa fa-phone"></i> Phone : <?php echo htmlspecialchars($row2['telephone'], ENT_QUOTES);  ?></li>
                                        </ul>
                                        <div class="card-body text-center"> 
                                            <ul class="social-links list-inline mb-0">
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row2['facebook'], ENT_QUOTES);  ?>" target="_blank" data-original-title="Facebook"><i class="fa fa-facebook-f"></i></a></li>
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row2['twitter'], ENT_QUOTES);  ?>" target="_blank" data-original-title="Twitter"><i class="fa fa-twitter"></i></a></li>
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row2['instagram'], ENT_QUOTES);  ?>" target="_blank" data-original-title="instagram"><i class="fa fa-instagram"></i></a></li>
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row2['youtube'], ENT_QUOTES);  ?>" target="_blank" data-original-title="youtube"><i class="fa fa-youtube"></i></a></li>    
                                            </ul>
                                        </div>
                                        <div class="float-right btn-group btn-group-sm">
                                            <a <?php if(!(($row2['action'] == "Suspended") || ($row2['depAction'] == "Suspended"))){ ?>
													href="../techministries/changedept.php?id=<?php echo htmlspecialchars($row2['id'], ENT_QUOTES);  ?>"
													<?php	
													}
											?>  class="btn btn-primary tooltips" target="_blank"><i class="fas fa-sign-out-alt"></i></i></a>
                                            <a href="removeLeader.php?id=<?php echo htmlspecialchars($row2['id'], ENT_QUOTES); ?>" class="btn btn-secondary tooltips" data-placement="top" data-toggle="tooltip" data-original-title="Delete"><i class="fa fa-times"></i></a>
                                        </div>
										
										<?php } ?>
										
                                    </div>
                                </div>
                                <div class="col-xl-3">
                                    <div class="card m-b-30">
									<?php if($num7 > 0) { ?>
                                        <div class="card-body row">
                                            <div class="col-12 text-center">
												<?php echo $row7['image'] ? "<img src='members-images/{$row7['image']}' alt='' class='img-fluid rounded-circle w-60'>" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' alt='' class='img-fluid rounded-circle w-60'>"; ?>
                                            </div>
                                            <div class="col-12 card-title text-center">
                                                <h5><?php echo htmlspecialchars($row7['name'], ENT_QUOTES);  ?></h5>
                                                <p class="m-0">Assistant Leader 
												<?php 
												
													if(($row7['action'] == "Suspended") || ($row7['depAction'] == "Suspended")){
														?>
													<span style="color: red; font-size: 13px;"><i>(Suspended)</i></span>	
														<?php
													}
												?>
												
												</p>
                                            </div>
                                        </div>
                                        <ul class="list-group list-group-flush text-center">
                                            <li class="list-group-item"><i class="fa fa-street-view"></i> Address : <?php echo htmlspecialchars($row7['address'], ENT_QUOTES);  ?></li>
                                            <li class="list-group-item"><i class="fa fa-phone"></i> Phone : <?php echo htmlspecialchars($row7['telephone'], ENT_QUOTES);  ?></li>
                                        </ul>
                                        <div class="card-body text-center"> 
                                            <ul class="social-links list-inline mb-0">
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row7['facebook'], ENT_QUOTES);  ?>" target="_blank" data-original-title="Facebook"><i class="fa fa-facebook-f"></i></a></li>
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row7['twitter'], ENT_QUOTES);  ?>" target="_blank" data-original-title="Twitter"><i class="fa fa-twitter"></i></a></li>
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row7['instagram'], ENT_QUOTES);  ?>" target="_blank" data-original-title="instagram"><i class="fa fa-instagram"></i></a></li>
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row7['youtube'], ENT_QUOTES);  ?>" target="_blank" data-original-title="youtube"><i class="fa fa-youtube"></i></a></li>    
                                            </ul>
                                        </div>
                                        <div class="float-right btn-group btn-group-sm">
											<a <?php if(!(($row7['action'] == "Suspended") || ($row7['depAction'] == "Suspended"))){ ?>
													href="../techministries/changedept.php?id=<?php echo htmlspecialchars($row7['id'], ENT_QUOTES);  ?>"
													<?php	
													}
											?>  class="btn btn-primary tooltips" target="_blank"><i class="fas fa-sign-out-alt"></i></i></a>
                                            <a href="removeLeader.php?id=<?php echo htmlspecialchars($row7['id'], ENT_QUOTES); ?>" class="btn btn-secondary tooltips" data-placement="top" data-toggle="tooltip" data-original-title="Delete"><i class="fa fa-times"></i></a>
                                        </div>
									<?php } ?>	
										
                                    </div>
                                </div>  
                                <div class="col-xl-3">
                                    <div class="card m-b-30">
									<?php if($num8 > 0) { ?>
                                        <div class="card-body row">
                                            <div class="col-12 text-center">
												<?php echo $row8['image'] ? "<img src='members-images/{$row8['image']}' alt='' class='img-fluid rounded-circle w-60'>" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' alt='' class='img-fluid rounded-circle w-60'>"; ?>
                                            </div>
                                            <div class="col-12 card-title text-center">
                                                <h5><?php echo htmlspecialchars($row8['name'], ENT_QUOTES);  ?></h5>
                                                <p class="m-0">Financial Secretary 
												<?php 
												
													if(($row8['action'] == "Suspended") || ($row8['depAction'] == "Suspended")){
														?>
													<span style="color: red; font-size: 13px;"><i>(Suspended)</i></span>	
														<?php
													}
												?>
												
												</p>
                                            </div>
                                        </div>
                                        <ul class="list-group list-group-flush text-center">
                                            <li class="list-group-item"><i class="fa fa-street-view"></i> Address : <?php echo htmlspecialchars($row8['address'], ENT_QUOTES);  ?></li>
                                            <li class="list-group-item"><i class="fa fa-phone"></i> Phone : <?php echo htmlspecialchars($row8['telephone'], ENT_QUOTES);  ?></li>
                                        </ul>
                                        <div class="card-body text-center"> 
                                            <ul class="social-links list-inline mb-0">
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row8['facebook'], ENT_QUOTES);  ?>" target="_blank" data-original-title="Facebook"><i class="fa fa-facebook-f"></i></a></li>
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row8['twitter'], ENT_QUOTES);  ?>" target="_blank" data-original-title="Twitter"><i class="fa fa-twitter"></i></a></li>
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row8['instagram'], ENT_QUOTES);  ?>" target="_blank" data-original-title="instagram"><i class="fa fa-instagram"></i></a></li>
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row8['youtube'], ENT_QUOTES);  ?>" target="_blank" data-original-title="youtube"><i class="fa fa-youtube"></i></a></li>    
                                            </ul>
                                        </div>
                                        <div class="float-right btn-group btn-group-sm">
											<a <?php if(!(($row8['action'] == "Suspended") || ($row8['depAction'] == "Suspended"))){ ?>
													href="../techministries/changedept.php?id=<?php echo htmlspecialchars($row8['id'], ENT_QUOTES);  ?>"
													<?php	
													}
											?>  class="btn btn-primary tooltips" target="_blank"><i class="fas fa-sign-out-alt"></i></i></a>
                                            <a href="removeLeader.php?id=<?php echo htmlspecialchars($row8['id'], ENT_QUOTES); ?>" class="btn btn-secondary tooltips" data-placement="top" data-toggle="tooltip" data-original-title="Delete"><i class="fa fa-times"></i></a>
                                        </div>
										<?php } ?>
										
                                    </div>
                                </div>  
                                <div class="col-xl-3">
                                    <div class="card m-b-30">
									<?php if($num9 > 0) { ?>
                                        <div class="card-body row">
                                            <div class="col-12 text-center">
												<?php echo $row9['image'] ? "<img src='members-images/{$row9['image']}' alt='' class='img-fluid rounded-circle w-60'>" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' alt='' class='img-fluid rounded-circle w-60'>"; ?>
                                            </div>
                                            <div class="col-12 card-title text-center">
                                                <h5><?php echo htmlspecialchars($row9['name'], ENT_QUOTES);  ?></h5>
                                                <p class="m-0">Secretary 
												<?php 
												
													if(($row9['action'] == "Suspended") || ($row9['depAction'] == "Suspended")){
														?>
													<span style="color: red; font-size: 13px;"><i>(Suspended)</i></span>	
														<?php
													}
												?>
												
												</p>
                                            </div>
                                        </div>
                                        <ul class="list-group list-group-flush text-center">
                                            <li class="list-group-item"><i class="fa fa-street-view"></i> Address : <?php echo htmlspecialchars($row9['address'], ENT_QUOTES);  ?></li>
                                            <li class="list-group-item"><i class="fa fa-phone"></i> Phone : <?php echo htmlspecialchars($row9['telephone'], ENT_QUOTES);  ?></li>
                                        </ul>
                                        <div class="card-body text-center"> 
                                            <ul class="social-links list-inline mb-0">
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row9['facebook'], ENT_QUOTES);  ?>" target="_blank" data-original-title="Facebook"><i class="fa fa-facebook-f"></i></a></li>
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row9['twitter'], ENT_QUOTES);  ?>" target="_blank" data-original-title="Twitter"><i class="fa fa-twitter"></i></a></li>
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row9['instagram'], ENT_QUOTES);  ?>" target="_blank" data-original-title="instagram"><i class="fa fa-instagram"></i></a></li>
                                                <li class="list-inline-item"><a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="<?php echo htmlspecialchars($row9['youtube'], ENT_QUOTES);  ?>" target="_blank" data-original-title="youtube"><i class="fa fa-youtube"></i></a></li>    
                                            </ul>
                                        </div>
                                        <div class="float-right btn-group btn-group-sm">
										<a <?php if(!(($row9['action'] == "Suspended") || ($row9['depAction'] == "Suspended"))){ ?>
													href="../techministries/changedept.php?id=<?php echo htmlspecialchars($row9['id'], ENT_QUOTES);  ?>"
													<?php	
													}
											?>  class="btn btn-primary tooltips" target="_blank"><i class="fas fa-sign-out-alt"></i></i></a>
                                            <a href="removeLeader.php?id=<?php echo htmlspecialchars($row9['id'], ENT_QUOTES); ?>" class="btn btn-secondary tooltips" data-placement="top" data-toggle="tooltip" data-original-title="Delete"><i class="fa fa-times"></i></a>
                                        </div>
										<?php } ?>
                                    </div>
                                </div> 
                            </div>
                        </div>
                    </div>

<?php
	$sentmessagecountingquery = "SELECT * FROM depmembersmessaging WHERE state='sent' AND depId=$id ORDER BY id DESC";
	
	$draftmessagecountingquery = "SELECT * FROM depmembersmessaging WHERE state='draft' AND depId=$id ORDER BY id DESC";
	
	$trashmessagecountingquery = "SELECT * FROM depmembersmessaging WHERE state='trash' AND depId=$id ORDER BY id DESC";
	
	$messagecountingquery = "SELECT * FROM depmembersmessaging WHERE depId=$id ORDER BY id DESC";	
	
	
	$sentmessagecountingstmt = $conn->prepare($sentmessagecountingquery);
	$draftmessagecountingstmt = $conn->prepare($draftmessagecountingquery);
	$trashmessagecountingstmt = $conn->prepare($trashmessagecountingquery);
	$messagecountingstmt = $conn->prepare($messagecountingquery);
	
	$sentmessagecountingstmt->execute();
	$draftmessagecountingstmt->execute();
	$trashmessagecountingstmt->execute();
	$messagecountingstmt->execute();

	$sentmessagecountingnum = $sentmessagecountingstmt->rowCount();
	$draftmessagecountingnum = $draftmessagecountingstmt->rowCount();
	$trashmessagecountingnum = $trashmessagecountingstmt->rowCount();
	$messagecountingnum = $messagecountingstmt->rowCount();	

?>

                    <div id="Messages" class="card tabcontent"><div class="container-fluid">
                        <div class="row" style="background-color: #f1f1f1; margin-top: 10px">
                            <div class="col-sm-3" style="margin-top: 30px">
                                <a href="#" class="btn btn-danger btn-block btn-compose-email" style="margin-bottom: 20px" data-toggle="modal" data-target="#composemail">Compose Email</a><br>
                                <div class="card">
                                    <div class="card-body nav">
                                        <a class="nav-link msg active" href="#all" data-toggle="tab">
                                            <i class="fas fa-reply-all nav-icon"></i> All
                                            <span class="pull-right inbox-notification" style="margin-left:90px"><?php echo $messagecountingnum; ?></span>
                                        </a>
                                        <a class="nav-link msg" href="#sent" data-toggle="tab">
                                            <i class="fa fa-rocket nav-icon" ></i> Sent
                                            <span class="pull-right inbox-notification" style="margin-left:90px"><?php echo $sentmessagecountingnum; ?></span>
                                        </a>
                                        <a class="nav-link msg" href="#Trash" data-toggle="tab">
                                            <i class="fa fa-trash-o nav-icon"></i> Trash
                                            <span class="pull-right inbox-notification" style="margin-left:90px"><?php echo $trashmessagecountingnum; ?></span>
                                        </a>
                                        <a class="nav-link msg" href="#Draft" data-toggle="tab">
                                            <i class="fa fa-inbox nav-icon"></i> Draft 
                                            <span class="pull-right inbox-notification" style="margin-left:90px"><?php echo $draftmessagecountingnum; ?></span>
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <div class="col-sm-9 tab-content" style="margin-top: 30px">

                                <!-- ALL MESSAGES STARTS -->
                                <div class="card tab-pane active" id="all">
                                    <div class="card-body">
                                        <div class="table-responsive" style="margin-top: 30px">
										<?php 
											if($messagecountingnum > 0){
												//start table
												echo "<table class='table table-hover table-email' id='sms'>";
												 
													//creating our table heading
													echo "<tbody>";
													
													while ($messagecountingrow = $messagecountingstmt->fetch(PDO::FETCH_ASSOC)){
														
															$memberId = $messagecountingrow['memId'];
															
															$commessagequery = "SELECT * FROM members WHERE id = :memberId";
															$commessagestmt = $conn->prepare($commessagequery);
															$commessagestmt->bindParam(':memberId', $memberId);
															$commessagestmt->execute();
															$commesrow = $commessagestmt->fetch(PDO::FETCH_ASSOC);
													echo "
                                                    <tr class='unread selected'>
                                                        <td>
                                                            <div class='ckbox ckbox-theme'>
                                                                <input id='checkbox1' type='checkbox' checked='checked' class='mail-checkbox'>
                                                                <label for='checkbox1'></label>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <a href='#' class='star star-checked'><i class='fa fa-star'></i></a>
                                                        </td>
                                                        <td>
                                                            <div class='media'>
                                                                <a href='#' class='pull-left receiver-img'>";
																echo $commesrow['image'] ? "<img src='members-images/{$commesrow['image']}' alt='' class='media-object' width='40px'>" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' alt='' class='media-object' width='40px'>";
															
                                                            echo "</a>
                                                                <div class='media-body'>
                                                                    <h4 class='text-primary'>"; echo $commesrow['name']; echo "</h4>
                                                                    <p class='email-summary'><strong>"; echo $messagecountingrow['subject']; echo "</strong> <br> <b>Message: </b>"; 
																	$string = strip_tags($messagecountingrow['message']);
																		if (strlen($string) > 60) {

																			// truncate string
																			$stringCut = substr($string, 0, 60);
																			$endPoint = strrpos($stringCut, ' ');

																			//if the string doesn't contain any space then it will cut without word basis.
																			$string = $endPoint? substr($stringCut, 0, $endPoint) : substr($stringCut, 0);
																			$string .= '...';
																		}
																		echo $string;
																		
																		if($messagecountingrow['state'] == 'sent'){
																			echo "<span class='badge bg-success'>Sent</span>";
																		} else if ($messagecountingrow['state'] == 'draft'){
																			echo "<span class='badge bg-warning'>Draft</span>";
																		} else {
																			echo "<span class='badge bg-danger'>Trash</span>";
																		}
																		
																	echo" </p>
                                                                    <span class='media-meta'>Today at 6:16am</span>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>";
                                                    }
                                                echo "</tbody>
                                            </table>";
										
											  
											}
											?>
                                        </div>
                                    </div>
                                </div>
                                <!-- ALL MEWSSAGES ENDS  -->

                                <!-- SENT MESSAGES STARTS -->
                                <div class="card tab-pane" id="sent">
                                    <div class="card-body">
                                        <div class="table-responsive" style="margin-top: 30px">
										
										<?php 
											if($sentmessagecountingnum > 0){
											
											echo "
                                            <table class='table table-hover table-email'>
                                                <tbody>";
												while ($sentmessagecountingrow = $sentmessagecountingstmt->fetch(PDO::FETCH_ASSOC)){
													
															$memberId = $sentmessagecountingrow['memId'];
															
															$commessagequery = "SELECT * FROM members WHERE id = :memberId";
															$commessagestmt = $conn->prepare($commessagequery);
															$commessagestmt->bindParam(':memberId', $memberId);
															$commessagestmt->execute();
															$commesrow = $commessagestmt->fetch(PDO::FETCH_ASSOC);
													
													echo"
                                                    <tr class='unread selected'>
                                                        <td>
                                                            <div class='ckbox ckbox-theme'>
                                                                <input id='checkbox1' type='checkbox' checked='checked' class='mail-checkbox'>
                                                                <label for='checkbox1'></label>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <a href='#' class='star star-checked'><i class='fa fa-star'></i></a>
                                                        </td>
                                                        <td>
                                                            <div class='media'>
                                                                <a href='#' class='pull-left receiver-img'>";
																echo $commesrow['image'] ? "<img src='members-images/{$commesrow['image']}' alt='' class='media-object' width='40px'>" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' alt='' class='media-object' width='40px'>";
                                                               echo "</a>
                                                                <div class='media-body'>
                                                                    <h4 class='text-primary'>"; echo $commesrow['name']; echo "</h4>
                                                                    <p class='email-summary'><strong>"; echo $sentmessagecountingrow['subject']; echo "</strong> <br> <b>Message: </b>"; 
																	$string = strip_tags($sentmessagecountingrow['message']);
																		if (strlen($string) > 60) {

																			// truncate string
																			$stringCut = substr($string, 0, 60);
																			$endPoint = strrpos($stringCut, ' ');

																			//if the string doesn't contain any space then it will cut without word basis.
																			$string = $endPoint? substr($stringCut, 0, $endPoint) : substr($stringCut, 0);
																			$string .= '...';
																		}
																		echo $string;																		
																	echo"  <span class='badge bg-success'>Sent</span> </p>
                                                                    <span class='media-meta'>Today at 6:16am</span>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>";
													
												}	
                                        echo "  </tbody>
                                            </table>";
											
											}
											?>
											
                                        </div>
                                    </div>
                                </div>
                                <!-- SENT MEWSSAGES ENDS  -->

                                <!-- TRASH MESSAGES STARTS -->
                                <div class="card tab-pane" id="Trash">
                                    <div class="card-body">
                                        <div class="table-responsive" style="margin-top: 30px">
										<?php 
											if($trashmessagecountingnum > 0){
											
											echo "
                                            <table class='table table-hover table-email'>
                                                <tbody>";
												while ($trashmessagecountingrow = $trashmessagecountingstmt->fetch(PDO::FETCH_ASSOC)){
													
															$memberId = $trashmessagecountingrow['memId'];
															
															$commessagequery = "SELECT * FROM members WHERE id = :memberId";
															$commessagestmt = $conn->prepare($commessagequery);
															$commessagestmt->bindParam(':memberId', $memberId);
															$commessagestmt->execute();
															$commesrow = $commessagestmt->fetch(PDO::FETCH_ASSOC);
													
													echo"
                                                    <tr class='unread selected'>
                                                        <td>
                                                            <div class='ckbox ckbox-theme'>
                                                                <input id='checkbox1' type='checkbox' checked='checked' class='mail-checkbox'>
                                                                <label for='checkbox1'></label>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <a href='#' class='star star-checked'><i class='fa fa-star'></i></a>
                                                        </td>
                                                        <td>
                                                            <div class='media'>
                                                                <a href='#' class='pull-left receiver-img'>";
																echo $commesrow['image'] ? "<img src='members-images/{$commesrow['image']}' alt='' class='media-object' width='40px'>" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' alt='' class='media-object' width='40px'>";
                                                               echo "</a>
                                                                <div class='media-body'>
                                                                    <h4 class='text-primary'>"; echo $commesrow['name']; echo "</h4>
                                                                    <p class='email-summary'><strong>"; echo $trashmessagecountingrow['subject']; echo "</strong> <br> <b>Message: </b>"; 
																	$string = strip_tags($trashmessagecountingrow['message']);
																		if (strlen($string) > 60) {

																			// truncate string
																			$stringCut = substr($string, 0, 60);
																			$endPoint = strrpos($stringCut, ' ');

																			//if the string doesn't contain any space then it will cut without word basis.
																			$string = $endPoint? substr($stringCut, 0, $endPoint) : substr($stringCut, 0);
																			$string .= '...';
																		}
																		echo $string;																		
																	echo"  <span class='badge bg-danger'>Trash</span> </p>
                                                                    <span class='media-meta'>Today at 6:16am</span>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>";
													
												}	
                                        echo "  </tbody>
                                            </table>";
											
											}
											?>
										
                                        </div>
                                    </div>
                                </div>
                                <!-- TRASH MEWSSAGES ENDS  -->

                                <!-- DRAFT MESSAGES STARTS -->
                                <div class="card tab-pane" id="Draft">
                                    <div class="card-body">
                                        <div class="table-responsive" style="margin-top: 30px">
                                            <?php 
											if($draftmessagecountingnum > 0){
											
											echo "
                                            <table class='table table-hover table-email'>
                                                <tbody>";
												while ($draftmessagecountingrow = $draftmessagecountingstmt->fetch(PDO::FETCH_ASSOC)){
													
															$memberId = $draftmessagecountingrow['memId'];
															
															$commessagequery = "SELECT * FROM members WHERE id = :memberId";
															$commessagestmt = $conn->prepare($commessagequery);
															$commessagestmt->bindParam(':memberId', $memberId);
															$commessagestmt->execute();
															$commesrow = $commessagestmt->fetch(PDO::FETCH_ASSOC);
													
													echo"
                                                    <tr class='unread selected'>
                                                        <td>
                                                            <div class='ckbox ckbox-theme'>
                                                                <input id='checkbox1' type='checkbox' checked='checked' class='mail-checkbox'>
                                                                <label for='checkbox1'></label>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <a href='#' class='star star-checked'><i class='fa fa-star'></i></a>
                                                        </td>
                                                        <td>
                                                            <div class='media'>
                                                                <a href='#' class='pull-left receiver-img'>";
																echo $commesrow['image'] ? "<img src='members-images/{$commesrow['image']}' alt='' class='media-object' width='40px'>" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' alt='' class='media-object' width='40px'>";
                                                               echo "</a>
                                                                <div class='media-body'>
                                                                    <h4 class='text-primary'>"; echo $commesrow['name']; echo "</h4>
                                                                    <p class='email-summary'><strong>"; echo $draftmessagecountingrow['subject']; echo "</strong> <br> <b>Message: </b>"; 
																	$string = strip_tags($draftmessagecountingrow['message']);
																		if (strlen($string) > 60) {

																			// truncate string
																			$stringCut = substr($string, 0, 60);
																			$endPoint = strrpos($stringCut, ' ');

																			//if the string doesn't contain any space then it will cut without word basis.
																			$string = $endPoint? substr($stringCut, 0, $endPoint) : substr($stringCut, 0);
																			$string .= '...';
																		}
																		echo $string;																		
																	echo"  <span class='badge bg-warning'>Draft</span> </p>
                                                                    <span class='media-meta'>Today at 6:16am</span>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>";
													
												}	
                                        echo "  </tbody>
                                            </table>";
											
											}
											?>
										
                                        </div>
                                    </div>
                                </div>
                                <!-- DRAFT MEWSSAGES ENDS  -->
                            </div>
                        </div>
                        </div>
                    </div>


                    <!--Report section-->
                    <div id="Reports" class="card tabcontent">
                        <div class="drive-wrapper drive-grid-view">
                            <div class="grid-items-wrapper">
                                <div class="drive-item module text-center">
                                    <div class="drive-item-inner module-inner">
                                        <div class="drive-item-title"><a href="#">Meeting Notes.txt</a></div>
                                        <div class="drive-item-thumb">
                                            <a href="#"><i class="fa fa-file-text-o text-primary"></i></a>
                                        </div>
                                    </div>
                                    <div class="drive-item-footer module-footer">
                                        <ul class="utilities list-inline">
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download"><i class="fa fa-download"></i></a></li>
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="fa fa-trash"></i></a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="drive-item module text-center">
                                    <div class="drive-item-inner module-inner">
                                        <div class="drive-item-title"><a href="#">Stock Image DC3214.JPG</a></div>
                                        <div class="drive-item-thumb">

                                        </div>
                                    </div>
                                    <div class="drive-item-footer module-footer">
                                        <ul class="utilities list-inline">
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download"><i class="fa fa-download"></i></a></li>
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="fa fa-trash"></i></a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="drive-item module text-center">
                                    <div class="drive-item-inner module-inner">
                                        <div class="drive-item-title"><a href="#">Deck Lorem Ipsum.ppt</a></div>
                                        <div class="drive-item-thumb">
                                            <a href="#"><i class="fa fa-file-powerpoint-o text-warning"></i></a>
                                        </div>
                                    </div>
                                    <div class="drive-item-footer module-footer">
                                        <ul class="utilities list-inline">
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download"><i class="fa fa-download"></i></a></li>
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="fa fa-trash"></i></a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="drive-item module text-center">
                                    <div class="drive-item-inner module-inner">
                                        <div class="drive-item-title"><a href="#">Project Tasks.csv</a></div>
                                        <div class="drive-item-thumb">
                                            <a href="#"><i class="fa fa-file-excel-o text-success"></i></a>
                                        </div>
                                    </div>
                                    <div class="drive-item-footer module-footer">
                                        <ul class="utilities list-inline">
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download"><i class="fa fa-download"></i></a></li>
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="fa fa-trash"></i></a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="drive-item module text-center">
                                    <div class="drive-item-inner module-inner">
                                        <div class="drive-item-title"><a href="#">Project Brief.pdf</a></div>
                                        <div class="drive-item-thumb">
                                            <a href="#"><i class="fa fa-file-pdf-o text-danger"></i></a>
                                        </div>
                                    </div>
                                    <div class="drive-item-footer module-footer">
                                        <ul class="utilities list-inline">
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download"><i class="fa fa-download"></i></a></li>
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="fa fa-trash"></i></a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="drive-item module text-center">
                                    <div class="drive-item-inner module-inner">
                                        <div class="drive-item-title"><a href="#">Image DS1341.JPG</a></div>
                                        <div class="drive-item-thumb">

                                        </div>
                                    </div>
                                    <div class="drive-item-footer module-footer">
                                        <ul class="utilities list-inline">
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download"><i class="fa fa-download"></i></a></li>
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="fa fa-trash"></i></a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="drive-item module text-center">
                                    <div class="drive-item-inner module-inner">
                                        <div class="drive-item-title"><a href="#">Image DS3214.JPG</a></div>
                                        <div class="drive-item-thumb">

                                        </div>
                                    </div>
                                    <div class="drive-item-footer module-footer">
                                        <ul class="utilities list-inline">
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download"><i class="fa fa-download"></i></a></li>
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="fa fa-trash"></i></a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="drive-item module text-center">
                                    <div class="drive-item-inner module-inner">
                                        <div class="drive-item-title"><a href="#">UX Resource</a></div>
                                        <div class="drive-item-thumb">
                                            <a href="#"><i class="fa fa-folder text-primary"></i></a>
                                        </div>
                                    </div>
                                    <div class="drive-item-footer module-footer">
                                        <ul class="utilities list-inline">
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download"><i class="fa fa-download"></i></a></li>
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="fa fa-trash"></i></a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="drive-item module text-center">
                                    <div class="drive-item-inner module-inner">
                                        <div class="drive-item-title"><a href="#">Prototypes</a></div>
                                        <div class="drive-item-thumb">
                                            <a href="#"><i class="fa fa-folder text-primary"></i></a>
                                        </div>
                                    </div>
                                    <div class="drive-item-footer module-footer">
                                        <ul class="utilities list-inline">
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download"><i class="fa fa-download"></i></a></li>
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="fa fa-trash"></i></a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="drive-item module text-center">
                                    <div class="drive-item-inner module-inner">
                                        <div class="drive-item-title"><a href="#">Sketch-source-files.zip</a></div>
                                        <div class="drive-item-thumb">
                                            <a href="#"><i class="fa fa-file-zip-o text-primary"></i></a>
                                        </div>
                                    </div>
                                    <div class="drive-item-footer module-footer">
                                        <ul class="utilities list-inline">
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download"><i class="fa fa-download"></i></a></li>
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="fa fa-trash"></i></a></li>
                                        </ul>
                                    </div>
                                </div>

                                <div class="drive-item module text-center">
                                    <div class="drive-item-inner module-inner">
                                        <div class="drive-item-title"><a href="#">Quisque.doc</a></div>
                                        <div class="drive-item-thumb">
                                            <a href="#"><i class="fa fa-file-word-o text-info"></i></a>
                                        </div>
                                    </div>
                                    <div class="drive-item-footer module-footer">
                                        <ul class="utilities list-inline">
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download"><i class="fa fa-download"></i></a></li>
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="fa fa-trash"></i></a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="drive-item module text-center">
                                    <div class="drive-item-inner module-inner">
                                        <div class="drive-item-title"><a href="#">Aenean imperdiet.doc</a></div>
                                        <div class="drive-item-thumb">
                                            <a href="#"><i class="fa fa-file-word-o text-info"></i></a>
                                        </div>
                                    </div>
                                    <div class="drive-item-footer module-footer">
                                        <ul class="utilities list-inline">
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download"><i class="fa fa-download"></i></a></li>
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="fa fa-trash"></i></a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="drive-item module text-center">
                                    <div class="drive-item-inner module-inner">
                                        <div class="drive-item-title"><a href="#">demo.html</a></div>
                                        <div class="drive-item-thumb">
                                            <a href="#"><i class="fa fa-file-code-o text-primary"></i></a>
                                        </div>
                                    </div>
                                    <div class="drive-item-footer module-footer">
                                        <ul class="utilities list-inline">
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download"><i class="fa fa-download"></i></a></li>
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="fa fa-trash"></i></a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="drive-item module text-center">
                                    <div class="drive-item-inner module-inner">
                                        <div class="drive-item-title"><a href="#">Image DS2314.JPG</a></div>
                                        <div class="drive-item-thumb">

                                        </div>
                                    </div>
                                    <div class="drive-item-footer module-footer">
                                        <ul class="utilities list-inline">
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download"><i class="fa fa-download"></i></a></li>
                                            <li><a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete"><i class="fa fa-trash"></i></a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div id="Reminders" class="card tabcontent">
                        <div class="card-content">
                            <div class="card-body">
                                <h1>Reminder</h1>
                            </div>
                        </div>
                    </div>







                    <!--div class="drive-wrapper drive-list-view">
                        <div class="table-responsive drive-items-table-wrapper">
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th class="type"></th>
                                        <th class="name truncate">Name</th>
                                        <th class="date">Uploaded</th>
                                        <th class="size">Size</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td class="type"><i class="fa fa-file-text-o text-primary"></i></td>
                                        <td class="name truncate"><a href="#">Meeting Notes.txt</a></td>
                                        <td class="date">Sep 23, 2015</td>
                                        <td class="size">18 KB</td>
                                    </tr>
                                    <tr>
                                        <td class="type"><i class="fa fa-file-image-o text-primary"></i></td>
                                        <td class="name truncate"><a href="#">Stock Image DC3214.JPG</a></td>
                                        <td class="date">Sep 21, 2015</td>
                                        <td class="size">235 MB</td>
                                    </tr>
                                    <tr>
                                        <td class="type"><i class="fa fa-file-powerpoint-o text-warning"></i></td>
                                        <td class="name truncate"><a href="#">Deck Lorem Ipsum.ppt</a></td>
                                        <td class="date">Sep 20, 2015</td>
                                        <td class="size">136 MB</td>
                                    </tr>
                                    <tr>
                                        <td class="type"><i class="fa fa-file-excel-o text-success"></i></td>
                                        <td class="name truncate"><a href="#">Project Tasks.csv</a></td>
                                        <td class="date">Aug 16, 2015</td>
                                        <td class="size">32 KB</td>
                                    </tr>
                                    <tr>
                                        <td class="type"><i class="fa fa-file-pdf-o text-warning"></i></td>
                                        <td class="name truncate"><a href="#">Project Brief.pdf</a></td>
                                        <td class="date">Aug 15, 2015</td>
                                        <td class="size">73 MB</td>
                                    </tr>
                                    <tr>
                                        <td class="type"><i class="fa fa-file-image-o text-primary"></i></td>
                                        <td class="name truncate"><a href="#">Image DS1341.JPG</a></td>
                                        <td class="date">Aug 15, 2015</td>
                                        <td class="size">171 MB</td>
                                    </tr>
                                    <tr>
                                        <td class="type"><i class="fa fa-file-image-o text-primary"></i></td>
                                        <td class="name truncate"><a href="#">Image DS3214.JPG</a></td>
                                        <td class="date">Aug 15, 2015</td>
                                        <td class="size">171 MB</td>
                                    </tr>
                                    <tr>
                                        <td class="type"><i class="fa fa-folder text-primary"></i></td>
                                        <td class="name truncate"><a href="#">UX Resource</a></td>
                                        <td class="date">Feb 07, 2015</td>
                                        <td class="size">--</td>
                                    </tr>
                                    <tr>
                                        <td class="type"><i class="fa fa-folder text-primary"></i></td>
                                        <td class="name truncate"><a href="#">Prototypes</a></td>
                                        <td class="date">Jan 03, 2015</td>
                                        <td class="size">--</td>
                                    </tr>
                                    <tr>
                                        <td class="type"><i class="fa fa-file-word-o text-info"></i></td>
                                        <td class="name truncate"><a href="#">Quisque.doc</a></td>
                                        <td class="date">Oct 21, 2014</td>
                                        <td class="size">27 KB</td>
                                    </tr>
                                    <tr>
                                        <td class="type"><i class="fa fa-file-word-o text-info"></i></td>
                                        <td class="name truncate"><a href="#">Aenean imperdiet.doc</a></td>
                                        <td class="date">Oct 16, 2014</td>
                                        <td class="size">23 KB</td>
                                    </tr>
                                    <tr>
                                        <td class="type"><i class="fa fa-file-code-o text-primary"></i></td>
                                        <td class="name truncate"><a href="#">demo.html</a></td>
                                        <td class="date">Aug 23, 2014</td>
                                        <td class="size">10 KB</td>
                                    </tr>
                                    <tr>
                                        <td class="type"><i class="fa fa-file-image-o text-success"></i></td>
                                        <td class="name truncate"><a href="#">Image DS2314.JPG</a></td>
                                        <td class="date">Aug 06, 2014</td>
                                        <td class="size">325 MB</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div -->
                </div>
            </div>
        </section>
    </div>
</div>
</section>





<?php
	$messageQuery = "SELECT * FROM members WHERE depId=$id";
	$messagestmt = $conn->prepare($messageQuery);
	$messagestmt->execute();
	$messagenum=$messagestmt->rowCount();
	

?>


<!-- /.modal compose message -->
<div class="modal show" id="composemail">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header modal-header-info">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            <h4 class="modal-title"><span class="glyphicon glyphicon-envelope"></span> Compose Message</h4>
            </div>
			
			<?php
				if(isset($_POST['send'])){
					    include 'database/config2.php';
    try{
 
        // insert query
        $mquery = "INSERT INTO depmembersmessaging SET telephone=:telephone, subject=:subject, message=:message, date=:date, state='sent', depId=:departmentId, memId=:memId";
        $mstmt = $conn->prepare($mquery);
 
 
		$recId = htmlspecialchars(strip_tags($_POST['recName']));
		
		$meQuery = "SELECT * FROM members WHERE id=$recId";
		$mestmt = $conn->prepare($meQuery);
		$mestmt->execute();
		$menum=$mestmt->rowCount();
		$merow = $mestmt->fetch(PDO::FETCH_ASSOC);
 
        // posted values
        $telephone = $merow['telephone'];
        $subject=htmlspecialchars(strip_tags($_POST['message_subject']));
        $message=htmlspecialchars(strip_tags($_POST['message_body']));	
 
        $mstmt->bindParam(':telephone', $telephone);
        $mstmt->bindParam(':subject', $subject);
        $mstmt->bindParam(':message', $message);
        $mstmt->bindParam(':departmentId', $id);
        $mstmt->bindParam(':memId', $recId);
 
        // specify when this record was inserted to the database
        $date=date('Y-m-d');
        $mstmt->bindParam(':date', $date);
 
        // Execute the query
        if($mstmt->execute()){
            echo "<div class='alert alert-success'>Message was sent.</div>";
        }else{
            echo "<div class='alert alert-danger'>Unable to send message.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }

				}
				
				
				if(isset($_POST['draft'])){
					    include 'database/config2.php';
    try{
 
        // insert query
        $mquery = "INSERT INTO depmembersmessaging SET telephone=:telephone, subject=:subject, message=:message, date=:date, state='draft' depId=:departmentId, memId=:memId";
        $mstmt = $conn->prepare($mquery);
 
 
		$recId = htmlspecialchars(strip_tags($_POST['recName']));
		
		$meQuery = "SELECT * FROM members WHERE id=$recId";
		$mestmt = $conn->prepare($meQuery);
		$mestmt->execute();
		$menum=$mestmt->rowCount();
		$merow = $mestmt->fetch(PDO::FETCH_ASSOC);
 
        // posted values
        $telephone = $merow['telephone'];
        $subject=htmlspecialchars(strip_tags($_POST['message_subject']));
        $message=htmlspecialchars(strip_tags($_POST['message_body']));
 
 
        $mstmt->bindParam(':telephone', $telephone);
        $mstmt->bindParam(':subject', $subject);
        $mstmt->bindParam(':message', $message);
        $mstmt->bindParam(':departmentId', $id);
        $mstmt->bindParam(':memId', $recId);

        // specify when this record was inserted to the database
        $date=date('Y-m-d');
        $mstmt->bindParam(':date', $date);
 
        // Execute the query
        if($mstmt->execute()){
            echo "<div class='alert alert-success'>Message saved as draft successfully.</div>";
        }else{
            echo "<div class='alert alert-danger'>Unable to save message as draft.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }

				}
			?>
			<!--<form role="form" class="form-horizontal" action="<?php //echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post">-->
			
			<form class="form-horizontal" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post">
				<div class="modal-body">
					<div class="form-group">
						<label class="col-sm-2" for="inputTo"><span class="glyphicon glyphicon-user"></span>Name</label>
						<select class="form-control" type="text" id="inputTo" placeholder="Recipients name/Number" name="recName" list="wizards-list">
							<option value="0">Recipients name/Number</option>    
							<?php
								while ($messagerow = $messagestmt->fetch(PDO::FETCH_ASSOC)){
							?>
							<option value="<?php echo $messagerow['id']; ?>"><?php echo $messagerow['name'] . " -> " . $messagerow['telephone'] ?></option>
							<?php
								}
							?>
						</select>
					</div>
					<div class="form-group">
						<label class="col-sm-2" for="inputSubject"><span class="glyphicon glyphicon-list-alt"></span>Subject</label>
						<div class="col-sm-10"><input type="text" name="message_subject" class="form-control" id="inputSubject" placeholder="subject"></div>
					</div>
					<div class="form-group">
						<label class="col-sm-12" for="inputBody"><span class="glyphicon glyphicon-list"></span>Message</label>
						<div class="col-sm-12"><textarea class="form-control" name="message_body" id="inputBody" rows="8"></textarea></div>
					</div>
				
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default pull-left" data-dismiss="modal">Cancel</button> 
					<button type="submit" class="btn btn-warning pull-left" name="draft">Save Draft</button>
					<button type="submit" class="btn btn-primary" name="send">Send <i class="fa fa-arrow-circle-right fa-lg"></i></button>
				</div>
			</form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal compose message -->




<script>
    function openCity(evt, cityName) {
    var i, tabcontent, tabmenu;
    tabcontent = document.getElementsByClassName("tabcontent");
    for (i = 0; i < tabcontent.length; i++) {
        tabcontent[i].style.display = "none";
    }
    tabmenu = document.getElementsByClassName("tabmenu");
    for (i = 0; i < tabmenu.length; i++) {
        tabmenu[i].className = tabmenu[i].className.replace(" active", "");
    }
    document.getElementById(cityName).style.display = "block";
    evt.currentTarget.className += " active";
    }

    // Get the element with id="defaultOpen" and click on it
    document.getElementById("defaultOpen").click();
</script>



<!-- Paging JS -->
<script type="text/javascript">

// Basic example
// Basic example
$(document).ready(function () {
  $('#sms').DataTable({
    "pagingType": "simple_numbers" // "simple" option for 'Previous' and 'Next' buttons only
  });
  $('.dataTables_length').addClass('bs-select');
});


function viewdeptMem( id ){
 
    var answer = confirm( id );
    
//<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js">

$(document).ready(function(){
  $("button").click(function(){
    $("#div1").load("demo_test.txt");
  });
});
}

</script>
<?php
    include "includes/footer.php" ;
?>