<?php 

include 'database/config.php';

session_start();

error_reporting(0);

if (isset($_SESSION['username'])) {
    header("Location: index.php");
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login - Ohips Ministries</title>
    <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@300;400;600;700;800&display=swap" rel="stylesheet">
    <script src="https://kit.fontawesome.com/2ced7dcf7e.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="assets/css/bootstrap.css">
    <link rel="stylesheet" href="assets/vendors/bootstrap-icons/bootstrap-icons.css">
    <link rel="stylesheet" href="assets/css/app.css">
    <link rel="stylesheet" href="assets/css/pages/auth.css">
</head>
<body>
    <div id="auth">

        <div class="row h-100">
            <div class="col-lg-5 col-12">
                <div id="auth-left">
                    <div class="auth-logo">
                        <a href="index.html"><img src="assets/images/logo/logo.png" alt="Logo"></a>
                    </div>
                    <h1 class="auth-title">Log in.</h1>
                    <p class="auth-subtitle mb-5">Log in with your details sent to you by the Senior Pastor.</p>
					
					<?php
						if (isset($_POST['submit'])) {
							$username = $_POST['username'];
							$password = md5($_POST['password']);

							$sql = "SELECT * FROM members WHERE (username='$username' AND password='$password') AND (username != '' OR password != '')";
							$result = mysqli_query($conn, $sql);
							if ($result->num_rows > 0) {
								$row = mysqli_fetch_assoc($result);
								$_SESSION['username'] = $row['username'];		
								header("Location: index.php");
							} else {
								echo '<p class="alert alert-danger">Wrong Credentials. Please verify and try again. God bless you.</p>';
							}
						}

					?>
					
                    
                    <form action="" method="POST" >
                        <div class="form-group position-relative has-icon-left mb-4">
                            <input type="text" class="form-control form-control-xl" placeholder="Username" name="username" value="<?php echo $username; ?>" required>
                                <div class="form-control-icon">
                                    <i class="fas fa-user-circle"></i>
                                </div>
                            </div>
                            <div class="form-group position-relative has-icon-left mb-4">
                            <input type="password" class="form-control form-control-xl" placeholder="Password" name="password" value="<?php echo $_POST['password']; ?>" required>
                                <div class="form-control-icon">
                                    <i class="fas fa-key"></i>
                                </div>
                            </div>
                            <div class="form-check form-check-lg d-flex align-items-end">
                                <input class="form-check-input me-2" type="checkbox" value="" id="flexCheckDefault" name="rememberme">
                                    <label class="form-check-label text-gray-600" for="flexCheckDefault">
                                        Keep me logged in
                                    </label>
                            </div>
                        <button name="submit" class="btn btn-primary btn-block btn-lg shadow-lg mt-5">Log in</button>
                    </form>
                    <div class="text-center mt-5 text-lg fs-4">
                        <a href="#" class="font-bold" onclick="showDiv()">Forgot password?</a>
                        <div style="display:none;" id="forGotpastor">
                            <p class="alert alert-warning">Please conatct the Senior Pastor. <a href="tel:+237653766939 " style="color: #435ebe;">call</a></p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-7 d-none d-lg-block">
                <div id="auth-right">

                </div>
            </div>
        </div>
    </div>

    <script>
        function showDiv() {
            document.getElementById('forGotpastor').style.display = "block";
        }
    </script>
</body>

</html>