<?php

$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');

include '../database/config2.php';
  
    try{
 
		$query1 = "SELECT * FROM members WHERE id=:id";
		$stmt1 = $conn->prepare($query1); 
		
		$stmt1->bindParam(':id', $id);
		$stmt1->execute();
		
		$row1 = $stmt1->fetch(PDO::FETCH_ASSOC);

 
        // insert query
        $query = "INSERT INTO memberattendance SET memberId=:memberId, departmentId=:departmentId, attendance='Present', markedDate=:markedDate";
        $stmt = $conn->prepare($query);
		 
		 $todayDate = date('Y-m-d');
		 
        $stmt->bindParam(':memberId', $id);
        $stmt->bindParam(':departmentId', $row1['depId']);
        $stmt->bindParam(':markedDate', $todayDate);
		
        if($stmt->execute()){
			header("Location: attendance.php");
        }else{
            echo "<div class='alert alert-danger'>Unable to save record.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }

?>