<?php 

    session_start();
$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');

include 'database/config2.php';

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";

    $query1 = "SELECT * FROM members WHERE id=:id";
    $stmt1 = $conn->prepare($query1);
    $stmt1->bindParam(':id', $id);

	$stmt1->execute();
	$row1 = $stmt1->fetch(PDO::FETCH_ASSOC);
	$departmentId = $row1['depId'];
	
	$query2 = "SELECT * FROM departments WHERE id=:departmentId";
	$stmt2 = $conn->prepare($query2);
	$stmt2->bindParam(':departmentId', $departmentId);
	$stmt2->execute();
	$row2 = $stmt2->fetch(PDO::FETCH_ASSOC);
	$target = $row2['id'];
	
	$query = "SELECT * FROM departments WHERE id != $target AND action!='Suspended' ORDER BY id DESC";
	$stmt = $conn->prepare($query);
	$stmt->execute();
	
	
	// check if form was submitted
if (isset($_POST['change'])) {
  	include 'database/config2.php';

    try{	
		$verleaderQuery = "SELECT * FROM members WHERE depId = :newDepartment AND position='Leader'";
		
		
		$verassleaderQuery = "SELECT * FROM members WHERE depId = :newDepartment AND position='Ass. Leader'";
		
		
		$verfinsecQuery = "SELECT * FROM members WHERE depId = :newDepartment AND position='Financial Secretary'";
		
		
		$versecQuery = "SELECT * FROM members WHERE depId = :newDepartment AND position='Secretary'";
		
			
		$transferQuery = "UPDATE members SET depId=:newDepartment, position=:newRole WHERE id=:id";
		$transferstmt = $conn->prepare($transferQuery);

		$newDepartment=htmlspecialchars(strip_tags($_POST['department']));
		$newRole=htmlspecialchars(strip_tags($_POST['newrole']));

        // bind the parameters
        //$transferstmt->bindParam(':changeType', $changeType);
        $transferstmt->bindParam(':newDepartment', $newDepartment);
        $transferstmt->bindParam(':newRole', $newRole);
        $transferstmt->bindParam(':id', $id);
	
		$changeType=htmlspecialchars(strip_tags($_POST['typeofchange']));
		
		
		$rowQuery = "SELECT * FROM members WHERE id=:id";
		$rowstmt = $conn->prepare($rowQuery);

		$rowstmt->bindParam(':id', $id);
		$rowstmt->execute();

		$myrow = $rowstmt->fetch(PDO::FETCH_ASSOC);
		
		
		$multideptQuery = "INSERT INTO members SET depId=:depId, image=:image, name=:name, telephone=:telephone, prefix=:prefix, occupation=:occupation, status=:status, dob=:dob, gender=:gender, country=:country, hschool=:hschool, address=:address,
		information=:information, baptism=:baptism, language=:language, first_visit=:first_visit, first_heard=:first_heard, evangelist=:evangelist, howheardaboutus=:howheardaboutus, relations=:relations, filts=:filts, atbifl=:atbifl, atbipc=:atbipc, atbimc=:atbimc, 
		cell=:cell, cell_position=:cell_position, position=:position, facebook=:facebook, instagram=:instagram, youtube=:youtube, twitter=:twitter, date_joined=:date_joined, action=:action, duplicate='Yes', duplicated_id=:duplicated_id, email=:email";
		
		$multistmt = $conn->prepare($multideptQuery);

		$image = $myrow['image'];
        //$depId = $myrow['depId'];
        $name = $myrow['name'];
        $telephone = $myrow['telephone'];
        $prefix = $myrow['prefix'];
        $occupation = $myrow['occupation'];
        $status = $myrow['status'];
        $dob = $myrow['dob'];
        $gender = $myrow['gender'];
        $country=$myrow['country'];
        $hschool=$myrow['hschool'];
        $address=$myrow['address'];
		$information = $myrow['information'];
        $baptism=$myrow['baptism'];
        $language=$myrow['language'];
        $first_visit=$myrow['first_visit'];
        $first_heard=$myrow['first_heard'];
        $date_joined= date('Y-m-d');
		$evangelist = $myrow['evangelist'];
		$howheardaboutus = $myrow['howheardaboutus'];
		$relations = $myrow['relations'];
		$filts = $myrow['filts'];
		$atbifl = $myrow['atbifl'];
		$atbipc = $myrow['atbipc'];
		$atbimc = $myrow['atbimc'];
		$cell = $myrow['cell'];
		$cell_position = $myrow['cell_position'];
		//$position = $myrow['position'];
		$facebook = $myrow['facebook'];
		$instagram = $myrow['instagram'];
		$youtube = $myrow['youtube'];
		$twitter = $myrow['twitter'];
		$action = $myrow['action'];
		
		if($myrow['duplicated_id'] == 0){
			$duplicated_id = $myrow['id'];	
		} else {
			$duplicated_id = $myrow['duplicated_id'];
		}
		
		
		$email = $myrow['email'];
		
		$multistmt->bindParam(':depId', $newDepartment);
        $multistmt->bindParam(':image', $image);
        $multistmt->bindParam(':name', $name);
        $multistmt->bindParam(':telephone', $telephone);
        $multistmt->bindParam(':prefix', $prefix);
        $multistmt->bindParam(':occupation', $occupation);
        $multistmt->bindParam(':status', $status);
        $multistmt->bindParam(':dob', $dob);
        $multistmt->bindParam(':gender', $gender);
        $multistmt->bindParam(':country', $country);
        $multistmt->bindParam(':hschool', $hschool);
        $multistmt->bindParam(':address', $address);
        $multistmt->bindParam(':information', $information);
        $multistmt->bindParam(':baptism', $baptism);
        $multistmt->bindParam(':language', $language);
        $multistmt->bindParam(':first_visit', $first_visit);
        $multistmt->bindParam(':first_heard', $first_heard);
        $multistmt->bindParam(':evangelist', $evangelist);
        $multistmt->bindParam(':howheardaboutus', $howheardaboutus);
        $multistmt->bindParam(':relations', $relations);
        $multistmt->bindParam(':filts', $filts);
        $multistmt->bindParam(':atbifl', $atbifl);
        $multistmt->bindParam(':atbipc', $atbipc);
        $multistmt->bindParam(':atbimc', $atbimc);
        $multistmt->bindParam(':cell', $cell);
        $multistmt->bindParam(':cell_position', $cell_position);
        $multistmt->bindParam(':position', $newRole);
        $multistmt->bindParam(':facebook', $facebook);
        $multistmt->bindParam(':instagram', $instagram);
        $multistmt->bindParam(':youtube', $youtube);
        $multistmt->bindParam(':twitter', $twitter);
        $multistmt->bindParam(':date_joined', $date_joined);
        $multistmt->bindParam(':action', $action);
        $multistmt->bindParam(':duplicated_id', $duplicated_id);
        $multistmt->bindParam(':email', $email);
		
		
		$verleaderstmt = $conn->prepare($verleaderQuery);
		$verleaderstmt->bindParam(':newDepartment', $newDepartment);
		$verleaderstmt->execute();
		$verleadernum = $verleaderstmt->rowCount();
		
		$verassleaderstmt = $conn->prepare($verassleaderQuery);
		$verassleaderstmt->bindParam(':newDepartment', $newDepartment);
		$verassleaderstmt->execute();
		$verassleadernum = $verassleaderstmt->rowCount();
		
		$verfinsecstmt = $conn->prepare($verfinsecQuery);
		$verfinsecstmt->bindParam(':newDepartment', $newDepartment);
		$verfinsecstmt->execute();
		$verfinsecnum = $verfinsecstmt->rowCount();
		
		$versecstmt = $conn->prepare($versecQuery);
		$versecstmt->bindParam(':newDepartment', $newDepartment);
		$versecstmt->execute();
		$versecnum = $versecstmt->rowCount();
		
		if(($verleadernum > 0) && ($newRole == 'Leader')){
					echo "<div class='alert alert-danger'>Sorry that department already has a leader.</div>";			
		} else if(($verassleadernum > 0) && ($newRole == 'Ass. Leader')) {
					echo "<div class='alert alert-danger'>Sorry that department already has an assistant leader.</div>";						
		} else if(($verfinsecnum > 0) && ($newRole == 'Financial Secretary')) {
					echo "<div class='alert alert-danger'>Sorry that department already has a financial secretary.</div>";									
		} else if(($versecnum > 0) && ($newRole == 'Secretary')) {
					echo "<div class='alert alert-danger'>Sorry that department already has a secretary.</div>";									
		} else {
			if($changeType == 'Transfer'){
				// Execute the query
				if($transferstmt->execute()){
					echo "<div class='alert alert-success'>Transfer process was a success.</div>";
				} else {
					echo "<div class='alert alert-danger'>Unable to transfer this member.</div>";
				} 
			} else if($changeType == 'MultiDepartment') {
				if($multistmt->execute()){
					echo "<div class='alert alert-success'>Successfully added to new department.</div>";
				} else {
					echo "<div class='alert alert-danger'>Unable to add this member to another department.</div>";
				}
			} else {
					echo "<div class='alert alert-danger'>Please select the option if it's multi-department or complete transfer</div>";
			}
		
		}
				

    }
 
    // show errors
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}

?>

<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post">
    <div class="card">
        <div class="card-content">
            <div class="card-body">
                <div class="row">
                    <select name="typeofchange" id="" class="form-control" style="margin-bottom:10px;" required>
                        <option value="0">Select Option...</option>
                        <option value="MultiDepartment">Multi-department</option>
                        <option value="Transfer">Transfer</option>
                    </select> 
                    <div class="col col-md-6">
                        
							<select class="form-control" type="text" id="wizards" placeholder="New department" name="department" list="wizards-list" required>
								<option value="0">Select New Department...</option>
                                    
							<?php
								while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){								
							?>
								<option value="<?php echo $row['id']; ?>"><?php echo $row['name']; ?></option>
							<?php
								}
							?>
                            </select>
						
                    </div>
                    <div class="col col-md-6">
					<select name="newrole" id="" class="form-control" required>
                        <option value="0" >Select Position...</option>
                        <option value="">Regular Member</option>
                        <option value="Leader">Leader</option>								
                        <option value="Ass. Leader">Assistant Leader</option>								
                        <option value="Financial Secretary">Financial Secretary</option>								
                        <option value="Secretary">Secretary</option>								
                    </select>
                    </div>
                </div>
                <div class="text-center" style="">
                        <!-- Indicates a successful or positive action -->
                    <button type="submit" name="change" class="btn btn-success btn-lg btn3d"><i class="fas fa-check"></i> Done</button>
                </div> 
            </div>
        </div>
    </div>
</form>

<?php
    include "includes/footer.php" ;
?>