<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Checkout Equipment
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="container-fluid homeCard">

		<div class="row">
        <div class="col col-md-12">
            <h1>Checkout</h1>
                <div id="attendance">
                    <div class="card" style="float: left">
                        <form>
                            <div class="form-group mb-0">
                                <div class="input-group mb-0">
                                    <input type="text" class="form-control" onkeyup="myFunction()" id="lookDpt" placeholder="Search date..." aria-describedby="project-search-addon"/>
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div id="toolbar" class="select" style="display: none">
                        <select class="form-control">
                            <option value="">Export Basic</option>
                            <option value="all">Export All</option>
                            <option value="selected">Export Selected</option>
                        </select>
                    </div>
					
						<?php
							$checkoutquery = "SELECT * FROM inventoryequipments ORDER BY id DESC";
							$checkoutstmt = $conn->prepare($checkoutquery);
							$checkoutstmt->execute();
							$checkoutnum = $checkoutstmt->rowCount();
							if($checkoutnum > 0){
								echo "
								<table id='table' class='table table-striped'>
											<thead>
												<tr>
													<th scope='col'>Date Collected</th>
													<th scope='col'>Expected Return</th>
													<th scope='col'>Item Name</th>
													<th scope='col'>Brand</th>
													<th scope='col'>Category</th>
													<th scope='col'>Image</th>
													<th scope='col'>Collected by</th>
													<th scope='col'>Quantity</th>
													<th scope='col'>Motive</th>
													<th scope='col'>Out-going State</th>
													<th scope='col'>Action</th>
												</tr>
											</thead>    
											<tbody id='myDepts'>			
								";
								while($checkoutrow = $checkoutstmt->fetch(PDO::FETCH_ASSOC)){
									
									$checkoutquery2 = "SELECT * FROM itemsbrand WHERE id=:id";
									$checkoutstmt2 = $conn->prepare($checkoutquery2);
									$checkoutstmt2->bindParam(':id', $checkoutrow['brandId']);
									$checkoutstmt2->execute();
									$checkoutrow2 = $checkoutstmt2->fetch(PDO::FETCH_ASSOC);
									
									$checkoutquery3 = "SELECT * FROM itemscategory WHERE id=:id";
									$checkoutstmt3 = $conn->prepare($checkoutquery3);
									$checkoutstmt3->bindParam(':id', $checkoutrow['categoryId']);
									$checkoutstmt3->execute();
									$checkoutrow3 = $checkoutstmt3->fetch(PDO::FETCH_ASSOC);
									?>
									<form action="checkoutPage.php?id=<?php echo $checkoutrow['id']?>" method="POST"  enctype="multipart/form-data">
									<?php
									echo "
									<tr>
                                        <td><input type='date' class='form-control' name='dateCollected' style='width:60% !important' required></td>
                                        <td><input type='date' class='form-control' name='expectedReturn' style='width:60% !important' required></td>
                                        <td><input type='text' class='form-control' name='' value='360 Fish Eye Camera Lense' style='display:none' readonly>{$checkoutrow['name']}</td>
                                        <td><input type='text' class='form-control' name='' value='SONY' style='display:none' readonly><span class='badge bg-success'>{$checkoutrow2['name']}</span></td>
                                        <td><input type='text' class='form-control' name='' value='BROADCASTING' style='display:none' readonly><span class='badge bg-warning'>{$checkoutrow3['name']}</span></td>
                                        <td>
                                            <a href='javascript: void(0);' class='team-member' data-toggle='tooltip' data-placement='top' title='' data-original-title='Neil Wing'>";
										echo $checkoutrow['image'] ? "<img src='inventoryequipments/{$checkoutrow['image']}' class='rounded-circle avatar-xs' alt=''>" : ""; 
										echo "
                                            </a>
                                        </td>
                                        <td>
                                            <select type='text' name='collectorId' class='form-control' style='width:100% !important' placeholder='Name' required>
                                                <option disabled selected hidden>Name</option>";
												$allmem = "SELECT * FROM members WHERE duplicated_id=0";
												$allmemstmt = $conn->prepare($allmem);
												$allmemstmt->execute();
												while($allmemrow = $allmemstmt->fetch(PDO::FETCH_ASSOC)){
													echo "
														<option value='{$allmemrow['id']}'>{$allmemrow['name']}</option>
													";
												}
                                                
										echo "
										  </select>
                                        </td>
                                        <td><input type='number' min='1' max='{$checkoutrow['quantity']}' placeholder='{$checkoutrow['quantity']}' class='form-control' name='qtycollected' style='width:100% !important' required></td>
                                        <td><textarea name='motiveCollected' id='' cols='30' rows='3' class='form-control'></textarea></td>
                                        <td><input type='file' class='form-control' name='imageState'></td>
                                        <td>
                                            <button type='submit' class='btn btn-primary' name='checkout'><i class='fas fa-arrow-right' style='font-size: 40px; color: white;'></i></button>
                                        </td>
                                    </tr>
									
									"; ?>
									</form>
									<?php
									
								}
								echo "
									
								</tbody>
							</table>
								";
							} else {
					echo "<div class='alert alert-danger'>No equipment registered yet.</div>";								
							}
						?>                    
					
                                    
                                    
                </div>
            </div>
		</div>
		<!-- end row -->
	</div>
</section>

<script>
$(document).ready(function(){
  $("#lookDpt").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myDepts tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script> 

<script>
  var $table = $('#table')

  $(function() {
    $('#toolbar').find('select').change(function () {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: $(this).val(),
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        
      })
    }).trigger('change')
  })
</script>


<?php
include "includes/footer.php" ;
?>