<?php 

	include 'database/config.php';

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";
	
	$username = $_SESSION['username'];
	$query = "SELECT * from new_user WHERE username = '$username' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$full_name = $row['fname'];
?>

<div class="page-heading">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Faith Build Center
                    <button class="btn btn-success" data-toggle="modal" data-target=".addNewProduct">New Product
                        <i class="fas fa-plus"></i>
                    </button>
                </h3>
                
                <p class="text-subtitle text-muted">This is the Faith Build Center
                    <a  href="#" class="scripture" title="Proverbs 23:23" data-toggle="popover" data-placement="right" data-trigger="hover" 
                        data-content="Buy the truth, and sell it not; also wisdom, and instruction, and understanding.">
                        Proverbs 23:23
                    </a>
                </p>
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Faith build</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
 </div>

 <div class="modal-body" style="background-color: #f2f2f2;">
            <div class="row">
                <div class="col col-9">
                    <div class="card">
                        <div class="card-header"></div>
                        <div class="card-body">

                            <div class="row">
                                <div class="col col-md col-3">
                                    <img src="invoice/images/profile.jpg" alt="user profile">
                                </div>
                                <div class="col col-md col-9">
                                    <h2 style="color: #a5a5a5">Most Recent pledge: Back to school
                                    </h2>
                                    <div class="progress" style="height: 68px;">
                                        <div class="progress-bar progress-bar-striped bg-danger active" role="progressbar" style="width: 65%" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100">65% complete</div>
                                    </div> 
                                    <br>
                                    <p style="float: left;">Pledged: XFA 1,500,000</p>
                                    <p style="float: right;">Paid: XFA 2,000,000,000</p>
                                </div>
                                    <div id="chart-profile-visit"></div>
                            </div>
                                <br><br>

                            <div class="container">
                            <h5>Cumulative pledges
                                <a  href="#" class="scripture" title="1 Chronicles 29:2 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
                                    data-content="With all my resources I have provided for the temple of my God—gold for the gold work, silver for the silver, 
                                    bronze for the bronze, iron for the iron and wood for the wood, as well as onyx for the settings, turquoise,[a] stones of 
                                    various colors, and all kinds of fine stone and marble—all of these in large quantities.">
                                    <small> 1 Chronicles 29:2</small>
                                </a>
								<a href="fundRaising.php?tid=<?php echo $id?>">
                                <button class="btn btn-warning" data-toggle="" data-target="" class="btn btn-warning" style="margin-left:10px"> 
                                    Add new
                                    <i class="fas fa-plus"></i>
                                </button>
								</a>
                            </h5>
                            <div >

                            </div>
                            <div class="form-group"> 
                                <select class="display" name="state" id="maxRows">
                                    <option value="5000">Show ALL Rows</option>
                                    <option value="2">2</option>
                                    <option value="5">5</option>
                                    <option value="10">10</option>
                                    <option value="15">15</option>
                                    <option value="20">20</option>
                                    <option value="50">50</option>
                                    <option value="70">70</option>
                                    <option value="100">100</option>
                                </select>
                                <label for="entries">entries per page</label>
                                <input type="text" id="myInput" onkeyup="myTableSearch()" placeholder="Search for names.." title="Type in a name">
                            </div>

                                <table class="table table-striped table-class" id= "table-id">
                                    <tr>
                                        <th>Campaign Name</th>
                                        <th>Date Pledged</th>
                                        <th>Date Redeemed</i></th>
                                        <th>Amount Pledged</i></th>
                                        <th>Amount Paid</th>
                                        <th>% Complate</i></th>
                                        <th>Status</i></th>
                                        <th>Method</th>
                                        <th>Action</th>
                                    </tr>
                                    <tr>
                                        <td>Mbole Charlse</td>
                                        <td>Oct 26, 2015</td>
                                        <td>Oct 27, 2015</td>
                                        <td>500</td>
                                        <td>25</td>
                                        <td>
                                            <div class="progress progress-danger  mb-4">
                                                <div class="progress-bar progress-bar-striped" role="progressbar" style="width:6%"
                                                    aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">6%
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <span class="badge bg-danger">Late</span>
                                        </td>
                                        <td>Cash</td>
            <!--Pledge Payment button--><td><a href="#" data-toggle="modal" data-target="#payPledge"><i class="fab fa-apple-pay fa-2x" style="color: #717171"></i></a></td>
                                    </tr>
                                    <tr>
                                        <td>Sama Yanick</td>
                                        <td>Oct 26, 2015</td>
                                        <td>Oct 27, 2015</td>
                                        <td>10.100.000</td>
                                        <td>10.000.000</td>
                                        <td>
                                            <div class="progress progress-success  mb-4">
                                                <div class="progress-bar progress-bar-striped" role="progressbar" style="width: 90%"
                                                    aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">90%
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <span class="badge bg-success">On time</span>
                                        </td>
                                        <td>Bank</td>
                                        <td><a href="#"><i class="fab fa-apple-pay fa-2x" style="color: #717171"></i></a></td>
                                    </tr>
                                    <tr>
                                        <td>Ohipopo.org</td>
                                        <td>Oct 26, 2015</td>
                                        <td>Oct 27, 2015</td>
                                        <td>100.100.000</td>
                                        <td>200.000.000</td>
                                        <td>
                                            <div class="progress progress-success  mb-4">
                                                <div class="progress-bar progress-bar-striped" role="progressbar" style="width: 100%"
                                                    aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">100%
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <span class="badge bg-success">On time</span>
                                        </td>
                                        <td>Cash</td>
                                        <td><a href="#"><i class="fab fa-apple-pay fa-2x" style="color: #717171"></i></a></td>
                                    </tr>
                                    <tr>
                                        <td>Sama Yanick</td>
                                        <td>Oct 26, 2015</td>
                                        <td>Oct 27, 2015</td>
                                        <td>10.100.000</td>
                                        <td>10.000.000</td>
                                        <td>
                                            <div class="progress progress-primary  mb-4">
                                                <div class="progress-bar progress-bar-striped" role="progressbar" style="width: 90%"
                                                    aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">90%
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <span class="badge bg-success">On time</span>
                                        </td>
                                        <td>Cash</td>
                                        <td><a href="#"><i class="fab fa-apple-pay fa-2x" style="color: #717171"></i></a></td>   
                                    </tr>
                                    <tr>
                                        <td>Sama Yanick</td>
                                        <td>Oct 26, 2015</td>
                                        <td>Oct 27, 2015</td>
                                        <td>10.100.000</td>
                                        <td>10.000.000</td>
                                        <td>
                                            <div class="progress progress-primary  mb-4">
                                                <div class="progress-bar progress-bar-striped" role="progressbar" style="width: 90%"
                                                    aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">90%
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <span class="badge bg-success">On time</span>
                                        </td>
                                        <td>Momo</td>
                                        <td><a href="#"><i class="fab fa-apple-pay fa-2x" style="color: #717171"></i></a></td>   
                                    </tr>
                                </table>
                            </div> <!--End of Container -->
                        </div>
                        <div class="card-footer"></div>
                    </div>
                </div>

                <!--Campeign Overview -->
                <div class="col col-3">
                    <div class="card">
                        <div class="card-header">
                            <p>Update Sowers information 
                                <a href="" class="scripture" title="Help" data-toggle="popover" data-placement="right" data-trigger="hover" data-content="Please note that this information will update on the entire database"><i style="color: #a5a5a5;" class="fas fa-info-circle"></i></a>
                            </p><hr>
                        </div>
                        <div class="card-body">
                            <form action="index.php" method="">
                                <p style="float: ;"><b>Name:</b><input type="text" class="Editinput" style="float: right;"  placeholder="Sama"></p>
                                <p style="float: ;"><b>Phone:</b><input type="text" class="Editinput" style="float: right;" placeholder="+237 653 766 939"></p>
                                <p style="float: ;"><b>Email:</b><input type="text" class="Editinput" style="float: right;" placeholder="samayanick0074@gmail.com"></p>
                                <p style="float: ;"><b>Nationality:</b><input type="text" class="Editinput" style="float: right;" placeholder="Cameroonian"></p>
                                <p style="float: ;"><b>Occupation:</b><input type="text" class="Editinput" style="float: right;" placeholder="Business Man"></p>
                                <p style="float: ;"><b>Home address:</b><input type="text" class="Editinput" style="float: right;" placeholder="Mile 4, Limbe"></p>
                                <p style="float: ;"><b>Member:</b><input type="text" class="Editinput" style="float: right;" placeholder="Member" readonly></p>
                                <p style="float: ;"><b style="float: left;">Department:</b>
                                    <div class="form-group Editinput" id="" >
                                        <select type="text" class="form-control Editinput" style="float: right; width: 50%;">
                                            <option value="Social Media">Social Media</option>
                                            <option value="Communicators">Communicators</option>
                                            <option value="Protocals">Protocals</option>
                                            <option value="Sanctuary">Sanctuary</option>
                                            <option value="Dance Crew">Dance Crew</option>
                                            <option value="Videographers">Videographers</option>
                                        </select>
                                    </div>
                                </p>
                            </form>
                        </div>
                        <div class="card-footer">
                            <input class="btnEditUser" type="submit" Value="Update" name="" style="float: right;">
                        </div>
                    </div>
                    <div class="card">
                        <div class="card-header">
                            <p>Google Location</p><hr>
                            <iframe
                                width="100%"
                                height="300"
                                style="border:0"
                                loading="lazy"
                                allowfullscreen
                                src="https://www.google.com/maps/embed/v1/place?key=AIzaSyC1ptWMykM2c7OXuBqajDZzYiGv2ZX25ng
                                &q=molyko">
                            </iframe>
                        </div>
                    </div>
                </div>
            </div>
        </div>

<?php
    include "includes/footer.php" ;
?>