<?php 

	include 'database/config.php';

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";
	
	$username = $_SESSION['username'];
	$query = "SELECT * from new_user WHERE username = '$username' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$full_name = $row['fname'];
?>

<div class="page-heading">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Faith Build Center
                    <button class="btn btn-success" data-toggle="modal" data-target=".addNewProduct">New Product
                        <i class="fas fa-plus"></i>
                    </button>
                </h3>
                
                <p class="text-subtitle text-muted">This is the Faith Build Center
                    <a  href="#" class="scripture" title="Proverbs 23:23" data-toggle="popover" data-placement="right" data-trigger="hover" 
                        data-content="Buy the truth, and sell it not; also wisdom, and instruction, and understanding.">
                        Proverbs 23:23
                    </a>
                </p>
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Faith build</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
 </div>

 <!--Tabs for table -->
<div class="tabs">
  <button class="faithBuildtablinks" onclick="openProduct(event, 'Products')" id="openBydefault"><i class="fas fa-shopping-cart"></i> Products</button>
  <button class="faithBuildtablinks" onclick="openProduct(event, 'pTable')"><i class="fas fa-newspaper"></i> Report</button>
</div>

<section class="faithBuilCard productcontent" id="Products">
<br>
    <div class=" container-fluid row">
        <div class="col col-md-9"></div>
            <div class="col col-md-3">
                <input class="form-control form-control-lg mr-sm-2" type="search" placeholder="Type a name to search..." aria-label="Search" id="search">
            </div>
        </div> 
        <br>
    <div class="container-fluid">
        
       		<div class="row" id="myItems">
 
                <?php
                        include 'database/config2.php';
                    
                    $main_fbc_query = "SELECT * FROM products ORDER BY id DESC";
                    $main_fbc_stmt = $conn->prepare($main_fbc_query);
                    $main_fbc_stmt->execute();
                    
                    $main_fbc_num = $main_fbc_stmt->rowCount();
                    
                    
                    if($main_fbc_num > 0){
                    
                        
                    while ($main_fbc_row = $main_fbc_stmt->fetch(PDO::FETCH_ASSOC)){
                            
                            extract($main_fbc_row);
                ?>
		
		    <div class="col col-md-3 card-deck">

					<!-- Card -->
                <div class="card">

                    <div class="view zoom overlay">
                        <a href="#!">
                            <div class="mask">
								<?php echo $image ? "<img class='img-fluid w-100' src='fbc-items-images/{$image}' style='width:300px; height: 350px;' />" : "No image found.";  ?>
                                <div class="mask rgba-black-slight"></div>
                            </div>
                        </a>
                    </div>

                    <div class="card-body text-center">
                        <h4 class="card-title"><?php echo $name?></h4>
                        <p class="small text-muted text-uppercase mb-2"><?php echo $type?></p>
                        
                        <hr>
                        <h6 class="mb-3">
                            <span class="text-danger mr-1">XAF <?php echo number_format($price)?></span>
                        </h6>
                        <h6 class="mb-3">
                            <span class="text-grey mr-1">Stock:</span>
							
							<?php 
								if($stock > 0){
									?>
									<span class="text-success">In-stock (<?php echo $stock?>)</span>									
									<?php
								}else{
									?>
									<span class="text-danger">Out of stock</span>									
									<?php
								}
							?>							
                        </h6>
                        <a href="product_sales.php" type="button" class="btn btn-primary btn-sm mr-1 mb-2">
                            <i class="fab fa-cc-amazon-pay"></i></i> Purchase
                        </a>
                        <a href="faithBuild.php?pid=<?php echo $id ?>">
						<!--<button type="button" class="btn btn-info btn-sm px-3 mb-2 material-tooltip-main" data-toggle="modal" data-target=".editNewProduct">-->
						<a href="edit_FBproduct.php" type="button" class="btn btn-info btn-sm px-3 mb-2 material-tooltip-main"">
                            <i class="fas fa-edit"></i>
                        </a>
						</a>
                        <button type="button" class="btn btn-danger btn-sm px-3 mb-2 material-tooltip-main" data-toggle="modal" data-target="">
                            <i class="far fa-trash-alt"></i>
                        </button>
                        <a href="add_FBstock.php" class="btn btn-warning btn-sm px-3 mb-2 material-tooltip-main">
                            <i class="fas fa-sync"></i>
                        </a>
                    </div>
				</div>

		
            </div>
	            	
					<?php 
				}
			 
			}
			 
			// if no records found
			else{
				echo "<div class='alert alert-danger'>No items found.</div>";
			}
		?>
	        </div>	
    </div>
</section>



<section class="faithBuilCard productcontent" id="pTable">
<?php

			 
			$fbc_items_query = "SELECT * FROM products ORDER BY id DESC";
			$fbc_items_stmt = $conn->prepare($fbc_items_query);
			$fbc_items_stmt->execute();
			 
			$fbc_items_num = $fbc_items_stmt->rowCount();
			 
			 
			$fbc_items_num = $fbc_items_stmt->rowCount();
 
 
if($fbc_items_num > 0){
 
    //start table
echo "<table class='table table-striped' id='table1'>"; ?>
    <thead> 
 
 <?php
    //creating our table heading
    echo "<tr>
            <th scope='col'  style='text-align: center;' style='text-align: center;'>SKU</th>
            <th scope='col' style='text-align: center;'>Image</th>
            <th scope='col' style='text-align: center;'>Product Name</th>
            <th scope='col' style='text-align: center;'>Quantity</th>
            <th scope='col' style='text-align: center;'>Status</th>
            <th scope='col' style='text-align: center;'>Type</th>
            <th scope='col' style='text-align: center;'>Price</th>
            <th scope='col' style='text-align: center;'>Action</th>
    </tr>
</thead>
<tbody>";

while ($fbc_items_row = $fbc_items_stmt->fetch(PDO::FETCH_ASSOC)){
    
    extract($fbc_items_row);
 
    // creating new table row per record
    echo "<tr>
			<th scope='row' style='text-align: center;'>{$id}</th>
						<th style='text-align: center;'>
							<div class='avatar'>
								<img src='fbc-items-images/{$image}' alt='User'>
							</div>
						</th>
						<td style='text-align: center;'>{$name}</td>
						<td style='text-align: center;'>{$stock}</td>
						<td style='text-align: center;'>"; 
						if($stock > 0){
							echo "<span class='badge bg-success'>In-stock</span>";	
						}else{
							echo "<span class='badge bg-danger'>Out of stock</span>";
						}
						 echo "</td>
						<td style='text-align: center;'>{$type}</td>
						<td style='text-align: center;'>"?>XAF <?php echo number_format($price);?> <?php echo "</td>
						<td style='text-align: center;'>
							<a href='product_report.php' class='btn btn-info'>
								<i class='fas fa-eye'></i>
							</a>
							<a href='#' class='btn btn-danger' data-toggle='' data-target=''>
								<i class='far fa-trash-alt'></i>
							</a> 
						</td>";
    echo "</tr>";
}
echo "</tbody>
</table>"; 
}
 
// if no records found
else{
    echo "<div class='alert alert-danger'>No records found.</div>";
}
?>
</section>


<!-- Add Product modal -->

<div class="modal addNewProduct" style="margin-left:33%">
    <div class="modal__container">
      <div class="modal__featured">
        <button type="button" class="button--transparent button--close"  data-dismiss="modal">
          <svg class="nc-icon glyph" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="32px" height="32px" viewBox="0 0 32 32">
            <g><path fill="#ffffff" d="M1.293,15.293L11,5.586L12.414,7l-8,8H31v2H4.414l8,8L11,26.414l-9.707-9.707 C0.902,16.316,0.902,15.684,1.293,15.293z"></path> </g></svg>
          <span class="visuallyhidden">Return to Product Page</span>
        </button>
        <div class="modal__circle"></div>
        <img src="#" class="modal__product" id="blah" title="Please Select an Image" style="max-width: 90%; margin-top:160px" />
      </div>
      <div class="modal__content">
        <h2>Add Product</h2> <br>
		
	<form action="includes/server.php" method="post" enctype="multipart/form-data">
          <ul class="form-list">
            <li class="form-list__row">
              <label>Item name</label>
              <input type="text" name="name" required="" />
            </li>
            <li class="form-list__row">
              <label>Description</label>
                <textarea name="description" id="" cols="45" rows="2" class=""></textarea>
            </li>
            <li class="form-list__row form-list__row--inline">
              <div>
                <label>Details</label>
                <div class="form-list__input-inline">
                  <!-- <input type="number" name="cc_month" placeholder="Stock"  maxlength="2" required="" />-->
                  <input type="number" name="stock" placeholder="Stock"  maxlength="2" required="" />
                  <!--<input type="number" name="cc_year" placeholder="Price"  pattern="\\d*" minlength="2" maxlength="2" required="" />-->
                  <input type="number" name="price" placeholder="Price"  pattern="\\d*" minlength="2" maxlength="2" required="" />
                </div>
              </div>
              <div>
                <label>
                  Type

                  <a href="#cvv-modal" class="button--transparent modal-open button--info">
                    <svg class="nc-icon glyph" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="16px" height="16px" viewBox="0 0 16 16"><g> <path fill="#35a4fb" d="M8,0C3.6,0,0,3.6,0,8s3.6,8,8,8s8-3.6,8-8S12.4,0,8,0z M8,13c-0.6,0-1-0.4-1-1c0-0.6,0.4-1,1-1s1,0.4,1,1 C9,12.6,8.6,13,8,13z M9.5,8.4C9,8.7,9,8.8,9,9v1H7V9c0-1.3,0.8-1.9,1.4-2.3C8.9,6.4,9,6.3,9,6c0-0.6-0.4-1-1-1 C7.6,5,7.3,5.2,7.1,5.5L6.6,6.4l-1.7-1l0.5-0.9C5.9,3.6,6.9,3,8,3c1.7,0,3,1.3,3,3C11,7.4,10.1,8,9.5,8.4z"></path> </g></svg>
                    <span class="visuallyhidden">What is CVV?</span>
                  </a>
                </label>
                <select name="type" id="prdType" class="groupItems" >
                    <option select disabled></option>
                    <option value="single">Single</option>
                    <option value="pack">Pack</option>
                </select>
               </div>
            </li>
            <div id="prdTypeDiv">
                <li class="form-list__row" id="otherItems">
                    <label>List Pack Items <span class="badge bg-warning">separate each items with a comma</span></label>
                    <input type="text" name="pack_items">
                </li>
            </div> <br>
            <li>
              <input type="file" onchange="readURL(this);" name="image" class="form-control" id="customFile" />
            </li>
            <br>
            <li>
              <button type="submit" name="create_fbc_product" class="button">Save</button>
            </li>
          </ul>
        </form>
      </div> <!-- END: .modal__content -->
    </div> <!-- END: .modal__container -->
  </div> <!-- END: .modal -->
<!-- Add product modal -->




<script>
jQuery(function(){
   jQuery('#openBydefault').click();
});
</script>




<!--////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////// Main Chard for Sales Report (Last 6 Sales) /////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////-->


<script>
    jQuery.expr[':'].contains = function(a, i, m) {
    return jQuery(a).text().toUpperCase()
        .indexOf(m[3].toUpperCase()) >= 0;
    };

    $('#search').keyup(function (){
        $('.card').removeClass('d-none');
        var filter = $(this).val(); // get the value of the input, which we filter on
        $('.card-deck').find('.card .card-body h4:not(:contains("'+filter+'"))').parent().parent().addClass('d-none');
    })

    $('#btnSort').click(function (){
        $('.card-deck .card').sort(function(a,b) {
            return $(a).find(".card-title").text() > $(b).find(".card-title").text() ? 1 : -1;
        }).appendTo(".card-deck");
    })
</script>

<?php
    include "includes/footer.php" ;
?>