<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Checkout Control
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="container-fluid homeCard">

		<div class="row">
        <div class="col col-md-12">
            <h1>Checkout</h1>
                <div id="attendance">
                    <div class="card" style="float: left">
                        <form>
                            <div class="form-group mb-0">
                                <div class="input-group mb-0">
                                    <input type="text" class="form-control" onkeyup="myFunction()" id="lookDpt" placeholder="Search date..." aria-describedby="project-search-addon"/>
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div id="toolbar" class="select" style="display: none">
                        <select class="form-control">
                            <option value="">Export Basic</option>
                            <option value="all">Export All</option>
                            <option value="selected">Export Selected</option>
                        </select>
                    </div>
                        <form action="gate_checkout_receipt.php" method="POST">
                            <table id="table" class="table table-striped">
                                <thead>
                                    <tr>
                                        <th scope="col">Date Checkin</th>
                                        <th scope="col">Time Checkin</th>
                                        <th scope="col">Visitor's Name</th>
                                        <th scope="col">Visitor's Details</th>
                                        <th scope="col">Motive</th>
                                        <th scope="col">Luggage Details</th>
                                        <th scope="col">Car/Bike Details</th>
                                        <th scope="col">Exit Date</th>
                                        <th scope="col">Exit Time</th>
                                        <th scope="col">Exit Comment</th>
                                        <th scope="col">Action</th>
                                    </tr>
                                </thead>    
                                <tbody id="myDepts">
                                    <tr>
                                        <td><input type="text" class="form-control" name="" value="<?php echo date("l d M Y");?>" style="width:100% !important; display:none" readonly><?php echo date("l d M Y");?></td>
                                        <td><input type="text" class="form-control" name="" value="<?php echo date("h:i:sa"); ?>" style="width:60% !important; display:none" readonly><?php echo date("h:i:sa"); ?></td>
                                        <td><input type="text" class="form-control" name="" value="Sama Yanick" style="display:none" readonly>Sama Yanick</td>
                                        <td>
                                            <input type="text" class="form-control" name="" value="Sama Yanick" style="display:none" readonly><span class="badge bg-primary">112219914</span>
                                            <input type="text" class="form-control" name="" value="Sama Yanick" style="display:none" readonly><span class="badge bg-primary">653 766 939</span>
                                            <input type="text" class="form-control" name="" value="Sama Yanick" style="display:none" readonly><span class="badge bg-primary">Male</span>
                                        </td>
                                        <td><input type="text" class="form-control" name="" value="Appointment" style="display:none" readonly><span class="badge bg-success">Appointment</span></td>
                                        <td>
                                            <input type="text" class="form-control" name="" value="#813942805" style="display:none" readonly><span class="badge bg-warning">#813942805</span>
                                            <input type="text" class="form-control" name="" value="Sacs and Motto" style="display:none" readonly><span class="badge bg-warning">Sacs and Motto</span>
                                            <input type="text" class="form-control" name="" value="Sacs and Motto" style="display:none" readonly><span class="badge bg-warning">Cocoyams, plantain, mango</span>
                                        </td>
                                        <td>
                                            <input type="text" class="form-control" name="" value="AY1547SW" style="display:none" readonly><span class="badge bg-info">AY1547SW</span>
                                            <input type="text" class="form-control" name="" value="Lot #1254" style="display:none" readonly><span class="badge bg-info">Lot #1254</span>
                                        </td>
                                        <td>
                                            <input type="text" class="form-control" name="" value="<?php echo date("l d M Y");?>" style="display:none" readonly><?php echo date("l d M Y");?>
                                        </td>
                                        <td>
                                            <input type="text" class="form-control" name="" value="<?php echo date("h:i:sa");?>" style="display:none" readonly><?php echo date("h:i:sa");?></td>
                                        <td><textarea name="" id="" cols="30" rows="3" class="form-control"></textarea></td>
                                        <td>
                                            <button type="submit" class="btn btn-primary"><i class="fas fa-arrow-right" style="font-size: 40px; color: white;"></i></button>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><input type="text" class="form-control" name="" value="<?php echo date("l d M Y");?>" style="width:100% !important; display:none" readonly><?php echo date("l d M Y");?></td>
                                        <td><input type="text" class="form-control" name="" value="<?php echo date("h:i:sa"); ?>" style="width:60% !important; display:none" readonly><?php echo date("h:i:sa"); ?></td>
                                        <td><input type="text" class="form-control" name="" value="Sama Yanick" style="display:none" readonly>Sama Yanick</td>
                                        <td>
                                            <input type="text" class="form-control" name="" value="Sama Yanick" style="display:none" readonly><span class="badge bg-primary">112219914</span>
                                            <input type="text" class="form-control" name="" value="Sama Yanick" style="display:none" readonly><span class="badge bg-primary">653 766 939</span>
                                            <input type="text" class="form-control" name="" value="Sama Yanick" style="display:none" readonly><span class="badge bg-primary">Male</span>
                                        </td>
                                        <td><input type="text" class="form-control" name="" value="Appointment" style="display:none" readonly><span class="badge bg-success">Appointment</span></td>
                                        <td>
                                            <input type="text" class="form-control" name="" value="#813942805" style="display:none" readonly><span class="badge bg-warning">#813942805</span>
                                            <input type="text" class="form-control" name="" value="Sacs and Motto" style="display:none" readonly><span class="badge bg-warning">Sacs and Motto</span>
                                            <input type="text" class="form-control" name="" value="Sacs and Motto" style="display:none" readonly><span class="badge bg-warning">Cocoyams, plantain, mango</span>
                                        </td>
                                        <td>
                                            <input type="text" class="form-control" name="" value="AY1547SW" style="display:none" readonly><span class="badge bg-info">AY1547SW</span>
                                            <input type="text" class="form-control" name="" value="Lot #1254" style="display:none" readonly><span class="badge bg-info">Lot #1254</span>
                                        </td>
                                        <td>
                                            <input type="text" class="form-control" name="" value="<?php echo date("l d M Y");?>" style="display:none" readonly><?php echo date("l d M Y");?>
                                        </td>
                                        <td>
                                            <input type="text" class="form-control" name="" value="<?php echo date("h:i:sa");?>" style="display:none" readonly><?php echo date("h:i:sa");?></td>
                                        <td><textarea name="" id="" cols="30" rows="3" class="form-control"></textarea></td>
                                        <td>
                                            <button type="submit" class="btn btn-primary"><i class="fas fa-arrow-right" style="font-size: 40px; color: white;"></i></button>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><input type="text" class="form-control" name="" value="<?php echo date("l d M Y");?>" style="width:100% !important; display:none" readonly><?php echo date("l d M Y");?></td>
                                        <td><input type="text" class="form-control" name="" value="<?php echo date("h:i:sa"); ?>" style="width:60% !important; display:none" readonly><?php echo date("h:i:sa"); ?></td>
                                        <td><input type="text" class="form-control" name="" value="Sama Yanick" style="display:none" readonly>Sama Yanick</td>
                                        <td>
                                            <input type="text" class="form-control" name="" value="Sama Yanick" style="display:none" readonly><span class="badge bg-primary">112219914</span>
                                            <input type="text" class="form-control" name="" value="Sama Yanick" style="display:none" readonly><span class="badge bg-primary">653 766 939</span>
                                            <input type="text" class="form-control" name="" value="Sama Yanick" style="display:none" readonly><span class="badge bg-primary">Male</span>
                                        </td>
                                        <td><input type="text" class="form-control" name="" value="Appointment" style="display:none" readonly><span class="badge bg-success">Appointment</span></td>
                                        <td>
                                            <input type="text" class="form-control" name="" value="#813942805" style="display:none" readonly><span class="badge bg-warning">#813942805</span>
                                            <input type="text" class="form-control" name="" value="Sacs and Motto" style="display:none" readonly><span class="badge bg-warning">Sacs and Motto</span>
                                            <input type="text" class="form-control" name="" value="Sacs and Motto" style="display:none" readonly><span class="badge bg-warning">Cocoyams, plantain, mango</span>
                                        </td>
                                        <td>
                                            <input type="text" class="form-control" name="" value="AY1547SW" style="display:none" readonly><span class="badge bg-info">AY1547SW</span>
                                            <input type="text" class="form-control" name="" value="Lot #1254" style="display:none" readonly><span class="badge bg-info">Lot #1254</span>
                                        </td>
                                        <td>
                                            <input type="text" class="form-control" name="" value="<?php echo date("l d M Y");?>" style="display:none" readonly><?php echo date("l d M Y");?>
                                        </td>
                                        <td>
                                            <input type="text" class="form-control" name="" value="<?php echo date("h:i:sa");?>" style="display:none" readonly><?php echo date("h:i:sa");?></td>
                                        <td><textarea name="" id="" cols="30" rows="3" class="form-control"></textarea></td>
                                        <td>
                                            <button type="submit" class="btn btn-primary"><i class="fas fa-arrow-right" style="font-size: 40px; color: white;"></i></button>
                                        </td>
                                    </tr>
                            </tbody>
                        </table>
                    </form>
                </div>
            </div>
		</div>
		<!-- end row -->
	</div>
</section>

<script>
$(document).ready(function(){
  $("#lookDpt").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myDepts tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script> 

<script>
  var $table = $('#table')

  $(function() {
    $('#toolbar').find('select').change(function () {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: $(this).val(),
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        
      })
    }).trigger('change')
  })
</script>


<?php
include "includes/footer.php" ;
?>