<?php 

	include '../database/config.php';

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: ../auth-login.php");
    }
	/*
	if ((!isset($_POST['validate'])) || (!isset($_POST['val_tithes'])))
	{
		header("Location:../");
	}
	*/
    include "../includes/header.php";
	
	$username = $_SESSION['username'];
	$query = "SELECT * from members WHERE username = '$username' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$full_name = $row['name'];
	 



	if (isset($_POST['validate'])) {
 
    // include database connection
	include '../database/config2.php';
 
    try{
 
        // insert query
        $query5 = "INSERT INTO record_offerings SET service_tag=:tag, date=:date, today_date=:tdate,
		author=:author, tenk=:tenk, fivek=:fivek, twok=:twok, onek=:onek, fivehundred=:fivehundred, 
		fivehundred2=:fivehundred2, onehundred=:onehundred, fifty=:fifty, twentyfive=:twentyfive, ten=:ten, five=:five, 
		cash=:total_cash, mtn_momo=:mtn_momo, orange_money=:orange_money, bank=:bank";
 
 
        // prepare query for execution
        $stmt = $conn->prepare($query5);
 
        // posted values
		$tag = htmlspecialchars(strip_tags($_POST['tag']));
		$date = htmlspecialchars(strip_tags($_POST['date']));
		$tdate = date("Y/m/d");
		$author = htmlspecialchars(strip_tags($_POST['author']));
		$tenk = htmlspecialchars(strip_tags($_POST['tenk']));
		$fivek = htmlspecialchars(strip_tags($_POST['fivek']));
		$twok = htmlspecialchars(strip_tags($_POST['twok']));
		$onek = htmlspecialchars(strip_tags($_POST['onek']));
		$fivehundred = htmlspecialchars(strip_tags($_POST['fivehundred']));
		$fivehundred2 = htmlspecialchars(strip_tags($_POST['fivehundred2']));
		$onehundred = htmlspecialchars(strip_tags($_POST['onehundred']));
		$fifty = htmlspecialchars(strip_tags($_POST['fifty']));
		$twentyfive = htmlspecialchars(strip_tags($_POST['twentyfive']));
		$ten = htmlspecialchars(strip_tags($_POST['ten']));
		$five = htmlspecialchars(strip_tags($_POST['five']));
		$cash = htmlspecialchars(strip_tags($_POST['cash']));
		$mtnmomo = htmlspecialchars(strip_tags($_POST['mtnmomo']));
		$orangemomo = htmlspecialchars(strip_tags($_POST['orangemomo']));
		$bank = htmlspecialchars(strip_tags($_POST['bank']));
		
		$total = $cash + $mtnmomo + $orangemomo+ $bank;
 
        // bind the parameters
        $stmt->bindParam(':tag', $tag);
        $stmt->bindParam(':date', $date);
        $stmt->bindParam(':tdate', $tdate);
        $stmt->bindParam(':author', $author);
        $stmt->bindParam(':tenk', $tenk);
        $stmt->bindParam(':fivek', $fivek);
        $stmt->bindParam(':twok', $twok);
        $stmt->bindParam(':onek', $onek);
        $stmt->bindParam(':fivehundred', $fivehundred);
        $stmt->bindParam(':fivehundred2', $fivehundred2);
        $stmt->bindParam(':onehundred', $onehundred);
        $stmt->bindParam(':fifty', $fifty);
        $stmt->bindParam(':twentyfive', $twentyfive);
        $stmt->bindParam(':ten', $ten);
        $stmt->bindParam(':five', $five);
        $stmt->bindParam(':total_cash', $cash);
        $stmt->bindParam(':mtn_momo', $mtnmomo);
		$stmt->bindParam(':orange_money', $orangemomo);
        $stmt->bindParam(':bank', $bank);
 
        // specify when this record was inserted to the database
 
        // Execute the query
        if($stmt->execute()){
				$query2 = "SELECT * from record_offerings WHERE service_tag = '$tag' AND date = '$date' AND fivehundred = '$fivehundred' AND cash = '$cash' AND onehundred = '$onehundred' LIMIT 1";
				$statement = $conn->prepare( $query2 );


 
    // execute our query
    $statement->execute();
 
    // store retrieved row to a variable
    $row2 = $statement->fetch(PDO::FETCH_ASSOC);
 
    // values to fill up our form
    $id = $row2['id'];


			?>
			<div id="loader"></div>
    		<div style="display:none;" id="myDivs" class="animate-bottom">
				<div id="page-wrap" class="invoiceBGwaterMark">
					<div class="container">
						<div>
							<a href="../"><input type="button" class="btn btn-primary" value="Back"></a>
							<button onclick="window.print()">Print Invoice</button>
					</div>
				</div>

		<p id="header">INVOICE</p>
		
		<div id="identity">
		
            <textarea id="address">
				Life Transformers Ministries,
				Ombe Mutengene,
				SW Region Cameroon;
				100m From Braseries

				Phone: (555) 555-5555
			</textarea>

            <div id="logo">
              <img id="image" src="images/logo.png" alt="logo" />
            </div>
		
		</div>
		
		<div style="clear:both"></div>
		
		<div id="customer">
			<div id="logo" style="float: left; border: 1px solid black; border-radius: 5px; width: 15%;">
<?php
	echo $row['image'] ? "<img id='image' src='../members-images/{$row['image']}' alt='profile'  width='100%' margin='auto'>" : "<img id='image' src='https://bootdey.com/img/Content/avatar/avatar1.png' alt='profile'  width='100%' margin='auto' />";
?>
              
            </div>
            <p id="customer-title">Offerings
				computed by <br><?php echo $full_name; ?>
			</p>


            <table id="meta">
                <tr>
                    <td class="meta-head">Invoice #</td>
                    <td><p><?php echo $id; ?></p></td>
                </tr>
                <tr>

                    <td class="meta-head">Service Date</td>
                    <td><p id="date"><?php echo date('l d M Y', strtotime($date)) ?></p></td>
                </tr>
                <tr>
                    <td class="meta-head">Service Tag</td>
                    <td><div class="due"><?php echo $tag; ?></div></td>
                </tr>

            </table>
		
		</div>
		
		<table id="items">
		
		  <tr>
		      <th>Method</th>
		      <th>Description</th>
		      <th>Verified?</th>
		      <th>Amount</th>
		      <th>Total (in CFA)</th>
		  </tr>
		  
		  <tr class="item-row">
		      <td class="item-name"><div class="delete-wpr"><img src="../assets/images/cash.png" alt="cash" width="60px"></div></td>
		      <td class="description"><p>This is the total amount of offerings that came in as Cash</p></td>
		      <td><p class="cost">YES</p></td>
		      <td><?php echo number_format($cash); ?></td>
		      <td><span class="price"><?php echo number_format($cash); ?></span></td>
		  </tr>

		  <tr class="item-row">
		      <td class="item-name"><div class="delete-wpr"><img src="../assets/images/momo.png" alt="momo" width="60px"></div></td>
		      <td class="description"><p>The total amount of money that came in through MTN Mobile money</p></td>
		      <td><p class="cost">YES</p></td>
		      <td><?php echo number_format($mtnmomo); ?></td>
		      <td><span class="price"><?php echo number_format($mtnmomo); ?></span></td>
		  </tr>

		  <tr class="item-row">
		      <td class="item-name"><div class="delete-wpr"><img src="../assets/images/orange_money.png" alt="orange money" width="60px"></div></td>
		      <td class="description"><p>Some people decided to send their offerings through Orange money</p></td>
		      <td><p class="cost">YES</p></td>
		      <td><?php echo number_format($orangemomo); ?></td>
		      <td><span class="price"><?php echo number_format($orangemomo); ?></span></td>
		  </tr>

		  <tr class="item-row">
		      <td class="item-name"><div class="delete-wpr"><img src="../assets/images/bank.png" alt="bank" width="60px"></div></td>
		      <td class="description"><p>This is the amount of money that came in thrugh bank deposites</p></td>
		      <td><p class="cost">YES</p></td>
		      <td><?php echo number_format($bank); ?></td>
		      <td><span class="price"><?php echo number_format($bank); ?></span></td>
		  </tr>
		  
		  <tr id="hiderow">
		    <!-- td colspan="5"><a id="addrow" href="javascript:;" title="Add a row">Add Special Note</a></td -->
		  </tr>
		  
		  <tr>
		      <td colspan="2" class="blank"></td>
		      <td colspan="2" class="total-line">Subtotal</td>
		      <td class="total-value"><div id="">XAF <?php echo number_format($total); ?></div></td>
		  </tr>
		  <tr>

		      <td colspan="2" class="blank"> <b>Signature:   </b><img src="images/signature.png" alt="signature" width="50%"> </td>
		      <td colspan="2" class="total-line">Errors</td>
		      <td class="total-value"><div id="">XAF 0.00</div></td>
		  </tr>
		  <tr>
		      <td colspan="2" class="blank"> </td>
		      <td colspan="2" class="total-line balance">Grand Total</td>
		      <td class="total-value balance"><div class="due">XAF <?php echo number_format($total); ?></div></td>
		  </tr>
		
		</table>
		
		<div id="terms">
		  <h5>Verification</h5>
		  <h2>Remain blessed sir, this invoice was carefully verified by <?php echo $full_name; ?> </h2>
		</div>
	
	</div>
</div>
			
			<?php
        }else{
						header("Location: ../regfail.php");
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}

if (isset($_POST['val_tithes'])) {
 
    // include database connection
	include '../database/config2.php';
 
    try{
 
        // insert query
        $query = "INSERT INTO record_tithes SET service_tag=:tag, date=:date, today_date=:tdate,
		author=:author, tenk=:tenk, fivek=:fivek, twok=:twok, onek=:onek, fivehundred=:fivehundred, 
		fivehundred2=:fivehundred2, onehundred=:onehundred, fifty=:fifty, twentyfive=:twentyfive, ten=:ten, five=:five, 
		cash=:total_cash, mtn_momo=:mtn_momo, orange_momo=:orange_money, bank=:bank";
 
 
 
 // TAKE NOTE TODAY DATE DOES NOT ENTER DATABASE
 
 
 
 
        // prepare query for execution
        $stmt = $conn->prepare($query);
 
        // posted values
		$tag = htmlspecialchars(strip_tags($_POST['tag']));
		$date = htmlspecialchars(strip_tags($_POST['date']));
		$tdate = date("Y/m/d");
		$author = htmlspecialchars(strip_tags($_POST['author']));
		$tenk = htmlspecialchars(strip_tags($_POST['tenk']));
		$fivek = htmlspecialchars(strip_tags($_POST['fivek']));
		$twok = htmlspecialchars(strip_tags($_POST['twok']));
		$onek = htmlspecialchars(strip_tags($_POST['onek']));
		$fivehundred = htmlspecialchars(strip_tags($_POST['fivehundred']));
		$fivehundred2 = htmlspecialchars(strip_tags($_POST['fivehundred2']));
		$onehundred = htmlspecialchars(strip_tags($_POST['onehundred']));
		$fifty = htmlspecialchars(strip_tags($_POST['fifty']));
		$twentyfive = htmlspecialchars(strip_tags($_POST['twentyfive']));
		$ten = htmlspecialchars(strip_tags($_POST['ten']));
		$five = htmlspecialchars(strip_tags($_POST['five']));
		$cash = htmlspecialchars(strip_tags($_POST['cash']));
		$mtnmomo = htmlspecialchars(strip_tags($_POST['mtnmomo']));
		$orangemomo = htmlspecialchars(strip_tags($_POST['orangemomo']));
		$bank = htmlspecialchars(strip_tags($_POST['bank']));
		
		$cash = ($tenk * 10000) + ($fivek * 5000) + ($twok * 2000) + ($onek * 1000) + ($fivehundred * 500) + ($fivehundred2 * 500) + ($onehundred * 100) + ($fifty * 50) + ($twentyfive * 25) + ($ten * 10) + ($five * 5);				

 		$total = $cash + $mtnmomo + $orangemomo+ $bank;

        // bind the parameters
        $stmt->bindParam(':tag', $tag);
        $stmt->bindParam(':date', $date);
        $stmt->bindParam(':tdate', $tdate);
        $stmt->bindParam(':author', $author);
        $stmt->bindParam(':tenk', $tenk);
        $stmt->bindParam(':fivek', $fivek);
        $stmt->bindParam(':twok', $twok);
        $stmt->bindParam(':onek', $onek);
        $stmt->bindParam(':fivehundred', $fivehundred);
        $stmt->bindParam(':fivehundred2', $fivehundred2);
        $stmt->bindParam(':onehundred', $onehundred);
        $stmt->bindParam(':fifty', $fifty);
        $stmt->bindParam(':twentyfive', $twentyfive);
        $stmt->bindParam(':ten', $ten);
        $stmt->bindParam(':five', $five);
        $stmt->bindParam(':total_cash', $cash);
        $stmt->bindParam(':mtn_momo', $mtnmomo);
		$stmt->bindParam(':orange_money', $orangemomo);
        $stmt->bindParam(':bank', $bank);
 
        // specify when this record was inserted to the database
 
        // Execute the query
        if($stmt->execute()){
				$query2 = "SELECT * from record_tithes WHERE service_tag = '$tag' AND date = '$date' AND fivehundred = '$fivehundred' AND cash = '$cash' AND onehundred = '$onehundred' LIMIT 1";
				$statement = $conn->prepare( $query2 );


 
    // execute our query
    $statement->execute();
 
    // store retrieved row to a variable
    $row2 = $statement->fetch(PDO::FETCH_ASSOC);
 
    // values to fill up our form
    $id = $row2['id'];


			?>
			<div id="loader"></div>
    		<div style="display:none;" id="myDivs" class="animate-bottom">
			<div id="page-wrap" class="invoiceBGwaterMark">
		<div class="container">
			<div>
				<a href="../"><input type="button" class="btn btn-primary" value="Back"></a>
				<button onclick="window.print()">Print Invoice</button>
			</div>
		</div>

		<p id="header">INVOICE</p>
		
		<div id="identity">
		
            <textarea id="address">
				Life Transformers Ministries,
				Ombe Mutengene,
				SW Region Cameroon;
				100m From Braseries

				Phone: (555) 555-5555
			</textarea>

            <div id="logo">
              <img id="image" src="images/logo.png" alt="logo" />
            </div>
		
		</div>
		
		<div style="clear:both"></div>
		
		<div id="customer">
			<div id="logo" style="float: left; border: 1px solid black; border-radius: 5px; width: 15%;">
<?php
	echo $row['image'] ? "<img id='image' src='../members-images/{$row['image']}' alt='profile'  width='100%' margin='auto'>" : "<img id='image' src='https://bootdey.com/img/Content/avatar/avatar1.png' alt='profile'  width='100%' margin='auto' />";
?>
            </div>
            <p id="customer-title">Tithes
				computed by <br><?php echo $full_name; ?>
			</p>


            <table id="meta">
                <tr>
                    <td class="meta-head">Invoice #</td>
                    <td><p><?php echo $id; ?></p></td>
                </tr>
                <tr>

                    <td class="meta-head">Service Date</td>
                    <td><p id="date"><?php echo date('l d M Y', strtotime($date)) ?></p></td>
                </tr>
                <tr>
                    <td class="meta-head">Service Tag</td>
                    <td><div class="due"><?php echo $tag; ?></div></td>
                </tr>

            </table>
		
		</div>
		
		<table id="items">
		
		  <tr>
		      <th>Method</th>
		      <th>Description</th>
		      <th>Verified?</th>
		      <th>Amount</th>
		      <th>Total (in CFA)</th>
		  </tr>
		  
		  <tr class="item-row">
		      <td class="item-name"><div class="delete-wpr"><img src="../assets/images/cash.png" alt="cash" width="60px"></div></td>
		      <td class="description"><p>This is the total amount of tithes that came in as Cash</p></td>
		      <td><p class="cost">YES</p></td>
		      <td><?php echo number_format($cash); ?></td>
		      <td><span class="price"><?php echo number_format($cash); ?></span></td>
		  </tr>

		  <tr class="item-row">
		      <td class="item-name"><div class="delete-wpr"><img src="../assets/images/momo.png" alt="momo" width="60px"></div></td>
		      <td class="description"><p>The total amount of money that came in through MTN Mobile money</p></td>
		      <td><p class="cost">YES</p></td>
		      <td><?php echo number_format($mtnmomo); ?></td>
		      <td><span class="price"><?php echo number_format($mtnmomo); ?></span></td>
		  </tr>

		  <tr class="item-row">
		      <td class="item-name"><div class="delete-wpr"><img src="../assets/images/orange_money.png" alt="orange money" width="60px"></div></td>
		      <td class="description"><p>Some people decided to send their tithes through Orange money</p></td>
		      <td><p class="cost">YES</p></td>
		      <td><?php echo number_format($orangemomo); ?></td>
		      <td><span class="price"><?php echo number_format($orangemomo); ?></span></td>
		  </tr>

		  <tr class="item-row">
		      <td class="item-name"><div class="delete-wpr"><img src="../assets/images/bank.png" alt="bank" width="60px"></div></td>
		      <td class="description"><p>This is the amount of money that came in thrugh bank deposites</p></td>
		      <td><p class="cost">YES</p></td>
		      <td><?php echo number_format($bank); ?></td>
		      <td><span class="price"><?php echo number_format($bank); ?></span></td>
		  </tr>
		  
		  <tr id="hiderow">
		    <!-- td colspan="5"><a id="addrow" href="javascript:;" title="Add a row">Add Special Note</a></td -->
		  </tr>
		  
		  <tr>
		      <td colspan="2" class="blank"></td>
		      <td colspan="2" class="total-line">Subtotal</td>
		      <td class="total-value"><div id="">XAF <?php echo number_format($total); ?></div></td>
		  </tr>
		  <tr>

		      <td colspan="2" class="blank"> <b>Signature:   </b><img src="images/signature.png" alt="signature" width="50%"> </td>
		      <td colspan="2" class="total-line">Errors</td>
		      <td class="total-value"><div id="">XAF 0.00</div></td>
		  </tr>
		  <tr>
		      <td colspan="2" class="blank"> </td>
		      <td colspan="2" class="total-line balance">Grand Total</td>
		      <td class="total-value balance"><div class="due">XAF <?php echo number_format($total); ?></div></td>
		  </tr>
		
		</table>
		
		<div id="terms">
		  <h5>Verification</h5>
		  <h2>Remain blessed sir, this invoice was carefully verified by <?php echo $full_name; ?> </h2>
		</div>
	
	</div>
</div>
			
			<?php
        }else{
						header("Location: ../regfail.php");
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}

/*else{
	header("Location:../");
}
*/
?>



<script>
    var myVars;

    function myFunctioning() {
    myVars = setTimeout(showPage, 3000);
    }

    function showPage() {
    document.getElementById("loader").style.display = "none";
    document.getElementById("myDivs").style.display = "block";
    }
</script>
	
	
</body>

</html>