<?php 
	include '../database/config.php';

    session_start();

    if (!isset($_SESSION['depId'])) {
        header("Location: login.php");
    }

	$departmentalId = $_SESSION['depId'];
	$query = "SELECT * from departments WHERE id='$departmentalId' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$name = $row['name'];
    include "includes/header.php";
    include "includes/sidebar.php";
	
// include database connection
include '../database/config2.php';
 
$attquery = "SELECT * FROM members WHERE depId = :departmentId AND action!='Suspended' ORDER BY id DESC";
$attstmt = $conn->prepare($attquery);
$attstmt->bindParam(':departmentId', $departmentalId);
$attstmt->execute();
 
// this is how to get number of rows returned
$attnum = $attstmt->rowCount();
 

?>

<section>
    <div class="container-fluid">
        <div class="homeCard">
            <div class="card-body">
                <div class="row">
                    <div class="col col-sm-6"></div>
                    <div class="col col-sm-6">
                        <form class="">
                            <div class="form-group mb-0">
                                <div class="input-group mb-0">
                                    <input type="text" class="form-control" onkeyup="myFunction()" id="myInput" placeholder="Search..." aria-describedby="project-search-addon" style="font-size: 35px" />
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12" style="font-size: 35px"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="newRow"></div>		
				
                    					
				<?php		 
							 $dangerQuery = "SELECT * FROM memberattendance WHERE departmentId=:departmentalId AND validate=:xdate";
							 $dangerstmt=$conn->prepare($dangerQuery);
							
							$xdate = strtotime(date('Y-m-d'));				

							
							 $dangerstmt->bindParam(':departmentalId', $departmentalId);
							 $dangerstmt->bindParam(':xdate', $xdate);
							 
							 $dangerstmt->execute();
							 $dangernum = $dangerstmt->rowCount();

						
						if($attnum>0){
 
							//start table
							echo "<table class='table' id='myTable' cellspacing='0' width='100%'>";
							 
							 
								//creating our table heading
						
								echo "<thead>
											<tr>
												<th scope='col' class='text-center'>Image</th>
												<th scope='col' class='text-center'>Name</th>
												<th scope='col' class='text-center'>Attendance</th>
											</tr>
										</thead>
										<tbody>";
															 
								while ($attrow = $attstmt->fetch(PDO::FETCH_ASSOC)){
									
									//extract($attrow);
									
									$attquery2 = "SELECT * FROM memberattendance WHERE memberId=:myId AND markedDate=:ddate ORDER BY id DESC";
									$attstmt2 = $conn->prepare($attquery2);
									
									$serdate = date('Y-m-d');
									
									$attstmt2->bindParam(':myId', $attrow['id']);
									$attstmt2->bindParam(':ddate', $serdate);
									$attstmt2->execute();
									 
									$attrow2 = $attstmt2->fetch(PDO::FETCH_ASSOC);
									 
									// this is how to get number of rows returned
									$attnum2 = $attstmt2->rowCount();
									 
									if($attnum2 == 0){
									
									echo "<tr>
											<th scope='row' class='text-center'><a href='#'>"; echo $attrow['image'] ? "<img src='../members-images/{$attrow['image']}' class='rounded-circle avatar-xl app-profil img-thumbnail' alt='profile-image' >" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' class='rounded-circle avatar-xl app-profil' alt='profile-image' >"; echo "</th>
											<td><a href='seeMember.php?id={$attrow['id']}' style='color:#0a58ca'>";

												$string = strip_tags($attrow['name']);
																		if (strlen($string) > 20) {

																			// truncate string
																			$stringCut = substr($string, 0, 20);
																			$endPoint = strrpos($stringCut, ' ');

																			//if the string doesn't contain any space then it will cut without word basis.
																			$string = $endPoint? substr($stringCut, 0, $endPoint) : substr($stringCut, 0);
																			$string .= '...';
																		}
																		echo $string;
													
											echo "</a></td>
											<td class='text-center'>
												<div class='form-check form-check-inline'>
													<a href='present.php?id={$attrow['id']}' class='btn btn-success m-r-1em' style='font-size: 35px'>Pre</a>

												</div>
											
												<div class='form-check form-check-inline'>
													<a href='permission.php?id={$attrow['id']}' class='btn btn-warning m-r-1em' style='font-size: 35px'>Per</a>
												</div>
											
												<div class='form-check form-check-inline'>
													<a href='absent.php?id={$attrow['id']}' class='btn btn-danger m-r-1em' style='font-size: 35px'>Abs</a>
												</div>
											</td>
										</tr>";
										}
									}							 
							
							
							
							
							echo "</tbody>";
								
							echo "</table>";						 
						}
						 
						// if no records found
						else{
							echo "<div class='alert alert-danger'>No members in this department.</div>";
						}
						
						?>
						<br>
						
						<?php
						
						
									$attquery3 = "SELECT * FROM memberattendance WHERE departmentId=:dId AND markedDate=:ddate AND service_tag='' ORDER BY id DESC";
									$attstmt3 = $conn->prepare($attquery3);
									
									$sserdate = date('Y-m-d');
									
									$attstmt3->bindParam(':dId', $departmentalId);
									$attstmt3->bindParam(':ddate', $sserdate);
									$attstmt3->execute();
									 
									$attrow3 = $attstmt3->fetch(PDO::FETCH_ASSOC);
									 
									// this is how to get number of rows returned
									$attnum3 = $attstmt3->rowCount();
									
									
									
						
						if($attnum3 == $attnum)
						{
						?>
						
                    <div class="container">
                        <div class="row">
							<div class="col col-sm-3">
								<a href="sundayattendance.php?departmentId=<?php echo $departmentalId; ?>&date=<?php echo date('Y-m-d')?>" name="mark" class="btn btn-success form-control" style="font-size: 37px;">Sunday</a>
							</div>
							<div class="col col-sm-3">
								<a href="branchattendance.php?departmentId=<?php echo $departmentalId; ?>&date=<?php echo date('Y-m-d')?>" name="mark" class="btn btn-success form-control" style="font-size: 37px;">Branch</a>
							</div>
							<div class="col col-sm-3">
								<a href="meetingattendance.php?departmentId=<?php echo $departmentalId; ?>&date=<?php echo date('Y-m-d')?>" name="mark" class="btn btn-success form-control" style="font-size: 37px;">Meetings</a>
							</div>
							<div class="col col-sm-3">
								<a href="otherattendance.php?departmentId=<?php echo $departmentalId; ?>&date=<?php echo date('Y-m-d')?>" name="mark" class="btn btn-success form-control" style="font-size: 37px;">Others</a>
							</div>
							
                        </div>
                    </div>
                <?php
						}
				?>
				</div>
        </div>
    </div>
</section>



<script>
    function myFunction() {
    var input, filter, table, tr, td, i, txtValue;
    input = document.getElementById("myInput");
    filter = input.value.toUpperCase();
    table = document.getElementById("myTable");
    tr = table.getElementsByTagName("tr");
    for (i = 0; i < tr.length; i++) {
        td = tr[i].getElementsByTagName("td")[0];
        if (td) {
        txtValue = td.textContent || td.innerText;
        if (txtValue.toUpperCase().indexOf(filter) > -1) {
            tr[i].style.display = "";
        } else {
            tr[i].style.display = "none";
        }
        }       
    }
    }
</script>


<?php 
    include "includes/footer.php";
?>