<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
		$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');

	include 'database/config2.php';
$anotherquery = "SELECT * FROM atbistudents WHERE id=$id";
$anotherstmt = $conn->prepare($anotherquery);
$anotherstmt->execute();
$anotherrow = $anotherstmt->fetch(PDO::FETCH_ASSOC);

	$badgeId = $anotherrow['badge'];
	$submit = $anotherrow['isSubmit'];
	
	if($submit == 1){
		$submission = "Yes will submit in LTM";
	} else {
		$submission = "No, I will not submit in LTM";
	}
	$sponsor = $anotherrow['sponsor_name'];
	$sponsorRelationship = $anotherrow['relationship_with_sponsor'];
	$sponsorOccupation = $anotherrow['sponsor_occupation'];
	$sponsorTelephone = $anotherrow['sponsor_telephone'];

$getBatch = "SELECT * FROM academic_badge WHERE id=$badgeId";
$getstmt = $conn->prepare($getBatch);
$getstmt->execute();
$getrow = $getstmt->fetch(PDO::FETCH_ASSOC);
$badge = $getrow['name'];

if($anotherrow['memberId'] == 0){
	$name = $anotherrow['studentName'];
	$dob = $anotherrow['dob'];
	$gender = $anotherrow['gender'];
	$telephone = $anotherrow['telephone'];
	$status = $anotherrow['maritalStatus'];
	$country = $anotherrow['country'];
	$dob = $anotherrow['dob'];
	$education = $anotherrow['education'];
	$address = $anotherrow['address'];
	$baptism = $anotherrow['baptism'];
	
	$bibleSchool = $anotherrow['attendedBibleSchool'];
	if($bibleSchool == 'Yes'){
		$bible = "Yes Attended A Bible School Before";
		$church = $anotherrow['church'];
	} else {
		$bible = "No, Never Attended A Bible School Before";
		$church = "";
	}
	
} else {
	$anotherquery2 = "SELECT * FROM members WHERE id=:id AND duplicated_id=0";
	$anotherstmt2 = $conn->prepare($anotherquery2);
	$anotherstmt2->bindParam(':id', $anotherrow['memberId']);
	$anotherstmt2->execute();
	$anotherrow2 = $anotherstmt2->fetch(PDO::FETCH_ASSOC);
	$name = $anotherrow2['name'];
	$dob = $anotherrow2['dob'];
	$gender = $anotherrow2['gender'];
	$telephone = $anotherrow2['telephone'];
	$status = $anotherrow2['status'];
	$country = $anotherrow2['country'];
	$dob = $anotherrow2['dob'];
	$education = $anotherrow2['hschool'];
	$address = $anotherrow2['address'];
	$baptism = $anotherrow2['baptism'];
	
	$queryschool = "SELECT * FROM members WHERE id=:id AND duplicated_id=0";
	$querystmt = $conn->prepare($queryschool);
	$querystmt->bindParam(':id', $anotherrow['memberId']);
	$querystmt->execute();
	$queryrow=$querystmt->fetch(PDO::FETCH_ASSOC);
	
	if(($queryrow['filts'] == '') && ($queryrow['atbifl'] == '') && ($queryrow['atbipc'] == '') && ($queryrow['atbimc'] == '')){
		$bible = "No, Never Attended A Bible School Before";
		$church = "";
	} else {
		$bible = "Yes Attended A Bible School Before";
		$church = "Life Transformers Ministries International";
	}

}
?>

<section>
    <iframe 
        src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2111.2409521891677!2d9.231682880897973!3d4.058381891091858!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x1061357da3383d23%3A0xa65dc6bf67c1f839!2s<?php echo $myrow['address'] ?>!5e1!3m2!1sen!2scm!4v1634977386759!5m2!1sen!2scm" 
        width="100%" 
        height="350" 
        class="map"
        style="border:0;" 
        allowfullscreen="" 
        loading="lazy">
    </iframe>
</section>

<section>
    <div class="container-fluid" style="marging-top: 20px">
        <div class="row">
            <div class="col col-md-3">
                <div class="d-flex homeCard">
                    <div class="image_outer_container" style="margin-top: -150px; z-index:100; margin-left: 25px;">
                        <div class="image_inner_container">
						<?php

							if($anotherrow['memberId'] == 0){
							echo $anotherrow['passportPhoto'] ? "<img src='members-images/{$anotherrow['passportPhoto']}' width='300' height='300' />" : "<img src='https://i.pinimg.com/originals/43/96/61/439661dcc0d410d476d6d421b1812540.jpg'>";																

							} else {
							echo $anotherrow2['image'] ? "<img src='members-images/{$anotherrow2['image']}' width='300' height='300' />" : "<img src='https://i.pinimg.com/originals/43/96/61/439661dcc0d410d476d6d421b1812540.jpg'>";  															
								
							}
							
						?>
                            
                        </div>
                        <div class="cantainer" style="text-align: center; margin-top: 15px; margin-bottom: 15px">
                            <h2><?php echo htmlspecialchars($name, ENT_QUOTES)?></h2>
                            <h5 style="color: #898989">Matricule: <?php echo $anotherrow['matricule'] ?></h5>
							<span class='text-success'>Fee Status</span>
                            <div class='progress mt-1 ' data-height='28' style='height: 20px;'>
                                <div class='progress-bar l-bg-green' role='progressbar' data-width='25%' aria-valuenow='25' aria-valuemin='0' aria-valuemax='100' style='width: 78%;'>78%</div>
                            </div>
                                <br>
                            <span class='badge bg-info'><?php echo htmlspecialchars($gender, ENT_QUOTES)?></span>
                        </div>
                        <h6>Quick Actions</h6>
                        <div class="row text-center">
                            <div class="col col-sm-4"></div>
                            <div class="col col-sm-4"><a href="#" class="btn btn-warning"><i class="far fa-edit"></i></a></div>
                            <div class="col col-sm-4"></div>
                        </div>
                        <br>
                    </div>
                </div>
            </div>
            <div class="col col-md-9">
                <div class="homeCard">
                    <div class="image_outer_container" style="">
                        <div class="card-content">
                            <div class="card-header">
                                <h2>Student's Information</h2>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col col-md-6">
                                        <div class="col">
                                            <div class="homeCard l-bg-blue-dark">
                                                <div class="card-statistic-3 p-4">
                                                <h3 style="color: white">Personal Details</h3>
                                                    <div class="card-icon card-icon-large"><i class="fas fa-male"></i></div>
                                                    <div class="row align-items-center mb-2 d-flex">
                                                        <div class="col-8">
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><span  style="font-weight:700; margin-left:5px;"><?php echo htmlspecialchars($telephone, ENT_QUOTES)?></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><span  style="font-weight:700; margin-left:5px;"><?php echo htmlspecialchars($status, ENT_QUOTES)?></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><span  style="font-weight:700; margin-left:5px;"><?php echo htmlspecialchars($country, ENT_QUOTES)?></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><span  style="font-weight:700; margin-left:5px;"><?php echo date('d M Y', strtotime($dob)); ?></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><span  style="font-weight:700; margin-left:5px;"><?php echo htmlspecialchars($education, ENT_QUOTES)?></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><span  style="font-weight:700; margin-left:5px;"><?php echo htmlspecialchars($address, ENT_QUOTES)?></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><span  style="font-weight:700; margin-left:5px;">ID: <?php echo htmlspecialchars($anotherrow['idnum'], ENT_QUOTES)?></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><span  style="font-weight:700; margin-left:5px;"><?php echo htmlspecialchars($baptism, ENT_QUOTES)?></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><span  style="font-weight:700; margin-left:5px;"><?php echo htmlspecialchars($bible, ENT_QUOTES)?></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:0px !important;"><span  style="font-weight:700; margin-left:5px;"><?php echo htmlspecialchars($church, ENT_QUOTES)?></p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col col-md-6">
                                        <div class="col ">
                                            <div class="homeCard l-bg-orange-dark">
                                                <div class="card-statistic-3 p-4">
                                                    <h3 style="color: white">General Information</h3>
                                                    <div class="card-icon card-icon-large"><i class="fas fa-globe"></i></div>
                                                    <div class="row align-items-center mb-2 d-flex">
                                                        <div class="col-8">
														<?php
															$applicationL = "atbiapplicationLetters";
															$motivationL = "atbimotivationLetters";

															$apprealfile = $applicationL . "/" . $anotherrow['application_letter'];
															$motrealfile = $motivationL . "/" . $anotherrow['motivation_letter'];
														?>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:15px !important;"><?php echo htmlspecialchars($badge, ENT_QUOTES)?></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:15px !important;"><?php echo htmlspecialchars($submission, ENT_QUOTES)?></p>
                                                            <p class="d-flex "><a href="<?php echo $motrealfile ?>" download style="color: #080602 !important; margin-bottom:0px !important;"><i class="fas fa-download"></i> Motivation Letter</a></p>
                                                            <p class="d-flex "><a href="<?php echo $apprealfile ?>" download style="color: #080602 !important; margin-bottom:0px !important;"><i class="fas fa-download"></i> Application Letter</a></p>
                                                            <hr>
                                                            <h3 style="color: white">Sponsor's Infomation</h3>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:15px !important;"><?php echo htmlspecialchars($sponsor, ENT_QUOTES)?></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:15px !important;"><?php echo htmlspecialchars($sponsorRelationship, ENT_QUOTES)?></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:15px !important;"><?php echo htmlspecialchars($sponsorOccupation, ENT_QUOTES)?></p>
                                                            <p class="d-flex align-items-center" style="color: white !important; margin-bottom:15px !important;"><?php echo htmlspecialchars($sponsorTelephone, ENT_QUOTES)?></p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>



<script>
    // script for tab steps
    $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {

    var href = $(e.target).attr('href');
    var $curr = $(".process-model  a[href='" + href + "']").parent();

    $('.process-model li').removeClass();

    $curr.addClass("active");
    $curr.prevAll().addClass("visited");
    });
    // end  script for tab steps
</script>

<script>
$(document).ready(function(){
  $("#lookDpt").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myDepts tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script> 

<script>
  var $table = $('#table')

  $(function() {
    $('#toolbar').find('select').change(function () {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: $(this).val(),
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        columns: [
          {
            field: 'state',
            checkbox: true,
            visible: $(this).val() === 'selected'
          },
          {
            field: 'id',
            title: 'Date'
          }, {
            field: 'name',
            title: 'Purpose'
          }, {
            field: 'price',
            title: 'Activities'
          }
        ]
      })
    }).trigger('change')
  })
</script>

<?php
include "includes/footer.php" ;
?>  