	<?php
					if (isset($_POST['create'])) {
							// include database connection
							include '../database/config2.php';
						 
							try{
						 
								// insert query
								$query2 = "INSERT INTO new_user SET email=:email, fname=:fname, telephone=:telephone, address=:address, nationality=:nationality, gender=:gender, username=:username, user_role=:user_role, password=:password, cpassword=:cpassword, date_joined=:date_joined";
								
								// prepare query for execution
									$stmt = $conn->prepare($query2);
								
								// posted values
								$email=htmlspecialchars(strip_tags($_POST['email']));
								$fname=htmlspecialchars(strip_tags($_POST['fname']));
								$telephone=htmlspecialchars(strip_tags($_POST['telephone']));
								$address=htmlspecialchars(strip_tags($_POST['address']));
								$nationality=htmlspecialchars(strip_tags($_POST['nationality']));
								$gender=htmlspecialchars(strip_tags($_POST['gender']));
								$username=htmlspecialchars(strip_tags($_POST['username']));
								$user_role=htmlspecialchars(strip_tags($_POST['user_role']));
								$password=md5(htmlspecialchars(strip_tags($_POST['password'])));
								$cpassword=md5(htmlspecialchars(strip_tags($_POST['cpassword'])));
								$date_joined = date("Y-m-d");
						 
								// bind the parameters
								$stmt->bindParam(':email', $email);
								$stmt->bindParam(':fname', $fname);
								$stmt->bindParam(':telephone', $telephone);
								$stmt->bindParam(':address', $address);
								$stmt->bindParam(':nationality', $nationality);
								$stmt->bindParam(':gender', $gender);
								$stmt->bindParam(':username', $username);
								$stmt->bindParam(':user_role', $user_role);
								$stmt->bindParam(':password', $password);
								$stmt->bindParam(':cpassword', $cpassword);
								$stmt->bindParam(':date_joined', $date_joined);
								
								
								
  
    $folderPath = "../signatures/";
    $image_parts = explode(";base64,", $_POST['signed']); 
    $image_type_aux = explode("image/", $image_parts[0]);
    $image_type = $image_type_aux[1];
    $image_base64 = base64_decode($image_parts[1]);
    $file = $folderPath . uniqid() . '.'.$image_type;
    file_put_contents($file, $image_base64);
   // echo "Signature Uploaded Successfully.";
						 
								// specify when this record was inserted to the database
								$verifyquery = "SELECT * from new_user WHERE username = '$username' LIMIT 1";
								$verifyquery2 = "SELECT * from new_user WHERE telephone = '$telephone' LIMIT 1";
								$stmt2 = $conn->prepare($verifyquery);
								$stmt3 = $conn->prepare($verifyquery2);
								$stmt2->execute();
								$stmt3->execute();
								 
								// this is how to get number of rows returned
								$num = $stmt2->rowCount();
								$num2 = $stmt3->rowCount();
								
								
						if($password == $cpassword) //this block is to check if the password and confirm password matches
						{
							
							if ( preg_match('/\s/',$username) ) // this is to ensure that the username does not concern space
							{
								//echo '<p class="alert alert-light-danger color-danger">Username must not contain space</p>';
											header("Location: ../username_space.php");
											
							} else {
									
								if($num > 0) // this block is to see if the username already exists
								{
									//echo '<p class="alert alert-light-danger color-danger">Username Already Existing</p>';
											header("Location: ../username_exists.php");
									
								}else{
									
									if($num2 > 0) // this block is to see if the telephone number already exists
									{
										//echo '<p class="alert alert-light-danger color-danger">Phone Number already exist</p>';
										header("Location: ../number_exists.php");
									}else{
										// Execute the query
										if($stmt->execute()){
											
											header("Location: ../ofSuccess.php");
											
										}else{
											header("Location: ../regfail.php");
										}
									}
									
								}    
							}
						   
						}else{
							header("Location: ../password_mismatch.php");
						}
					 
						}
					 
						// show error
						catch(PDOException $exception){
							die('ERROR: ' . $exception->getMessage());
						}
					}
					
			if (isset($_POST['val_seed'])) {
				
							// include database connection
				include '../database/config2.php';
			 
				try{
			 
					// insert query
					$query5 = "INSERT INTO record_seed SET service_tag=:tag, date=:date, today_date=:tdate,
					author=:author, seed_type=:sType, sowers=:sowers, motive=:motive, reason=:reason, tenk=:tenk, fivek=:fivek, twok=:twok, onek=:onek, fivehundred=:fivehundred, 
					fivehundred2=:fivehundred2, onehundred=:onehundred, fifty=:fifty, twentyfive=:twentyfive, ten=:ten, five=:five, 
					mtn_momo=:mtn_momo, orange_money=:orange_money, bank=:bank";
			 
			 
					// prepare query for execution
					$stmt = $conn->prepare($query5);
			 
					// posted values
					$tag = htmlspecialchars(strip_tags($_POST['tag']));
					$date = htmlspecialchars(strip_tags($_POST['date']));
					$tdate = date("Y/m/d");
					$author = htmlspecialchars(strip_tags($_POST['author']));
					$sType = htmlspecialchars(strip_tags($_POST['sType']));
					$sowers = htmlspecialchars(strip_tags($_POST['sowers']));
					$motive = htmlspecialchars(strip_tags($_POST['mType']));
					$reason = htmlspecialchars(strip_tags($_POST['reason']));
					$tenk = htmlspecialchars(strip_tags($_POST['tenk']));
					$fivek = htmlspecialchars(strip_tags($_POST['fivek']));
					$twok = htmlspecialchars(strip_tags($_POST['twok']));
					$onek = htmlspecialchars(strip_tags($_POST['onek']));
					$fivehundred = htmlspecialchars(strip_tags($_POST['fivehundred']));
					$fivehundred2 = htmlspecialchars(strip_tags($_POST['fivehundred2']));
					$onehundred = htmlspecialchars(strip_tags($_POST['onehundred']));
					$fifty = htmlspecialchars(strip_tags($_POST['fifty']));
					$twentyfive = htmlspecialchars(strip_tags($_POST['twentyfive']));
					$ten = htmlspecialchars(strip_tags($_POST['ten']));
					$five = htmlspecialchars(strip_tags($_POST['five']));
					$mtnmomo = htmlspecialchars(strip_tags($_POST['mtnmomo']));
					$orangemomo = htmlspecialchars(strip_tags($_POST['orangemomo']));
					$bank = htmlspecialchars(strip_tags($_POST['bank']));
					
					//$total = $cash + $mtnmomo + $orangemomo+ $bank;
			 
					// bind the parameters
					$stmt->bindParam(':tag', $tag);
					$stmt->bindParam(':date', $date);
					$stmt->bindParam(':tdate', $tdate);
					$stmt->bindParam(':author', $author);
					$stmt->bindParam(':sType', $sType);
					$stmt->bindParam(':sowers', $sowers);
					$stmt->bindParam(':motive', $motive);
					$stmt->bindParam(':reason', $reason);
					$stmt->bindParam(':tenk', $tenk);
					$stmt->bindParam(':fivek', $fivek);
					$stmt->bindParam(':twok', $twok);
					$stmt->bindParam(':onek', $onek);
					$stmt->bindParam(':fivehundred', $fivehundred);
					$stmt->bindParam(':fivehundred2', $fivehundred2);
					$stmt->bindParam(':onehundred', $onehundred);
					$stmt->bindParam(':fifty', $fifty);
					$stmt->bindParam(':twentyfive', $twentyfive);
					$stmt->bindParam(':ten', $ten);
					$stmt->bindParam(':five', $five);
					$stmt->bindParam(':mtn_momo', $mtnmomo);
					$stmt->bindParam(':orange_money', $orangemomo);
					$stmt->bindParam(':bank', $bank);
			 
					// specify when this record was inserted to the database
			 
					// Execute the query
					if($stmt->execute()){
						header("Location: ../ofSuccess.php");
					}else{
						header("Location: ../regfail.php");
					}
			 
				}
			 
				// show error
				catch(PDOException $exception){
					die('ERROR: ' . $exception->getMessage());
				}
							
			}
			
			if (isset($_POST['new_campaign'])) {
				
							// include database connection
				include '../database/config2.php';
			 
				try{
					
					$check_query = "SELECT * FROM fund_campaigns WHERE name=:name AND status='active'";
					$check_stmt = $conn->prepare($check_query);
					
					// insert query
					$query = "INSERT INTO fund_campaigns SET name=:name, start=:start, has_end=:has_end, end=:end, goal=:goal";
			 
					// prepare query for execution
					$stmt = $conn->prepare($query);
			 
					// posted values
					$name=htmlspecialchars(strip_tags($_POST['name']));
					$start=htmlspecialchars(strip_tags($_POST['start']));
					$has_end=htmlspecialchars(strip_tags($_POST['campaign']));
					$end=htmlspecialchars(strip_tags($_POST['end']));
					$goal=htmlspecialchars(strip_tags($_POST['reason']));
					
					// bind the parameters
					$stmt->bindParam(':name', $name);
					$check_stmt->bindParam(':name', $name);
					$stmt->bindParam(':start', $start);
					$stmt->bindParam(':has_end', $has_end);
					$stmt->bindParam(':end', $end);
					$stmt->bindParam(':goal', $goal);
					
					$check_stmt->execute();
					$check_num = $check_stmt->rowCount();
					
					if($check_num > 0){
						header("Location: ../duplicate-entry-error.php");						
					}else{
						
						if (!empty($_POST['end'])){
							if($end >= $start)
							{
								if($stmt->execute()){
									header("Location: ../fundRaising.php");
								}else{
									header("Location: ../regfail.php");
								}							
							}else{
									header("Location: ../date-error.php");
							}
						}else{
								if($stmt->execute()){
									header("Location: ../fundRaising.php");
								}else{
									header("Location: ../regfail.php");
								}						
						}

					}
					
					// Execute the query
					
			 
				}
			 
				// show error
				catch(PDOException $exception){
					die('ERROR: ' . $exception->getMessage());
				}
				
			}

		if (isset($_POST['create_pledger'])) {
		
			// include database connection
				include '../database/config2.php';
			 
				try{
			 
					// insert query
					$query = "INSERT INTO pledgers SET fname=:name, phone=:phone, email=:email, occupation=:occupation, country=:country, level=:level, address=:address, department=:department";
			 
					// prepare query for execution
					$stmt = $conn->prepare($query);
			 
					// posted values
					$name=htmlspecialchars(strip_tags($_POST['sowers']));
					$phone=htmlspecialchars(strip_tags($_POST['phone']));
					$occupation=htmlspecialchars(strip_tags($_POST['occupation']));
					$country=htmlspecialchars(strip_tags($_POST['country']));
					$level=htmlspecialchars(strip_tags($_POST['level']));
					$address=htmlspecialchars(strip_tags($_POST['address']));
					if (empty($_POST['email'])){
							$email = "";
						}
					else if (!empty($_POST['email'])){
						$email=htmlspecialchars(strip_tags($_POST['email']));
					}
					if (empty($_POST['department'])){
							$department = "";
						}
					else if (!empty($_POST['department'])){
						$department=htmlspecialchars(strip_tags($_POST['department']));
					}
					
					$query2 = "SELECT * FROM pledgers WHERE fname=:pname AND phone=:pphone";
					$stmt2 = $conn->prepare($query2);
					$stmt2->bindParam(':pname', $name);
					$stmt2->bindParam(':pphone', $phone);
					$stmt2->execute();
					$num2=$stmt2->rowCount();
					
					
						
					// bind the parameters
					$stmt->bindParam(':name', $name);
					$stmt->bindParam(':phone', $phone);
					$stmt->bindParam(':email', $email);
					$stmt->bindParam(':occupation', $occupation);
					$stmt->bindParam(':country', $country);
					$stmt->bindParam(':level', $level);
					$stmt->bindParam(':address', $address);
					$stmt->bindParam(':department', $department);
										
					
					if($num2 > 0){
						header("Location: ../pledger_exists.php");			
					}
					else{
						
						if($stmt->execute()){						
							header("Location: ../fundRaising.php");
						}
						else{
							header("Location: ../regfail.php");
						}
					
					}
				}
			 
				// show error
				catch(PDOException $exception){
					die('ERROR: ' . $exception->getMessage());
				}
				
		
		}
                  
		if (isset($_POST['create_fbc_product'])) {
		
			// include database connection
				include '../database/config2.php';
			 
				try{
			 
					// insert query
					$query = "INSERT INTO products SET name=:name, description=:description, stock=:stock, price=:price, type=:type, pack_items=:pack_items, image=:image";
			 
					// prepare query for execution
					$stmt = $conn->prepare($query);
			 
					// posted values
					$name=htmlspecialchars(strip_tags($_POST['name']));
					$description=htmlspecialchars(strip_tags($_POST['description']));
					$stock=htmlspecialchars(strip_tags($_POST['stock']));
					$price=htmlspecialchars(strip_tags($_POST['price']));
					$type=htmlspecialchars(strip_tags($_POST['type']));
					if (empty($_POST['pack_items'])){
							$pack_items = "";
						}
					else if (!empty($_POST['pack_items'])){
						$pack_items=htmlspecialchars(strip_tags($_POST['pack_items']));
					}
											
											// new 'image' field
					$image=!empty($_FILES["image"]["name"])
							? sha1_file($_FILES['image']['tmp_name']) . "-" . basename($_FILES["image"]["name"])
							: "";
					$image=htmlspecialchars(strip_tags($image));
											
						
					// bind the parameters
					$stmt->bindParam(':name', $name);
					$stmt->bindParam(':description', $description);
					$stmt->bindParam(':stock', $stock);
					$stmt->bindParam(':price', $price);
					$stmt->bindParam(':type', $type);
					$stmt->bindParam(':pack_items', $pack_items);
					$stmt->bindParam(':image', $image);										
						
					if($stmt->execute()){						
						header("Location: ../faithBuild.php");
						// now, if image is not empty, try to upload the image
						if($image){
						 
							// sha1_file() function is used to make a unique file name
							$target_directory = "../fbc-items-images/";
							$target_file = $target_directory . $image;
							$file_type = pathinfo($target_file, PATHINFO_EXTENSION);
						 
							// error message is empty
							$file_upload_error_messages="";
						 // make sure that file is a real image
							$check = getimagesize($_FILES["image"]["tmp_name"]);
							if($check!==false){
								// submitted file is an image
							}else{
								$file_upload_error_messages.="<div>Submitted file is not an image.</div>";
							}
							// make sure certain file types are allowed
							$allowed_file_types=array("jpg", "jpeg", "png", "gif");
							if(!in_array($file_type, $allowed_file_types)){
								$file_upload_error_messages.="<div>Only JPG, JPEG, PNG, GIF files are allowed.</div>";
							}
							// make sure file does not exist
							if(file_exists($target_file)){
								$file_upload_error_messages.="<div>Image already exists. Try to change file name.</div>";
							}
							// make sure submitted file is not too large, can't be larger than 5 MB
							if($_FILES['image']['size'] > (5120000)){
								$file_upload_error_messages.="<div>Image must be less than 1 MB in size.</div>";
							}
							// make sure the image folder exists
							// if not, create it
							if(!is_dir($target_directory)){
								mkdir($target_directory, 0777, true);
							}
							// if $file_upload_error_messages is still empty
							if(empty($file_upload_error_messages)){
								// it means there are no errors, so try to upload the file
								if(move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)){
									// it means photo was uploaded
								}else{
									echo "<div class='alert alert-danger'>
										<div>Unable to upload photo.</div>
										<div>Update the record to upload photo.</div>
									</div>";
								}
							}
							 
							// if $file_upload_error_messages is NOT empty
							else{
								// it means there are some errors, so show them to user
								echo "<div class='alert alert-danger'>
									<div>{$file_upload_error_messages}</div>
									<div>Update the record to upload photo.</div>
								</div>";
							}
						}
					}
					else{
						header("Location: ../regfail.php");						
					}
									
				}
			 
				// show error
				catch(PDOException $exception){
					die('ERROR: ' . $exception->getMessage());
				}
				
		
		}

					if (isset($_POST['thanksgiving_submit_button'])) {
						
							// include database connection
				include '../database/config2.php';
			 
				try{
			 
					// insert query
					$query = "INSERT INTO record_thanksgiving SET service_tag=:tag, date=:date, today_date=:tdate,
					author=:author, type=:type, details=:details, product_name=:product_name, product_quantity=:product_quantity, description=:description, tenk=:tenk, fivek=:fivek, twok=:twok, onek=:onek, fivehundred=:fivehundred, 
					fivehundred2=:fivehundred2, onehundred=:onehundred, fifty=:fifty, twentyfive=:twentyfive, ten=:ten, five=:five, 
					mtn_momo=:mtn_momo, orange_money=:orange_money, bank=:bank";
			 
			 
					// prepare query for execution
					$stmt = $conn->prepare($query);
			 
					// posted values
					$tag = htmlspecialchars(strip_tags($_POST['tag']));
					$date = htmlspecialchars(strip_tags($_POST['date']));
					$tdate = date("Y-m-d");
					$author = htmlspecialchars(strip_tags($_POST['author']));
					$type = htmlspecialchars(strip_tags($_POST['type']));
					$details = htmlspecialchars(strip_tags($_POST['details']));
					
					if (empty($_POST['product_name'])){
							$product_name = "";
						}
					else if (!empty($_POST['product_name'])){
						$product_name = htmlspecialchars(strip_tags($_POST['product_name']));
					}
					if (empty($_POST['product_quantity'])){
							$product_quantity = "";
						}
					else if (!empty($_POST['product_quantity'])){
						$product_quantity = htmlspecialchars(strip_tags($_POST['product_quantity']));
					}
					if (empty($_POST['description'])){
							$description = "";
						}
					else if (!empty($_POST['description'])){
						$description = htmlspecialchars(strip_tags($_POST['description']));
					}
					if (empty($_POST['tenk'])){
							$tenk = 0;
						}
					else if (!empty($_POST['tenk'])){
						$tenk = htmlspecialchars(strip_tags($_POST['tenk']));
					}
					if (empty($_POST['fivek'])){
							$fivek = 0;
						}
					else if (!empty($_POST['fivek'])){
						$fivek = htmlspecialchars(strip_tags($_POST['fivek']));
					}
					if (empty($_POST['twok'])){
							$twok = 0;
						}
					else if (!empty($_POST['twok'])){
						$twok = htmlspecialchars(strip_tags($_POST['twok']));
					}
					if (empty($_POST['onek'])){
							$onek = 0;
						}
					else if (!empty($_POST['onek'])){
						$onek = htmlspecialchars(strip_tags($_POST['onek']));
					}
					if (empty($_POST['fivehundred'])){
							$fivehundred = 0;
						}
					else if (!empty($_POST['fivehundred'])){
						$fivehundred = htmlspecialchars(strip_tags($_POST['fivehundred']));
					}
					if (empty($_POST['fivehundred2'])){
							$fivehundred2 = 0;
						}
					else if (!empty($_POST['fivehundred2'])){
						$fivehundred2 = htmlspecialchars(strip_tags($_POST['fivehundred2']));
					}
					if (empty($_POST['onehundred'])){
							$onehundred = 0;
						}
					else if (!empty($_POST['onehundred'])){
						$onehundred = htmlspecialchars(strip_tags($_POST['onehundred']));
					}
					if (empty($_POST['fifty'])){
							$fifty = 0;
						}
					else if (!empty($_POST['fifty'])){
						$fifty = htmlspecialchars(strip_tags($_POST['fifty']));
					}
					if (empty($_POST['twentyfive'])){
							$twentyfive = 0;
						}
					else if (!empty($_POST['twentyfive'])){
						$twentyfive = htmlspecialchars(strip_tags($_POST['twentyfive']));
					}
					if (empty($_POST['ten'])){
							$ten = 0;
						}
					else if (!empty($_POST['ten'])){
						$ten = htmlspecialchars(strip_tags($_POST['ten']));
					}
					if (empty($_POST['five'])){
							$five = 0;
						}
					else if (!empty($_POST['five'])){
						$five = htmlspecialchars(strip_tags($_POST['five']));
					}
					if (empty($_POST['mtnmomo'])){
							$mtnmomo = 0;
						}
					else if (!empty($_POST['mtnmomo'])){
						$mtnmomo = htmlspecialchars(strip_tags($_POST['mtnmomo']));
					}
					if (empty($_POST['orangemomo'])){
							$orangemomo = 0;
						}
					else if (!empty($_POST['orangemomo'])){
						$orangemomo = htmlspecialchars(strip_tags($_POST['orangemomo']));
					}
					if (empty($_POST['bank'])){
							$bank = 0;
						}
					else if (!empty($_POST['bank'])){
						$bank = htmlspecialchars(strip_tags($_POST['bank']));
					}
					//$total = $cash + $mtnmomo + $orangemomo+ $bank;
			 
					// bind the parameters
					$stmt->bindParam(':tag', $tag);
					$stmt->bindParam(':date', $date);
					$stmt->bindParam(':tdate', $tdate);
					$stmt->bindParam(':author', $author);
					$stmt->bindParam(':type', $type);
					$stmt->bindParam(':details', $details);
					$stmt->bindParam(':product_name', $product_name);
					$stmt->bindParam(':product_quantity', $product_quantity);
					$stmt->bindParam(':description', $description);
					$stmt->bindParam(':tenk', $tenk);
					$stmt->bindParam(':fivek', $fivek);
					$stmt->bindParam(':twok', $twok);
					$stmt->bindParam(':onek', $onek);
					$stmt->bindParam(':fivehundred', $fivehundred);
					$stmt->bindParam(':fivehundred2', $fivehundred2);
					$stmt->bindParam(':onehundred', $onehundred);
					$stmt->bindParam(':fifty', $fifty);
					$stmt->bindParam(':twentyfive', $twentyfive);
					$stmt->bindParam(':ten', $ten);
					$stmt->bindParam(':five', $five);
					$stmt->bindParam(':mtn_momo', $mtnmomo);
					$stmt->bindParam(':orange_money', $orangemomo);
					$stmt->bindParam(':bank', $bank);
			 
					// specify when this record was inserted to the database
			 
					// Execute the query
					if($stmt->execute()){
						header("Location: ../ofSuccess.php");
					}else{
						header("Location: ../regfail.php");
					}
			 
				}
			 
				// show error
				catch(PDOException $exception){
					die('ERROR: ' . $exception->getMessage());
				}
					}	


					if (isset($_POST['other_income_submit_button'])) {
						
							// include database connection
				include '../database/config2.php';
			 
				try{
			 
					// insert query
					$query = "INSERT INTO other_incomes SET source=:source, date=:date, today_date=:tdate,
					author=:author, tenk=:tenk, fivek=:fivek, twok=:twok, onek=:onek, fivehundred=:fivehundred, 
					fivehundred2=:fivehundred2, onehundred=:onehundred, fifty=:fifty, twentyfive=:twentyfive, ten=:ten, five=:five, 
					mtn_momo=:mtn_momo, orange_money=:orange_money, bank=:bank, extra_info=:extra_info";
			 
			 
					// prepare query for execution
					$stmt = $conn->prepare($query);
			 
					// posted values
					$source = htmlspecialchars(strip_tags($_POST['source']));
					$date = htmlspecialchars(strip_tags($_POST['date']));
					$tdate = date("Y-m-d");
					$author = htmlspecialchars(strip_tags($_POST['author']));
					
					if (empty($_POST['tenk'])){
							$tenk = 0;
						}
					else if (!empty($_POST['tenk'])){
						$tenk = htmlspecialchars(strip_tags($_POST['tenk']));
					}
					if (empty($_POST['fivek'])){
							$fivek = 0;
						}
					else if (!empty($_POST['fivek'])){
						$fivek = htmlspecialchars(strip_tags($_POST['fivek']));
					}
					if (empty($_POST['twok'])){
							$twok = 0;
						}
					else if (!empty($_POST['twok'])){
						$twok = htmlspecialchars(strip_tags($_POST['twok']));
					}
					if (empty($_POST['onek'])){
							$onek = 0;
						}
					else if (!empty($_POST['onek'])){
						$onek = htmlspecialchars(strip_tags($_POST['onek']));
					}
					if (empty($_POST['fivehundred'])){
							$fivehundred = 0;
						}
					else if (!empty($_POST['fivehundred'])){
						$fivehundred = htmlspecialchars(strip_tags($_POST['fivehundred']));
					}
					if (empty($_POST['fivehundred2'])){
							$fivehundred2 = 0;
						}
					else if (!empty($_POST['fivehundred2'])){
						$fivehundred2 = htmlspecialchars(strip_tags($_POST['fivehundred2']));
					}
					if (empty($_POST['onehundred'])){
							$onehundred = 0;
						}
					else if (!empty($_POST['onehundred'])){
						$onehundred = htmlspecialchars(strip_tags($_POST['onehundred']));
					}
					if (empty($_POST['fifty'])){
							$fifty = 0;
						}
					else if (!empty($_POST['fifty'])){
						$fifty = htmlspecialchars(strip_tags($_POST['fifty']));
					}
					if (empty($_POST['twentyfive'])){
							$twentyfive = 0;
						}
					else if (!empty($_POST['twentyfive'])){
						$twentyfive = htmlspecialchars(strip_tags($_POST['twentyfive']));
					}
					if (empty($_POST['ten'])){
							$ten = 0;
						}
					else if (!empty($_POST['ten'])){
						$ten = htmlspecialchars(strip_tags($_POST['ten']));
					}
					if (empty($_POST['five'])){
							$five = 0;
						}
					else if (!empty($_POST['five'])){
						$five = htmlspecialchars(strip_tags($_POST['five']));
					}
					if (empty($_POST['mtnmomo'])){
							$mtnmomo = 0;
						}
					else if (!empty($_POST['mtnmomo'])){
						$mtnmomo = htmlspecialchars(strip_tags($_POST['mtnmomo']));
					}
					if (empty($_POST['orangemomo'])){
							$orangemomo = 0;
						}
					else if (!empty($_POST['orangemomo'])){
						$orangemomo = htmlspecialchars(strip_tags($_POST['orangemomo']));
					}
					if (empty($_POST['bank'])){
							$bank = 0;
						}
					else if (!empty($_POST['bank'])){
						$bank = htmlspecialchars(strip_tags($_POST['bank']));
					}
					if (empty($_POST['information'])){
							$extra_info = "";
						}
					else if (!empty($_POST['information'])){
						$extra_info = htmlspecialchars(strip_tags($_POST['information']));
					}
					//$total = $cash + $mtnmomo + $orangemomo+ $bank;
			 
					// bind the parameters
					$stmt->bindParam(':source', $source);
					$stmt->bindParam(':date', $date);
					$stmt->bindParam(':tdate', $tdate);
					$stmt->bindParam(':author', $author);
					$stmt->bindParam(':tenk', $tenk);
					$stmt->bindParam(':fivek', $fivek);
					$stmt->bindParam(':twok', $twok);
					$stmt->bindParam(':onek', $onek);
					$stmt->bindParam(':fivehundred', $fivehundred);
					$stmt->bindParam(':fivehundred2', $fivehundred2);
					$stmt->bindParam(':onehundred', $onehundred);
					$stmt->bindParam(':fifty', $fifty);
					$stmt->bindParam(':twentyfive', $twentyfive);
					$stmt->bindParam(':ten', $ten);
					$stmt->bindParam(':five', $five);
					$stmt->bindParam(':mtn_momo', $mtnmomo);
					$stmt->bindParam(':orange_money', $orangemomo);
					$stmt->bindParam(':bank', $bank);
					$stmt->bindParam(':extra_info', $extra_info);
			 
					// specify when this record was inserted to the database
			 
					// Execute the query
					if($stmt->execute()){
						header("Location: ../ofSuccess.php");
					}else{
						header("Location: ../regfail.php");
					}
			 
				}
			 
				// show error
				catch(PDOException $exception){
					die('ERROR: ' . $exception->getMessage());
				}
					}	



?>					
