<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];

    
    $file_format = "SamaYanickIDFront.png";
	    $id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');

?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Print ID card
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>
<?php
include 'database/config2.php';
$anotherquery = "SELECT * FROM atbistudents WHERE id=$id";
$anotherstmt = $conn->prepare($anotherquery);
$anotherstmt->execute();
$anotherrow = $anotherstmt->fetch(PDO::FETCH_ASSOC);
if($anotherrow['memberId'] == 0){
	$name = $anotherrow['studentName'];
	$dob = $anotherrow['dob'];
} else {
	$anotherquery2 = "SELECT * FROM members WHERE id=:id AND duplicated_id=0";
	$anotherstmt2 = $conn->prepare($anotherquery2);
	$anotherstmt2->bindParam(':id', $anotherrow['memberId']);
	$anotherstmt2->execute();
	$anotherrow2 = $anotherstmt2->fetch(PDO::FETCH_ASSOC);
	$name = $anotherrow2['name'];
	$dob = $anotherrow2['dob'];
}
?>

<section>
    <div id="id-card">
        <div class="id-card material-ui-shadow" style="background-image: url('assets/images/idbg.jpg');">
            <div class="id-card__mugshot">
                
		<?php 
		
		if($anotherrow['memberId'] == 0){
		echo $anotherrow['passportPhoto'] ? "<img src='members-images/{$anotherrow['passportPhoto']}' id='id-card-mugshot' />" : "<img src='http://www.travelcontinuously.com/wp-content/uploads/2018/04/empty-avatar.png' id='id-card-mugshot'>";																

		} else {
		echo $anotherrow2['image'] ? "<img src='members-images/{$anotherrow2['image']}' id='id-card-mugshot' />" : "<img src='http://www.travelcontinuously.com/wp-content/uploads/2018/04/empty-avatar.png' id='id-card-mugshot'>";  															
			
		}
		?>
            </div>
            <div class="id-card__logo logo">
                <div class="row">
                    <div class="col col-sm-4">
                        <img src="assets/images/ltmlogo.png" style="width:160%" alt="">  
                    </div>
                    <div class="col col-sm-8">
                        <p style="font-size: 13px; color: #004d76; font-weight: bolder; border-bottom: 1px solid #004d76; margin-bottom: 0px;">Agape Tansforming Bible Institute <small>(ATBI)</small></p>
                        <p class="text-center" style="font-size: 10px; color: #004d76; font-weight: lighter;">Life Transformers Ministries</p>  
                    </div>
                </div>
            </div>
            <div class="id-card__subject-id">

            </div>
            <div class="id-card__banner">
                <span class="id-card__banner-text">Student's Identification Card</span>
            </div>
            <div class="row">
                <div class="col col-md-9">
                    <div style="margin-top: 5px">
                        <p style="font-size:11px; color: black; font-weight: 900; margin-bottom: 0px;">Name: <b><?php echo $name;?></b></p>
                        <p style="font-size:11px; color: black; font-weight: 900; margin-bottom: 0px">Date of Birth: <b><?php echo date('d/m/Y', strtotime($dob)); ?></b></p>
                        <p style="font-size:11px; color: black; font-weight: 900; margin-bottom: 0px">Badge: <b><?php echo $anotherrow['badge'] ?></b></p>
                        <p style="font-size:11px; color: black; font-weight: 900; margin-bottom: 0px">Matricule: <b><?php echo $anotherrow['matricule'] ?></b></p>
                    </div>
                </div>
                <div class="col col-md-3">
                    <div class="id-card__details id-card__details--short">
                        <div id="app">
                            <div id="svg" style="margin-left: -122px;     margin-top: -9px;"></div>
                            <input id="input" type="text" style="display:none" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div id="">
        
    </div>
    <br>
    <button class="button" id="download-button"><i class="fas fa-cloud-download-alt"></i> Download Front</button>
</section>





<br>





<section>
    <div id="id-cardBG">
        <div class="id-card material-ui-shadow" style="background-image: url('assets/images/idbg.jpg'); z-index: -1">
            <div class="">
                <div class="row">
                    <div class="col col-sm-4">
                        <img src="assets/images/ltmlogo.png" style="width:120%" alt="">  
                    </div>
                    <div class="col col-sm-8">
                        <p style="font-size: 13px; color: #004d76; font-weight: bolder; border-bottom: 1px solid #004d76; margin-bottom: 0px;">Agape Tansforming Bible Institute <small>(ATBI)</small> Pastoral Course</p>
                        <p style="font-size: 10px; color: #004d76; font-weight: lighter;">Life Transformers Ministries</p>  
                    </div>
                </div>
            </div>
            <div class="id-card__subject-id">

            </div>
            <div class="row" style="border-bottom: 2px solid #004d76; padding-bottom: 7px;">
                <div class="col col-md-6 text-left">
                    <div style="margin-top: 5px">
                        <p style="font-size:11px; color: #00517e; font-weight: 900; margin-bottom: 0px;">ID N<sup><small>o</small></sup> : <?php echo $anotherrow['idnum'] ?></p>
                        <p style="font-size:11px; color: #00517e; font-weight: 900; margin-bottom: 0px">Date of Issue: <?php echo date("d M Y", strtotime($anotherrow['date'])); ?></p>
                    </div>
                </div>
                <div class="col col-md-6 text-right">
                    <div style="margin-top: 5px">
                        <p style="font-size:11px; color: #00517e; font-weight: 900; margin-bottom: 0px;">Issuer: <b>LTM In't</b></p>
                        <p style="font-size:11px; color: #00517e; font-weight: 900; margin-bottom: 0px">Exp Date: <b><?php echo date('d M Y', strtotime($anotherrow['date']. '+5 years'))?></b></p>
                    </div>
                </div>
            </div>
            <div style="background-color: #f6fcff; width:107%; margin-left: -10px; height: 64px;">
                <div class="container">
                    <div class="row">
                        <div class="col col-sm-6">
                            <p style="font-size: 11px; margin-bottom: 0px;">Country: Cameroon</p>
                            <p style="font-size: 11px; margin-bottom: 0px;">Region: South West</p>
                            <p style="font-size: 11px; margin-bottom: 0px;">Address: Ombe-Mutengene</p>
                            <p style="font-size: 11px; margin-bottom: 0px;">Website: www.ltmhom.com</p>
                        </div>
                        <div class="col col-sm-6">
                            <img src="assets/images/signature.png" style="width: 80%" alt="">
                            <p style="font-size: 11px; margin-bottom: 0px;"><em>Shepherd Hasting (SP)</em></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="">
        
    </div>
    <br>
    <button class="button" id="foo"><i class="fas fa-cloud-download-alt"></i> Download Back</button>
</section>


<script>
    
const downloadCharacterSheet = () => {

const node = document.getElementById('id-card');

html2canvas(node).then(canvas => {
  // document.body.appendChild(canvas)
  // var img    = canvas.toDataURL("image/png");
  // document.write('<img src="'+img+'"/>');
  var link = document.createElement('a');
  link.download = '<?php echo $file_format; ?>';
  link.href = canvas.toDataURL();
  link.click();
});

};

const bindInputToElement = (inputEl, elementEl) => {
inputEl.addEventListener('change', () => {
  elementEl.textContent = inputEl.value;
});
};

document.
getElementById('download-button').
addEventListener('click', downloadCharacterSheet);

document.
querySelector('.id-card__subject-id').
textContent = md5('something').slice(0, 8);

// Bind name
const nameEl = document.getElementById('name');
bindInputToElement(
nameEl,
document.getElementById('id-card-name'));

nameEl.
addEventListener('change', () => {
document.
querySelector('.id-card__subject-id').
textContent = md5(nameEl.value).slice(0, 8);
});

// Bind date of birth
bindInputToElement(
document.getElementById('date-of-birth'),
document.getElementById('id-card-date-of-birth'));


// Bind gender
bindInputToElement(
document.getElementById('gender'),
document.getElementById('id-card-gender'));


// Bind height
bindInputToElement(
document.getElementById('height'),
document.getElementById('id-card-height'));


// Bind weight
bindInputToElement(
document.getElementById('weight'),
document.getElementById('id-card-weight'));


// Bind mugshot
document.
getElementById('mugshot').
addEventListener('change', function () {
if (this.files && this.files[0]) {
  var FR = new FileReader();
  FR.onload = function (e) {
    var img = document.getElementById('id-card-mugshot');
    img.src = e.target.result;
  };
  FR.readAsDataURL(this.files[0]);
}
});
</script>








<script>
    var node = document.getElementById('id-cardBG');
    var btn = document.getElementById('foo');
    btn.onclick = function() {  
    domtoimage.toBlob(document.getElementById('id-cardBG'))
        .then(function(blob) {
        window.saveAs(blob, 'id-cardBG.png');
        });
    }
</script>







<script>
            function printDiv(divName) {
                var printContents = document.getElementById(divName).innerHTML;
                var originalContents = document.body.innerHTML;

                document.body.innerHTML = printContents;

                window.print();

                document.body.innerHTML = originalContents;
            }

                /*
                * Code 39 barcode
                *
                * Based on the description at https://en.wikipedia.org/wiki/Code_39
                */

                // user variables
                const fill = '#333';
                const qscode = window.location.search.match(/code=([^&]*)/);
                const init_val = qscode ? decodeURI(qscode[1]) : 'PC21-97566';

                // thick bar - 1
                // thin bar - 0
                // index values: 1, 2, 4, 7, 0
                const bars = [
                    [1,0,0,0,1], // 1+0=1
                    [0,1,0,0,1], // 2+0=2
                    [1,1,0,0,0], // 1+2=3
                    [0,0,1,0,1], // 4+0=4
                    [1,0,1,0,0], // 1+4=5
                    [0,1,1,0,0], // 2+4=6
                    [0,0,0,1,1], // 7+0=7
                    [1,0,0,1,0], // 1+7=8
                    [0,1,0,1,0], // 2+7=9
                    [0,0,1,1,0]  // 4+7=11 for some reason (see wiki)
                ];

                // 0 - 10 || |||
                // A - J  ||| ||
                // K - T  |||| |
                // U - *  | ||||
                // index where extra space appears
                const spaces = [2, 3, 4, 1];

                // serializable chars
                const chars = '1234567890abcdefghijklmnopqrstuvwxyz-._*';

                // svg element function
                const svgCreate = (tag, attrs) => {
                    const el = document.createElementNS('http://www.w3.org/2000/svg', tag);
                    for (let k in attrs) {
                        el.setAttribute(k, attrs[k]);
                    }
                    return el;
                };

                // omit all other characters function
                const filter = (() => {
                    // range char needs to move to be in regex
                    const neglist = chars.replace('-','');
                    const regex = new RegExp(`[^-${neglist}]`, 'g');
                    return (input) => {
                        // weak sauce bad char filter
                        return input.replace(regex, '');
                    };
                })();

                const shape_padding = 7;
                const height = 100;

                // barcode logic, saved to SVG
                const barcodeSVG = (input) => {
                    const svg = svgCreate('svg', {
                        width: 300,
                        height: 70, 
                        viewBox: '0 0 100 50'
                    });
                    // always *'s around the input
                    // as start/stop delimiters
                    const fulltext = filter(`*${input}*`);
                    
                    // svg shape start position
                    let x = 0;
                    
                    for (let i = 0, len = fulltext.length; i < len; i++) {
                        let index = chars.indexOf(fulltext[i].toLowerCase());
                        let space_index = ~~(index / 10);
                        let bar_index = index % 10;
                        let div = len + (len - 1) * (shape_padding / 100);
                        
                        for (let j = 0; j < 5; j++) {
                            if (j === spaces[space_index]) {
                                // one space
                                x += shape_padding * 2 / div;
                            }
                            
                            if (bars[bar_index][j]) {
                                // thick bar
                                width = 20 / div;
                            } else {
                                // thin bar
                                width = 6 / div;
                            }
                            
                            svg.appendChild(
                                svgCreate('rect', {
                                    x,
                                    width,
                                    height,
                                    fill,
                                })
                            );
                            x += width + (shape_padding / div);
                        }
                    }
                    return svg;
                }

                // output to HTML
                const svg = document.getElementById('svg');
                const input = document.getElementById('input');

                input.style.color = fill;

                const update = () => {
                    const barcode = barcodeSVG(input.value);
                    
                    while (svg.firstChild) {
                        svg.removeChild(svg.firstChild);
                    }
                    
                    svg.appendChild( barcode );
                };

                input.addEventListener('input', update);

                // animated intro for the codepen geeks
                (() => {
                    let i = 0;
                    let len = init_val.length;
                    let t = window.setInterval(() => {
                        input.value += init_val[i++];
                        update();
                        if (i === len) {
                            window.clearInterval(t);
                        }
                    }, 200);
                })();
        </script>
<?php
include "includes/footer.php" ;
?>