<?php

if(isset($_POST['submitMarks'])){
	
$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Student not found.');
$courseId=isset($_GET['courseId']) ? $_GET['courseId'] : die('ERROR: Course not found.');
$semester=isset($_GET['semester']) ? $_GET['semester'] : die('ERROR: Semester not found.');

include 'database/config2.php';
 
    try{
		
		
        $query = "INSERT INTO camarks SET studentId=:studentId, semester=:semester, courseId=:courseId, marks=:marks, bonus=:bonus, isExam=1 ";
 
        // prepare query for execution
        $stmt = $conn->prepare($query);
 
        // posted values
        $marks=htmlspecialchars(strip_tags($_POST['mark']));
					if (empty($_POST['bonus'])){
							$bonus = 0;
						}
					else if (!empty($_POST['bonus'])){
						$bonus = htmlspecialchars(strip_tags($_POST['bonus']));
					}

        $stmt->bindParam(':studentId', $id);
        $stmt->bindParam(':semester', $semester);
        $stmt->bindParam(':courseId', $courseId);
        $stmt->bindParam(':marks', $marks);
        $stmt->bindParam(':bonus', $bonus);

        if($stmt->execute()){
			header("Location: exam_marks.php?courseId=$courseId&semester=$semester");
        }else{
            echo "<div class='alert alert-danger'>Unable to submit Exam marks</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}

?>