<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
/*
	include 'database/config.php';

	$leaderQuery = "SELECT * FROM members WHERE depId=$departmentalId AND position='Leader'";
	$leaderQueryResult = mysqli_query($conn, $leaderQuery);
	
	$assleaderQuery = "SELECT * FROM members WHERE depId=$departmentalId AND position='Ass. Leader'";
	$assleaderQueryResult = mysqli_query($conn, $assleaderQuery);
	
	$finsecQuery = "SELECT * FROM members WHERE depId=$departmentalId AND position='Financial Secretary'";
	$finsecQueryResult = mysqli_query($conn, $finsecQuery);
	
	$secretaryQuery = "SELECT * FROM members WHERE depId=$departmentalId AND position='Secretary'";
	$secretaryQueryResult = mysqli_query($conn, $secretaryQuery);
	
	*/


?>

<div class="page-heading">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Edit System User
                    <a href="auth-register.php" class="btn btn-success" >Add User
                        <i class="fas fa-plus"></i>
                    </a>
                </h3>
                
                <p class="text-subtitle text-muted">These are ALL the users of this system
                    <a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
                        data-content="">
                        1 Chronicles 29:1-9
                    </a>
                </p>
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Edit System Users</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
 </div>

<?php

$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');
 
include 'database/config2.php';
 try {
    $query = "SELECT * FROM members WHERE id = ? LIMIT 0,1";
    $stmt = $conn->prepare( $query );
 
    $stmt->bindParam(1, $id);
 
    $stmt->execute();
 
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
 
    $email = $row['email'];
    $fname = $row['name'];
    $telephone = $row['telephone'];
    $address = $row['address'];
    $nationality = $row['country'];
    $gender = $row['gender'];
    $username = $row['username'];
    $user_role = $row['userRole'];
	$duplicated_id = $row['duplicated_id'];
    
	
	$image = $row['image'];
    $occupation = $row['occupation'];
    $status = $row['status'];
    $hschool = $row['hschool'];
    $dob = $row['dob'];
    $first_visit = $row['first_visit'];
	$department=$row['depId'];
	//department here	
    $position = $row['position'];
    $facebook = $row['facebook'];
	$instagram = $row['instagram'];
	$twitter = $row['twitter'];
	$youtube = $row['youtube'];

	
	
}
 
catch(PDOException $exception){
    die('ERROR: ' . $exception->getMessage());
}
?>

<div id="auth">
        <div class="row">
            <div class="col-lg-5 col-8 auth-reg card" >

                <div class=" card cardo">
                    <div class="card-content">
                    <div class="card-header"><h5>User's Signature</h5></div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col col-6">
                                    <label for="" class="custom-file-upload" style="margin-top:0px !important; padding: 2px 40px;">
                                        <i class="fas fa-upload fa-5x" style="font-size: 35px; color: #d7d7d7;"></i>
                                    </label>
                                </div>
                                <div class="col col-6">
                                    <img  src="assets/images/signature.png" alt="your signature" width="50%" margin="auto" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div id="authing" style="text-align: center;">
                    <h1 class="auth-title">Editing <?php echo $fname?>'s Profile</h1>
                    <p class="text-subtitle text-muted">Who are those to labour with you? 
                        <a href="#" class="scripture" title="Malachai 3:8" data-toggle="popover" data-placement="right" data-trigger="hover" data-content="Will a mere mortal rob God? Yet you rob me. “But you ask, ‘How are we robbing you?’
                            “In tithes and offerings.">Philippians 4:3</a>
                    </p>
                    <?php
					
					
if (isset($_POST['update_user'])) {
 				include 'database/config2.php';

    try{
 
        // write update query
        // in this case, it seemed like we have so many fields to pass and
        // it is better to label them and not use question marks
        /*$query = "UPDATE members
                    SET email=:email, name=:fname, telephone=:telephone, address=:address, country=:nationality, gender=:gender, username=:username, isUser=1, userRole=:user_role, password=:password
                    WHERE id = :id";
 */
 if($row['duplicated_id'] == 0){

        $editingquery = "UPDATE members
                    SET email=:email, name=:fname, telephone=:telephone, address=:address, country=:nationality, gender=:gender, username=:username, isUser=1, userRole=:user_role, password=:password
                    WHERE id = :id OR duplicated_id = :id";
		
	} else {
		
		        $editingquery = "UPDATE members
                    SET email=:email, name=:fname, telephone=:telephone, address=:address, country=:nationality, gender=:gender, username=:username, isUser=1, userRole=:user_role, password=:password
                    WHERE id = :id OR id = $duplicated_id";
		
	}
 
        // prepare query for excecution
        $stmt = $conn->prepare($editingquery);
 
        // posted values
        $email=htmlspecialchars(strip_tags($_POST['email']));
        $fname=htmlspecialchars(strip_tags($_POST['fname']));
        $telephone=htmlspecialchars(strip_tags($_POST['telephone']));
        $address=htmlspecialchars(strip_tags($_POST['address']));
        $nationality=htmlspecialchars(strip_tags($_POST['nationality']));
        $gender=htmlspecialchars(strip_tags($_POST['gender']));
        $username=htmlspecialchars(strip_tags($_POST['username']));
        $user_role=htmlspecialchars(strip_tags($_POST['user_role']));
        $password=md5(htmlspecialchars(strip_tags($_POST['password'])));
        $cpassword=md5(htmlspecialchars(strip_tags($_POST['cpassword'])));
 
        // bind the parameters
        $stmt->bindParam(':email', $email);
        $stmt->bindParam(':fname', $fname);
        $stmt->bindParam(':telephone', $telephone);
        $stmt->bindParam(':address', $address);
        $stmt->bindParam(':nationality', $nationality);
        $stmt->bindParam(':gender', $gender);
        $stmt->bindParam(':username', $username);
        $stmt->bindParam(':user_role', $user_role);
        $stmt->bindParam(':password', $password);
        $stmt->bindParam(':id', $id);
 
        
								// specify when this record was inserted to the database
								$verifyquery = "SELECT * from members WHERE username = '$username' AND id != :id AND duplicated_id != :id LIMIT 1";
								$verifyquery2 = "SELECT * from members WHERE telephone = '$telephone' AND id != :id AND duplicated_id != :id LIMIT 1";
								$stmt2 = $conn->prepare($verifyquery);
								$stmt3 = $conn->prepare($verifyquery2);
								$stmt2->bindParam(':id', $id);
								$stmt3->bindParam(':id', $id);
								$stmt2->execute();
								$stmt3->execute();
								 
								// this is how to get number of rows returned
								$num = $stmt2->rowCount();
								$num2 = $stmt3->rowCount();
								
								
						if($password == $cpassword) //this block is to check if the password and confirm password matches
						{
							
							if ( preg_match('/\s/',$username) ) // this is to ensure that the username does not concern space
							{
								//echo '<p class="alert alert-light-danger color-danger">Username must not contain space</p>';
									            echo "<div class='alert alert-danger'>Please username must not contain space</div>";
											
							} else {
									
								if($num > 0) // this block is to see if the username already exists
								{
									//echo '<p class="alert alert-light-danger color-danger">Username Already Existing</p>';
											            echo "<div class='alert alert-danger'>The username is already taken</div>";

									
								}else{
									
									if($num2 > 0) // this block is to see if the telephone number already exists
									{
										//echo '<p class="alert alert-light-danger color-danger">Phone Number already exist</p>';
										            echo "<div class='alert alert-danger'>That phone number already exists.</div>";

									}else{
										// Execute the query
										if($stmt->execute()){
											
											            echo "<div class='alert alert-success'>User information editted successfully!!!</div>";

											
										}else{
											            echo "<div class='alert alert-danger'>Unable to edit user information.</div>";
										}
									}
									
								}    
							}
						   
						}else{
							echo "<div class='alert alert-danger'>The passwords don't match.</div>";
						}

 
    }
 
    // show errors
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
					
					?>
                    <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="POST">
                        <div class="form-group position-relative has-icon-left mb-4">
                            <input type="email" class="form-control form-control-xl" name="email" value="<?php echo htmlspecialchars($email, ENT_QUOTES);  ?>" placeholder="Email">
                            <div class="form-control-icon">
                                <i class="fas fa-envelope"></i>
                            </div>
                        </div>
                        <div class="form-group position-relative has-icon-left mb-4">
                            <input type="text" class="form-control form-control-xl" name="fname" value="<?php echo htmlspecialchars($fname, ENT_QUOTES);  ?>" placeholder="Full name" required>
                            <div class="form-control-icon">
                                <i class="fas fa-signature"></i>
                            </div>
                        </div>
                        <div class="form-group position-relative has-icon-left mb-4">
                            <input type="number" class="form-control form-control-xl" name="telephone" value="<?php echo htmlspecialchars($telephone, ENT_QUOTES);  ?>" placeholder="Phone" required>
                            <div class="form-control-icon">
                                <i class="fas fa-phone"></i>
                            </div>
                        </div>
                        <div class="form-group position-relative has-icon-left mb-4">
                            <input type="text" class="form-control form-control-xl" name="address" value="<?php echo htmlspecialchars($address, ENT_QUOTES);  ?>" placeholder="Home Address" required>
                            <div class="form-control-icon">
                                <i class="fas fa-home"></i>
                            </div>
                        </div>
                        <div class="form-group position-relative has-icon-left mb-4">
                            <input type="text" class="form-control form-control-xl" name="nationality" value="<?php echo htmlspecialchars($nationality, ENT_QUOTES);  ?>" placeholder="nationality" required>
                            <div class="form-control-icon">
                                <i class="fas fa-globe"></i>
                            </div>
                        </div>
                        <div class="form-group position-relative has-icon-left mb-4">
                            <select type="text" class="form-control form-control-xl" name="gender" required>
                                <option value="<?php echo htmlspecialchars($gender, ENT_QUOTES);  ?>"><?php echo htmlspecialchars($gender, ENT_QUOTES);  ?></option>
                                <option value="Male">Male</option>
                                <option value="Female">Female</option>
                            </select>
                            <div class="form-control-icon">
                             <i class="fas fa-restroom"></i>
                            </div>
                        </div>
                        <div class="form-group position-relative has-icon-left mb-4">
                            <input type="text" class="form-control form-control-xl" value="<?php echo htmlspecialchars($username, ENT_QUOTES);  ?>" placeholder="User name" name="username" required>
                            <div class="form-control-icon">
                                <i class="far fa-smile"></i>
                            </div>
                        </div>
                        <div class="form-group position-relative has-icon-left mb-4">
                            <select type="text" class="form-control form-control-xl" name="user_role" required>
                                <option value="<?php echo htmlspecialchars($user_role, ENT_QUOTES);  ?>"><?php echo htmlspecialchars($user_role, ENT_QUOTES);  ?></option>
                                <option>Reverend Pst</option>
                                <option>Pastor</option>
                                <option>Secretary</option>
                                <option>Ministry Director</option>
                                <option>Financial Secretary</option>
                                <option>Cell Cordinator</option>
                                <option>Evangelism Coordinator</option>
                                <option>Inventory Director</option>
                                <option>Hospitality Director</option>
                            </select>
                            <div class="form-control-icon">
                                <i class="fas fa-user-tag"></i>
                            </div>
                        </div>
                        <div class="form-group position-relative has-icon-left mb-4">
                            <input type="password" class="form-control form-control-xl" placeholder="New Password" name="password">
                            <div class="form-control-icon">
                                <i class="fas fa-key"></i>
                            </div>
                        </div>
                        <div class="form-group position-relative has-icon-left mb-4">
                            <input type="password" class="form-control form-control-xl" placeholder="Confirm New Password" name="cpassword">
                            <div class="form-control-icon">
                                <i class="fas fa-key"></i>
                            </div>
                        </div>
                        <div style="width:50%; margin:auto; padding-bottom: 20px;">
                            <input type="submit" class="btn btn-primary" name="update_user" value="Update">
                        </div>
                   </form>
                </div>
            </div>

                        <div class="col-lg-5 col-4">
						
						
						 <?php
					
					
if (isset($_POST['perInfo'])) {
 				include 'database/config2.php';

    try{
	
	if($row['duplicated_id'] == 0){

        $editingquery = "UPDATE members
                    SET depId=:depId, occupation=:occupation, status=:status, dob=:dob, first_visit=:first_visit, hschool=:hschool, position=:position, facebook=:facebook, instagram=:instagram, youtube=:youtube, twitter=:twitter
                    WHERE id = :id OR duplicated_id = :id";
		
	} else {
		
		        $editingquery = "UPDATE members
                    SET depId=:depId, occupation=:occupation, status=:status, dob=:dob, first_visit=:first_visit, hschool=:hschool, position=:position, facebook=:facebook, instagram=:instagram, youtube=:youtube, twitter=:twitter
                    WHERE id = :id OR id = $duplicated_id";
		
	}
	

 
        $stmt = $conn->prepare($editingquery);
		
		
        $occupation=htmlspecialchars(strip_tags($_POST['occupation']));
        $status=htmlspecialchars(strip_tags($_POST['status']));
        $dob=htmlspecialchars(strip_tags($_POST['dob']));
        $depId=htmlspecialchars(strip_tags($_POST['department']));
		//department and position here
        
		if (empty($_POST['firstvisit'])){
			$first_visit = "";
		}else if (!empty($_POST['firstvisit'])){
			$first_visit = htmlspecialchars(strip_tags($_POST['firstvisit']));
		}
		if (empty($_POST['education'])){
			$hschool = "";
		}else if (!empty($_POST['education'])){
			$hschool = htmlspecialchars(strip_tags($_POST['education']));
		}
		if (empty($_POST['departmentPosition'])){
			$position = "";
		}else if (!empty($_POST['departmentPosition'])){
			$position = htmlspecialchars(strip_tags($_POST['departmentPosition']));
		}
		if (empty($_POST['facebook'])){
			$facebook = "";
		}else if (!empty($_POST['facebook'])){
			$facebook = htmlspecialchars(strip_tags($_POST['facebook']));
		}
		if (empty($_POST['instagram'])){
			$instagram = "";
		}else if (!empty($_POST['instagram'])){
			$instagram = htmlspecialchars(strip_tags($_POST['instagram']));
		}
		if (empty($_POST['youtube'])){
			$youtube = "";
		}else if (!empty($_POST['youtube'])){
			$youtube = htmlspecialchars(strip_tags($_POST['youtube']));
		}
		if (empty($_POST['twitter'])){
			$twitter = "";
		}else if (!empty($_POST['twitter'])){
			$twitter = htmlspecialchars(strip_tags($_POST['twitter']));
		}	
$verleadnum = 0;
$verassleadnum = 0;
$verfinsecnum = 0;
$versecnum = 0;

if($position == 'Leader'){
		$verifyLeader = "SELECT * FROM members WHERE depId=:depId and position='Leader'";
		$verleadstmt=$conn->prepare($verifyLeader);
        $verleadstmt->bindParam(':depId', $depId);
        $verleadstmt->execute();
		$verleadnum = $verleadstmt->rowCount();
	
} else if($position == 'Ass. Leader'){
 $verifyassLeader = "SELECT * FROM members WHERE depId=:depId and position='Ass. Leader'";
 $verassleadstmt=$conn->prepare($verifyassLeader);
        $verassleadstmt->bindParam(':depId', $depId);
        $verassleadstmt->execute();
		$verassleadnum = $verassleadstmt->rowCount();
	
} else if($position == 'Financial Secretary'){
 $verifyFinsec = "SELECT * FROM members WHERE depId=:depId and position='Financial Secretary'";
 $verfinsecstmt=$conn->prepare($verifyFinsec);
        $verfinsecstmt->bindParam(':depId', $depId);
        $verfinsecstmt->execute();
		$verfinsecnum = $verfinsecstmt->rowCount();
	
} else if($position == 'Secretary'){
 $verifySec = "SELECT * FROM members WHERE depId=:depId and position='Secretary'";
 $versecstmt=$conn->prepare($verifySec);
        $versecstmt->bindParam(':depId', $depId);
        $versecstmt->execute();
		$versecnum = $versecstmt->rowCount();
	
}
	
        $stmt->bindParam(':depId', $depId);
        $stmt->bindParam(':occupation', $occupation);
        $stmt->bindParam(':status', $status);
        $stmt->bindParam(':dob', $dob);
        $stmt->bindParam(':first_visit', $first_visit);
        $stmt->bindParam(':hschool', $hschool);
        $stmt->bindParam(':position', $position);
        $stmt->bindParam(':facebook', $facebook);
        $stmt->bindParam(':instagram', $instagram);
        $stmt->bindParam(':youtube', $youtube);
        $stmt->bindParam(':twitter', $twitter);
        $stmt->bindParam(':id', $id);
		
 if($verleadnum > 0) {
					echo "<div class='alert alert-danger'>This department already has a leader.</div>";	 
 } else if($verassleadnum > 0){
					echo "<div class='alert alert-danger'>This department already has an assistant leader.</div>";	 
	 
 } else if($verfinsecnum > 0){
					echo "<div class='alert alert-danger'>This department already has a financial secretary.</div>";	 
	 
 } else if($versecnum > 0){
					echo "<div class='alert alert-danger'>This department already has a secretary.</div>";	 
	 
 }
	 
 else {
		if (!empty($_FILES["image"]["name"])){

			if($row['duplicated_id'] == 0){

				$imgeditingquery = "UPDATE members SET image=:image	WHERE id = :id OR duplicated_id = :id";
				
			} else {
				
				$imgeditingquery = "UPDATE members SET image=:image WHERE id = :id OR id = $duplicated_id";
				
			}			$editingimgstmt = $conn->prepare($imgeditingquery);

			$image=!empty($_FILES["image"]["name"])
					? sha1_file($_FILES['image']['tmp_name']) . "-" . basename($_FILES["image"]["name"])
					: "";
			$image=htmlspecialchars(strip_tags($image));		
			
			$editingimgstmt->bindParam(':image', $image);
			$editingimgstmt->bindParam(':id', $id);
			
		
			
			if(($stmt->execute()) && ($editingimgstmt->execute())){
				echo "<div class='alert alert-success'>Record was updated.</div>";
			
			if($image){
				 
					// sha1_file() function is used to make a unique file name
					$target_directory = "members-images/";
					$target_file = $target_directory . $image;
					$file_type = pathinfo($target_file, PATHINFO_EXTENSION);
				 
					// error message is empty
					$file_upload_error_messages="";
					// make sure that file is a real image
					$check = getimagesize($_FILES["image"]["tmp_name"]);
					if($check!==false){
						// submitted file is an image
					}else{
						$file_upload_error_messages.="<div>Submitted file is not an image.</div>";
					}
					// make sure certain file types are allowed
					$allowed_file_types=array("jpg", "jpeg", "png", "gif");
					if(!in_array($file_type, $allowed_file_types)){
						$file_upload_error_messages.="<div>Only JPG, JPEG, PNG, GIF files are allowed.</div>";
					}
					// make sure file does not exist
					if(file_exists($target_file)){
						$file_upload_error_messages.="<div>Image already exists. Try to change file name.</div>";
					}
					// make sure submitted file is not too large, can't be larger than 1 MB
					if($_FILES['image']['size'] > (5120000)){
						$file_upload_error_messages.="<div>Image must be less than 5 MB in size.</div>";
					}
					// make sure the 'uploads' folder exists
					// if not, create it
					if(!is_dir($target_directory)){
						mkdir($target_directory, 0777, true);
					}
					// if $file_upload_error_messages is still empty
					if(empty($file_upload_error_messages)){
						// it means there are no errors, so try to upload the file
						if(move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)){
							// it means photo was uploaded
						}else{
							echo "<div class='alert alert-danger'>
								<div>Unable to upload photo.</div>
								<div>Update the record to upload photo.</div>
							</div>";
						}
					}
					 
					// if $file_upload_error_messages is NOT empty
					else{
						// it means there are some errors, so show them to user
						echo "<div class='alert alert-danger'>
							<div>{$file_upload_error_messages}</div>
							<div>Update the record to upload photo.</div>
						</div>";
					}
				}
			
				} else {
					echo "<div class='alert alert-danger'>Unable to update record. Please try again.</div>";
				}
				
				
		
				
			} else if (empty($_FILES["image"]["name"])){
				if($stmt->execute()){
					echo "<div class='alert alert-success'>Record was updated.</div>";
				} else {
					echo "<div class='alert alert-danger'>Unable to update record. Please try again.</div>";					
				}
			}
			
	}		
		} 
    // show errors
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
					
					?>
						
                    <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="POST" enctype="multipart/form-data">
                                <div class="card cardo">
                                    <div class="card-content">
                                        <div class="card-header"><h5>User's Personal Info</h5></div>
                                        <div class="card-body">
                                            <div class="row">
                                                <div class="col col-6">
                                                    <label for="file-upload" class="custom-file-upload">
                                                        <i class="fas fa-upload fa-5x" style="color: #d7d7d7;">
                                                        </i>
                                                    </label>
                                                    <input style="display:none" id="file-upload" name="image" type="file" onchange="previewFile(this)" />
                                                </div>
                                                <div class="col col-6">
						<?php
											echo $row['image'] ? "<img id='previewImg' src='members-images/{$row['image']}' alt='Placeholder' width='100%' margin='auto'>" : "<img id='previewImg' src='assets/images/preview.jpg' alt='Placeholder' width='100%' margin='auto'>";

						?>
                                                    <!--<img id="previewImg" src="assets/images/preview.jpg" alt="Placeholder" width="100%" margin="auto">-->
                                                </div>
                                            </div>
                                                <br>
                                            <div class="row">
                                                <div class="col col-md-6">
                                                    <div class="form-group has-icon-left">
                                                        <div class="position-relative">
                                                            <input type="text" class="form-control EditinputUser" name="occupation" value="<?php echo htmlspecialchars($occupation, ENT_QUOTES);  ?>"
                                                                placeholder="Occupation" id="first-name-icon" name="tag">
                                                            <div class="form-control-icon">
                                                                <i class="fas fa-user-tie"></i>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col col-md-6">  
                                                    <div class="form-group has-icon-left">
                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <select type="text" class="form-control EditinputUser" name="status" id="level" required>
                                                                    <option value="<?php echo htmlspecialchars($status, ENT_QUOTES);  ?>"><?php echo htmlspecialchars($status, ENT_QUOTES);  ?></option>
                                                                    <option value="Single">Single</option>
                                                                    <option value="Married">Married</option>
                                                                </select>
                                                                <div class="form-control-icon">
                                                                    <i class="fas fa-people-arrows"></i>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col col-md-6">
                                                    <div class="form-group has-icon-left">
                                                        <div class="position-relative">
                                                            <input type="text" class="form-control EditinputUser" value="<?php echo htmlspecialchars($hschool, ENT_QUOTES);  ?>"
                                                                placeholder="Highest Level of Education" id="first-name-icon" name="education">
                                                            <div class="form-control-icon">
                                                                <i class="fas fa-graduation-cap"></i>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col col-md-6">  
                                                    <div class="form-group has-icon-left">
                                                        <div class="position-relative">
                                                            <input type="date" class="form-control EditinputUser" value="<?php echo htmlspecialchars($dob, ENT_QUOTES);  ?>"
                                                                id="first-name-icon" name="dob">
                                                            <div class="form-control-icon">
                                                                <i class="fas fa-birthday-cake"></i>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col col-md-6">  
                                                    <div class="form-group has-icon-left">
                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="date" class="form-control EditinputUser" value="<?php echo htmlspecialchars($first_visit, ENT_QUOTES);  ?>"
                                                                    placeholder="Date joint Ministry" id="first-name-icon" name="firstvisit">
                                                                <div class="form-control-icon">
                                                                    <i class="fas fa-church"></i>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
												<?php
													$depQue = "SELECT * FROM departments ORDER BY id DESC";
													$depstmt=$conn->prepare($depQue);
													$depstmt->execute();

													$depQue2 = "SELECT * FROM departments ORDER BY id DESC";
													$depstmt2=$conn->prepare($depQue2);
													$depstmt2->execute();
													$deprow2 = $depstmt2->fetch(PDO::FETCH_ASSOC);

													$depQue3 = "SELECT * FROM departments WHERE id=$department ORDER BY id DESC";
													$depstmt3=$conn->prepare($depQue3);
													$depstmt3->execute();		
													$deprow3 = $depstmt3->fetch(PDO::FETCH_ASSOC);
													
												?>
                                                <div class="col col-md-6">  
                                                    <div class="form-group has-icon-left">
                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
																<select type="text" class="form-control EditinputUser" name="department" id="level">
																<option value="<?php echo htmlspecialchars($department, ENT_QUOTES);  ?>"><?php echo htmlspecialchars($deprow3['name'], ENT_QUOTES);  ?></option>
																<?php
																	while ($deprow = $depstmt->fetch(PDO::FETCH_ASSOC)){
																		?>
																		<option value="<?php echo htmlspecialchars($deprow['id'], ENT_QUOTES);  ?>"><?php echo htmlspecialchars($deprow['name'], ENT_QUOTES);  ?></option>
																		<?php
																	}
																?>
                                                                </select>
                                                                <div class="form-control-icon">
                                                                    <i class="fas fa-user-tag"></i>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
												
                                                <div class="col col-md-6">  
                                                    <div class="form-group has-icon-left">
                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <select type="text" class="form-control EditinputUser" name="departmentPosition" id="level">                                                            
																	<option value="<?php echo htmlspecialchars($position, ENT_QUOTES);  ?>"><?php echo htmlspecialchars($position, ENT_QUOTES);  ?></option>
																	<option value="Leader">Leader</option>																
																	<option value="Ass. Leader">Ass. Leader</option>																
																	<option value="Financial Secretary">Financial Secretary</option>															
																	<option value="Secretary">Secretary</option>																 
																	<option value="Regular Member">Regular Member</option>
																</select>
																
                                                                <div class="form-control-icon">
                                                                    <i class="fas fa-tags"></i>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col col-md-4">
                                                    <div class="form-group has-icon-left">
                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="text" class="form-control EditinputUserSocials" style="border: 1px solid blue;" value="<?php echo htmlspecialchars($facebook, ENT_QUOTES);  ?>"
                                                                    placeholder="https://www.facebook.com/" id="first-name-icon" name="facebook">
                                                                <div class="form-control-icon">
                                                                    <i class="fab fa-facebook" style="color: blue;"></i>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col col-md-4">
                                                    <div class="form-group has-icon-left">
                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="text" class="form-control EditinputUserSocials" style="border: 1px solid #C13584;" value="<?php echo htmlspecialchars($instagram, ENT_QUOTES);  ?>"
                                                                    placeholder="https://www.instagram.com/" id="first-name-icon" name="instagram">
                                                                <div class="form-control-icon">
                                                                    <i class="fab fa-instagram" style="color: #C13584;"></i>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col col-md-4">
                                                    <div class="form-group has-icon-left">
                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="text" class="form-control EditinputUserSocials" style="border: 1px solid #00acee;" value="<?php echo htmlspecialchars($twitter, ENT_QUOTES);  ?>"
                                                                    placeholder="https://twitter.com/" id="first-name-icon" name="twitter">
                                                                <div class="form-control-icon">
                                                                    <i class="fab fa-twitter" style="color: #00acee;"></i>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col col-md-4">
                                                    <div class="form-group has-icon-left">
                                                        <div class="form-group has-icon-left">
                                                            <div class="position-relative">
                                                                <input type="text" class="form-control EditinputUserSocials" style="border: 1px solid #FF0000;" <?php echo htmlspecialchars($youtube, ENT_QUOTES);  ?>
                                                                    placeholder="https://youtube.com/" id="first-name-icon" name="youtube">
                                                                <div class="form-control-icon">
                                                                    <i class="fab fa-youtube" style="color: #FF0000;"></i>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                            <div style="width:50%; margin:auto; padding-bottom: 20px;">
                                                <input type="submit" name="perInfo" class="btn btn-primary" value="Update">
                                            </div>
                                    </div>
                                </div>
                            </form>


                            <div class=" card cardo">
                                <div class="card-content">
                                    <div class="card-header"><h5>Upload User's ID or Passport</h5></div>
                                    <div class="card-body">
                                        <form action="#">
                                            <div class="row">
                                                <div class="col col-6">
                                                    <label for="imgInp" class="custom-file-upload" style="margin-top: 29px; !important; padding: 41px 86px;">
                                                        <i class="fas fa-upload fa-5x" style="color: #d7d7d7;"></i>
                                                    </label>
                                                    <input style="display:none" type='file' id="imgInp" class="uploadButton" accept="image/*" />
                                                </div>
                                                <div class="col col-6">
                                                    <img id="blah" src="assets/images/idsample.png" alt="your signature" width="100%" margin="auto" />
                                                </div>
                                            </div>
                                            <div style="width:50%; margin:auto; padding-top: 20px;">
                                                <input type="submit" class="btn btn-primary" value="Upload">
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>


                            <div class="card">
                                <div class="card-contents">
                                    <div class="card-header">
                                       <form action="#">
                                            <div class="row">
                                                <div class="col col-md-5">
                                                    <input class="form-control" placeholder="Search relatives" type="text" id="wizards" name="ralation" list="wizards-list">
                                                    <datalist id="wizards-list">
                                                        <option>Sama</option>
                                                        <option>Sama</option>
                                                        <option>Sama</option>
                                                    </datalist>
                                                </div>
                                                <div class="col col-md-5">
                                                    <select name="userRelation" id="relation" class="form-control">
                                                        <option value="" selectdisable>Relation</option>
                                                        <option value="Father">Father</option>
                                                        <option value="Mother">Mother</option>
                                                        <option value="Brother">Brother</option>
                                                        <option value="Sister">Sister</option>
                                                        <option value="Son">Son</option>
                                                        <option value="Daughter">Daughter</option>
                                                        <option value="Others">Others</option>
                                                    </select>
                                                </div>
                                                <div class="col col-md-2">
                                                    <input type="submit" class="btn btn-success" value="Add">
                                                </div>
                                            </div>
                                       </form>
                                        <hr>
                                    </div>
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col col-md-6">
                                                <div class="d-flex align-items-center family">
                                                    <div class="image"> <img src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=500&q=80" class="rounded" width="155"> </div>
                                                    <div class="">
                                                        <div class="text-center">
                                                            <h6>Alex Morrision</h6>
                                                        </div>
                                                        <div class="text-center">
                                                            <code>Brother</code>
                                                        </div>
                                                        <div class="text-center"> 
                                                            <button class="btn btn-sm btn-outline-primary">
                                                                <i class="fas fa-eye"></i>
                                                            </button> 
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col col-md-6">
                                                <div class="d-flex align-items-center family">
                                                    <div class="image"> <img src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=500&q=80" class="rounded" width="155"> </div>
                                                    <div class="">
                                                        <div class="text-center">
                                                            <h6>Alex Morrision</h6>
                                                        </div>
                                                        <div class="text-center">
                                                            <code>Mother</code>
                                                        </div>
                                                        <div class="text-center"> 
                                                            <button class="btn btn-sm btn-outline-primary">
                                                                <i class="fas fa-eye"></i>
                                                            </button> 
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-7 d-none d-lg-block">
                            <div id="auth-right">

                            </div>
                        </div>
                </div>
            </div>
            <br>
            <br>
            <br>
            <br>
            <br>


            <!--////////////////////////////////////////ADD RELATIVE SECTION ///////////////////////////////////////////////////////-->
            <div class="modal fade addRelatives" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header"><h5>Add Relatives</h5></div>
                        <div class="modal-body"></div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            <button type="button" class="btn btn-primary">Add Relative</button>
                        </div>
                    </div>
                </div>
            </div>



    <script>
        function previewFile(input){
            var file = $("input[type=file]").get(0).files[0];
    
            if(file){
                var reader = new FileReader();
    
                reader.onload = function(){
                    $("#previewImg").attr("src", reader.result);
                }
    
                reader.readAsDataURL(file);
            }
        }
    </script>

    <script>
       imgInp.onchange = evt => {
  const [file] = imgInp.files
  if (file) {
    blah.src = URL.createObjectURL(file)
  }
}
    </script>
<?php
include "includes/footer.php" ;
?>